
SPIP-Core spip-3.0.20 -> spip-3.0.21  31 octobre 2015
-------------------------------------------------------------

r22267 | cedric    |  (mer. 24 juin 2015) | Quand la source image est dans IMG/ et contient une query-string complexe et que le fichier existe sans la query-string, on l'ignore. Repare le traitement des images qui ont une URL restreinte basee sur la query-string+htaccess
r22282 | fil       |  (lun. 29 juin 2015) | report de #22281 (https://core.spip.net/issues/3456)
r22315 | cedric    |  (lun. 20 juil. 2015) | Reparer la desinstallation des plugins dans _DIR_PLUGINS_SUPPL
r22326 | cedric    |  (ven. 24 juil. 2015) | Report de r22325 : Fix #3504 : purge des autosave cvt en session
r22327 | cedric    |  (ven. 24 juil. 2015) | Report de r21817 : 0 est une valeur acceptable pour un champ obligatoire (Frederic, Pierretux)
r22342 | cedric    |  (sam. 25 juil. 2015) | Fix #3510 : parametre_url sur les arguments de type tableau. On backporte la version du trunk 3.1 sur laquelle le bug a ete corrige
r22344 | cedric    |  (dim. 26 juil. 2015) | Report de r22343 : Fix #3494 : quand la date de redaction anterieure est utilisee, il faut pouvoir l'editer sur un article en cours de redaction, comme avant, mais sans permettre l'edition de la date.On robustifie traiter() en verifiant le droit a edition qui a ete calcule dans charger() avant de prendre en compte les request, ce qui evite tout risque de manipulation du form et d'injection d'input en html+ Report de r22338 au passage
r22362 | kent1     |  (mar. 28 juil. 2015) | Récupérer le title et le hreflang du lien entourant un modèle cf #3516
r22384 | kent1     |  (mer. 12 août 2015) | Gros bug sur r22282 (cf #3456)Le passage en liens absolus se faisait uniquement sur le premier href ou src, remplaçant le premier href ou src par le dernier href / src présent dans le texte...On ne remplaçait plus lien par lien
r22392 | erational |  (mar. 25 août 2015) | report de c22360
r22393 | erational |  (mar. 25 août 2015) | arménien en code HTML
r22402 | rasta     |  (jeu. 03 sept. 2015) | RAH. On corrige enfin ce fichu gros bug du compilateur qui faisait qu'on ne pouvait pas avoir un critère conditionnel ET plusieurs arguments.Ça marchait pour les critères sans arguments ou avec un seul argument.La raison ? Non-factorisation et doublonnage de code : actuellement, les critères mêmes persos (pas juste les trucs SQL) qui ont 0 ou 1 arguments, ne passent PAS par le même code que ceux avec 2 ou plus. Alors qu'ensuite le traitement et la regex associée sont quasiment les mêmes… mais pas tout à fait, puisque dans le cas 2 ou plus ça ne cherchait pas le "?".Pour l'instant on corrige juste le bug, mais il faudrait nettoyer le code et factoriser pour ne plus générer d'erreur de ce genre…Au passage, pour SPIP 3.0, on backport la correction du "_" manquant qui faisait, là aussi qu'avec 2 arguments ou plus, on avait pas le droit d'avoir des critères avec_plusieurs_mots, alors qu'on peut avec 0 ou 1 argument. Même raison : code fait deux fois différemment, dont la regex.
r22434 | erational |  (ven. 16 oct. 2015) | pas d'accent sur Kreyòl (Peyi Dayiti)
r22436 | cedric    |  (lun. 19 oct. 2015) | On ajoute l'heure de publication au survol de la date, cela est utile pour faire de la programmation intensive d'article a l'avance
r22442 | cedric    |  (mar. 27 oct. 2015) | Report de r22441 : r17234 a introduit un include_spip() au debut de base/connect_sql.php, ce qui etait une erreur car ce fichier est inclus par inc_version avant toute initialisation du core et chargement des caches.Du coup chaque hit provoquait une invalidation du chemin car find_in_path appele trop tot croyait que son find etait nouveau, donc le hit se finissait par une ecriture du fichier tmp/cache/chemin.txt.Comme ce fichier peut etre assez gros (>100ko) et ecrit en posant un verrou, cela impactait la performance par un debit d'ecriture sur le disque et des possibles attentes entre hit concourants.Bug repere par nicod en 3.0 et confirme par RealET en 3.1
r22444 | cedric    |  (mar. 27 oct. 2015) | Report de r22443 : Complement a r22441 : ne pas lever le flag en cas de find_in_path appele trop tot si le fichier n'est pas trouve
r22449 | cedric    |  (jeu. 29 oct. 2015) | Report de r22427 : #3371 Les squelettes de l'espace prive recoivent un flag espace_prive=1 a toute fin utile
r22450 | cedric    |  (jeu. 29 oct. 2015) | Report de r22428 : Fix #3371 : dans la fonction typo, si un flag espace_prive=1 est present dans le env, on echappe tout html suspect, ie qui ne passe pas a travers safehtml sans censure. Pour limiter l'impact perfo on conditionne l'echappement a la presence des caracteres < et = dans le texte, c'est a dire une balise avec un attribut, ce qui ne traitera donc quasiment aucun contenu par defaut, sauf quelques rares <span lang='en'> ou autre curiosite de ce type
r22451 | cedric    |  (jeu. 29 oct. 2015) | Report de r22429 : oups oubli dans r22428 : cas de typo appele en php depuis l'espace prive
r22452 | b_b       |  (jeu. 29 oct. 2015) | report de r22346Fix #3430 : les boucles avec langue utilisaient lang_select_public() qui changeait sauvagement la langue en debut de boucle, sans la restaurer en fin de boucle, provoquant des bugs de contexteOn modifie la compulation des boucles : lang_select_public() appelle toujours lang_select(...) avec eventuellement la langue inchangee, et la boucle finit par un lang_select() qui depile et restaure la langue pour l'iteration suivante.

SPIP-plugins-dist spip-3.0.20 -> spip-3.0.21  31 octobre 2015
-------------------------------------------------------------

r91143 | kent1     |  (mar. 28 juil. 2015) | Récupérer le title et le hreflang du lien entourant un modèle cf #3516
r91205 | cedric    |  (jeu. 30 juil. 2015) | bug lors d'une erreur a la creation d'un mot (confirmation sur un doublon par exexemple)
r91206 | cedric    |  (jeu. 30 juil. 2015) | complement a r91205
r91209 | cy_altern |  (jeu. 30 juil. 2015) | report de 91148 (acces de google bot aux js et css)
r91271 | cedric    |  (mer. 05 août 2015) | On ne verifie et alerte sur le doublon de titre de mot cle uniquement si c'est un nouveau mot cle ou si on retitre un mot cle existant, sinon c'est penible
r91274 | cedric    |  (mer. 05 août 2015) | ne pas syndiquer un site en refuse
r91290 | real3t    |  (ven. 07 août 2015) | Mise à jour pour la reconnaissance des moteurs de recherche. Reportable en 2.1.
r91384 | real3t    |  (dim. 16 août 2015) | Un paramètre de plus reconnu pour Google
r91608 | kent1     |  (jeu. 03 sept. 2015) | Report de la fonctionnalité de z91607"Faire prendre en compte à la prévisu l'hypothétique dir="ltr" ou dir="rtl" sur le textarea"
r91797 | marcimat  |  (sam. 12 sept. 2015) | Report de r91796 :  Le pipeline "afficher_contenu_objet" n'était pas appelé pour l'affichage des groupes de mots sur la page exec=mots.
r92079 | chankalan |  (mar. 29 sept. 2015) | pour affichage des colonnes des visites, report de http://zone.spip.org/trac/spip-zone/changeset/91091/  et http://zone.spip.org/trac/spip-zone/changeset/91404/
r92236 | cedric    |  (sam. 10 oct. 2015) | Report de r92235 : soyons un peu moins bisounours : les diff necessitent aussi un interdire_scripts comme tous les contenus affiches dans l'espace prive
r92513 | b_b       |  (jeu. 29 oct. 2015) | Report de r92512 : éviter d'afficher le script d'autosave dans la prévisu d'un forum quand le site est en mode parano avec $filtrer_javascript = -1;Ref ​https://core.spip.net/issues/3413 merci Équipement
r92523 | b_b       |  (jeu. 29 oct. 2015) | report de r92522 : éviter une erreur PHP Strict Standards: Only variables should be passed by reference (Eric Camus)Ref ​https://core.spip.net/issues/3373
r92525 | b_b       |  (jeu. 29 oct. 2015) | version 0.80.27 : report de r92524fix installation d'un plugin qui nécessite un plugin du core sur un site neuf, ​https://core.spip.net/issues/3572À la fin de svp_ajouter_depot(), utiliser svp_actualiser_paquets_locaux(true) qui, comme son nom l'indique, actualise les paquets locaux puis supprime les paquets locaux avec l'option true.Merci marcimat :)
r92568 | real3t    |  (sam. 31 oct. 2015) | Et report en 3.0
r92576 | real3t    |  (sam. 31 oct. 2015) | Sur une suggestion de Franck, intégration de Haosou dont parle cet article.
r92578 | Francky   |  (sam. 31 oct. 2015) | Il semble que sogou soit un moteur en chinehttp://www.journaldunet.com/solutions/expert/59882/haosoule-moteur-de-recherche-qui-pourrait-changer-le-monde-du-seo-chinois.shtml
r92580 | Francky   |  (sam. 31 oct. 2015) | Rangement alphabétique

SPIP-Core spip-3.0.19 -> spip-3.0.20  23 juin 2015
-------------------------------------------------------------
r22106 | ben       |  (sam. 09 mai 2015) | 3.0.20 dev
r22111 | cedric    |  (sam. 09 mai 2015) | #3418 : loger les creations de table pour debusquer le bug
r22112 | cedric    |  (sam. 09 mai 2015) | #3418 : purger les opcode cache y compris sur php-fpm (a valider) / Credits pour le patch https://www.drupal.org/node/779482
r22121 | cedric    |  (dim. 10 mai 2015) | Report de r22115 : realpath pour faire un clear opcode cache
r22122 | cedric    |  (dim. 10 mai 2015) | Report de r22116 : #3418 : Octave utilise une configuration foireuse de opcode cache, qui persiste 2s apres modification du fichier sans possibilite de l'invalider manuellement. On essaye donc de detecter cette configuration et de faire un sleep() le temps que le cache soit invalide
r22123 | cedric    |  (dim. 10 mai 2015) | Report de r22118 : Affectation de variable inutile (inutilisée) dans r22116.
r22124 | cedric    |  (dim. 10 mai 2015) | Report de r22119 : Complement a r22116 : deplacer les  de code dans une fonction qui peut resservir dans un plugin si necessaire
r22125 | cedric    |  (dim. 10 mai 2015) | Report de r22120 : Commenter les logs inutiles de r22111, on conserve la verification et seconde tentative de creation de table en cas d'echec
r22155 | erational |  (lun. 18 mai 2015) | un warning de moins.
r22204 | b_b       |  (ven. 05 juin 2015)| Report de r22203 / Fix #3440 : éviter la disparition du texte du troisième onglet de l'installation sous firefox win$ (merci à Franck pour le signalement)
r22208 | b_b       |  (mar. 09 juin 2015)| report de r22201 / Fixe #3418 : complément à r22119 ajouter une seconde à la durée de opcache.revalidate_freq, sans quoi on retombe dans le cache
r22246 | cedric    |  (ven. 19 juin 2015)| Report de r22245 : une option mtime sur purger_repertoire pour supprimer uniquement les fichiers plus anciens que filemtime donne
r22247 | rasta     |  (ven. 19 juin 2015)| Charger la l'API autoriser avant de l'utiliser… On rappelle que SPIP n'utilise pas d'autoload, et que donc on DOIT TOUJOURS penser à charger les API avant de les utiliser. :)
r22252 | toutati   |  (dim. 21 juin 2015)| un petit {tout} qui permet d'afficher la liste des traductions, même si l'article a une rubrique en -1 (cas du plugin pages uniques)

SPIP-plugins-dist spip-3.0.19 -> spip-3.0.20  23 juin 2015
-------------------------------------------------------------
r89160 | eric      |  (ven. 08 mai 2015) | Le décideur prend la première version compatible des plugins dépendants si plusieurs sont disponibles. Autant prendre la version la plus élevée.
r89163 | eric      |  (ven. 08 mai 2015) | oubli d'incrément.
r89165 | cedric    |  (ven. 08 mai 2015) | Fix https://core.spip.net/issues/3398 : date_thread ne doit etre mis a jour que si le message est publie
r89169 | franck    |  (ven. 08 mai 2015) | Ce n'est plus http://core.spip.org mais https://core.spip.net
r89230 | cedric    |  (sam. 09 mai 2015) | Report de r89229 : Fix https://core.spip.net/issues/2899 : erreur 404 mal geree en urls propres
r89281 | marcimat  |  (dim. 10 mai 2015) | Corriger #3416 : ne pas afficher obsolète un plugin local en présence d'une version plus élevée du même plugin, mais non compatible avec ce SPIP.Notons que le terme 'obsolète' ne convient pas vraiment. En effet, dans le cas suivants, tous 2 compatibles avec notre SPIP :A : prefixe TOTO | v1.0.0 | stableB : prefixe TOTO | v1.1.0 | stableC : prefixe TOTO | v1.1.1 | testAlors - A est considéré obsolète (OK)- B n'est pas considéré obsolète (OK)- C est considéré obsolète (hum…)En fait un terme 'prioritaire' sur B à true, et false sur les autres aurait été plus adapté. Parce que C n'est pas tellement obsolète,juste plus à jour, mais d'un état inférieur.
r89311 | marcimat  |  (mar. 12 mai 2015) | Report de r85634 : Eviter des "Warning: Illegal string offset..." (Oxymore)(JandB)
r89345 | marcimat  |  (jeu. 14 mai 2015) | Report de r89344 : Fermer véritablement #3398 car la correction r89165 n'avait pas vu un piège et créait un beau warning :$t, censé être un tableau, était réaffecté au dessus pour recevoir l'identifiant du thread.On nomme pour ce cas correctement la variable.
r89347 | marcimat  |  (jeu. 14 mai 2015) | Report de r89346 :  Ferme #3443 et suite de #3380 , qui complète r89155 (et 89157) : il faut que l'autorisation d'associer des documents, tout commele fait déjà la nouvelle autorisation de dissocier des documents, prenne en compte les identifiants négatifs.Ils correspondent à l'ajout d'un document sur un nouvel article encore en édition et non encore enregistré (pas d'id_article connu),ce qui affecte le document avec 0-$id_auteur qui l'a envoyé.
r89691 | marcimat  |  (mer. 27 mai 2015) | Correction d'un cas très particulier lors de l'installation de SPIP et du plugin organiseur, si un pluginappelle la fonction 'creer_base()' avant l'installation du plugin organiseur. (Cas qui peut arriversi quelqu'un ajoute au moins un plugin dans plugins-dist qui fait cela, avant d'avoir installé SPIP)Dans ce cas, la table 'spip_messages' est déjà créée, et Organiseur croit que l'on vient d'une mise à jourd'un vieux SPIP. Et à ce moment là, il ne crée pas les colonnes nécessaires (imessage et messagerie) dans SPIP auteurs,mais par contre il fait toutes les procédures de mises à jour.Du coup, on ajoute une procédure de mise à jour qui peut créer ces champs s'ils manquent.Corrige une erreur «Critère inconnu =» sur le squelettes prive/objets/liste/auteurs-enligne à l'installation.À noter que ce squelette dans SPIP fait appel à la colonne imessage depuis https://core.spip.net/projects/spip/repository/revisions/21401 , alors que ce champ estdéclaré dans ce plugin. Peut être faudrait il surcharger le squelette dans ce plugin pour permettre à SPIP de pouvoir fonctionner sans.
r89923 | real3t    |  (ven. 05 juin 2015)| Ce bouton actualiser la liste des plugins était tellement bas que j'étais passé à côté (merci Marcimat pour le signalement)
r89933 | real3t    |  (ven. 05 juin 2015)| Revert à la demande d'Eric : une boite d'info, c'est dans la navigation (bon, moi, je pense que c'est une boite de raccourcis, mais...)
r90060 | b_b       |  (mar. 09 juin 2015)| Report de r90059Fix ​https://core.spip.net/issues/3452 : rétablir la possibilité de joindre un document sur un forumSuite à r89155, il faut définir les autorisation autoriser_forum_associerdocuments_dist et autoriser_forum_dissocierdocuments_dist pour permettre de lier/délier un document à un message de forum. Les deux fonctions renvoient toujours true pour que cela fonctionne, voir remarques ici ​https://core.spip.net/issues/3452#note-4
r90353 | cedric    |  (ven. 19 juin 2015)| Report de r90352 : Detection des flooders : quand un utilisateur comptabilise plus de 200 visites d'articles dans une visite,on note son IP dans le dossier tmp/flood/Au bout de 24H (redefinissable via la constante _IP_FLOOD_TTL) on la supprime de tmp/flood/Ces IP reperees peuvent ensuite etre considerees comme des BOT ou meme kickee temporairement, au choix, action a ajouter dans le mes_options.php par exemple
r90358 | real3t    |  (ven. 19 juin 2015)| Report de [90354] et [90356] : Retour sur [89155] : il est autorise d'associer des documents a d'autres documents, certains plugins le font deja, evitons la casse pas trop justifiee (b_b, kent1, RealET)


SPIP-Core spip-3.0.17 -> spip-3.0.19  08 mai 2015
-------------------------------------------------------------
r21519 | ben       |  (mer. 13 août 2014) | Allez reparton(ton) en dev pour un tour
r21529 | ben       |  (jeu. 21 août 2014) | Pas d'onglet dans le nom de la fonction d'autorisation. Permet à un redacteur de pouvoir remodifier la langue et la couleur dans l'espace privé
r21531 | eric      |  (ven. 22 août 2014) | Eviter des "illegal offset" si l'utilisateur n'est pas connecté (déjà corrigé en 3.1).
r21536 | rasta     |  (ven. 05 sept. 2014) | Oups : mauvais "type" appelé pour la fonction d'autorisation pour celleux qui veulent la personnaliser : il ne faut pas garder le "configurer_" qui est déjà dans le "faire" !Cela ne change rien à la sécurité, c'est toujours l'autorisation "configurer" qui est appelée par défaut.
r21539 | cedric    |  (mar. 09 sept. 2014) | Fix #2013 : le filtrage /auteur du statut de previsu introduit par r21500 n'etait pas pris en compte dans autoriser_previsualiser_dist() ce qui ne rendait plus visible le lien de prévisu sur les articles en cours de redaction.
r21542 | b_b       |  (mar. 09 sept. 2014) | report de r21541 : maj url contrib (Francky)
r21543 | suske     |  (mer. 10 sept. 2014) | Suite à forum.spip.net/fr_258607.html, retour partiel sur http://core.spip.org/projects/spip/repository/revisions/21272. On retire <math> de _PROTEGE_BLOCS car cela casse le fonctionnement annoncé dans la doc (http://www.spip.net/fr_article3016.html: "on peut en réalité ajouter <math>...</math> de manière très large (en clair : on peut ajouter <math> tout au début du texte, et </math> tout à la fin...).). L'incompatibilité perdure en 3.1-dev => revoir la doc ou revoir la rupture de compat ou proposer une màj élégante dans les textes ?
r21544 | b_b       |  (mer. 10 sept. 2014) | pétouille (d'ailleurs je me demande pourquoi on ne colle toujours pas d'accents dans nos commentaires ?)
r21555 | cedric    |  (jeu. 18 sept. 2014) | accessibilité : ce onkeypress provoquait un submit lorsqu'on quittait le focus de la recherche, en navigation au clavier. Il n'est pas necessaire, on le vire (Armony)
r21556 | cedric    |  (ven. 19 sept. 2014) | la page infos_perso est une variante de la page auteur avec un id_auteur implicite. On la traite de maniere derogatoire pour que les plugins y ajoutent leurs blocs comme sur la page auteur (Philippe)
r21557 | cedric    |  (sam. 20 sept. 2014) | Accessibilité : quand un formulaire est dans une zone aria-live="true", le screen reader vocalise chaque frappe de caractere par une relecture complete du bloc, ce qui est absolument insupportable. On devrait pouvoir ameliorer cela avec un aria-relevant adapté sur la zone, mais à tester/affiner. En attendant on pose un aria-live="off" sur les balises <form> contenues dans les blocs ajax, ce qui rétablit un confort d'utilisation acceptable (Armony) On pose tous ces attributs aria en JS, pour ne pas risquer d'avoir l'un sans l'autre.
r21558 | cedric    |  (sam. 20 sept. 2014) | Accessibilité : expliciter la fonction du bouton qui fixe la reference des traductions (balise alt de <img> et title du <button> qui le contient) (Armony)
r21559 | cedric    |  (sam. 20 sept. 2014) | Accessibilité : il y a plusieurs liens "Changer" sur la page article, qui ne sont pas contextualisés quand lus par un lecteur d'écran. On ajoute en complément ce sur quoi chacun porte, en class="over" car ils ne sont pas visuellement nécessaires (Armony)
r21560 | cedric    |  (sam. 20 sept. 2014) | Accessibilite : ajouter un <h2> en tete de la zone wysiwyg pour permettre d'y acceder rapidement avec un lecteur d'ecran (Armony)Il faudra revoir la structure des hn mais c'est deja mieux comme ca.
r21568 | cedric    |  (lun. 22 sept. 2014) | eviter que la liste devienne impraticable si un article a une centaine d'auteurs (ou plus)
r21570 | cedric    |  (mer. 24 sept. 2014) | complement a r21568 : annuler un eventuel border et background sur le .inner (provient des box) (b_b)
r21575 | cedric    |  (ven. 03 oct. 2014) | Lorsque le cron a plus de 5min de retard, on double la requete http par une image background (ou un lancement force si c'est un bot) car c'est sans doute que l'hebergement n'autorise pas les http sortantDevrait ameliorer le fonctionnement des crons sur les sites a faible trafic ou hebergement limite
r21589 | marcimat  |  (jeu. 09 oct. 2014) | Report de r21588 : Lors de l'utilisation dans un squelette d'un filtre '|Classe::methode{...}' une erreur bloquante était générée par PHP. Ferme #3282 (merci witi).
r21595 | cedric    |  (sam. 11 oct. 2014) | Report de r21528 : #2884 : les modeles block interrompent les enumerations parce que le <div class="base64" ..> qui les echappe est suivi de \n\n interprete comme une fin de listeil suffit de ne pas inserer ces deux retour qui etaient initialement la pour aider le paragraphage mais ne s'averent plus necessaires pour le bon fonctionnement de tous les raccourcisLes tests de textwheel permettent de verifier qu'on ne casse rien
r21596 | cedric    |  (sam. 11 oct. 2014) | Fix #3276 : quand on a trop de sessions ouvertes (plus de 1000, personalisable par la constante _MAX_NB_SESSIONS_OUVERTES) on purge toutes les sessions anonymes de plus de 3h pour ne pas flooder le tmp/sessions.(Mecanisme de protection contre les bots qui postent sur le formulaire d'abonnement newsletter qui provoque la creation d'une session anonyme avec session_email)Cela permet de ne pas changer le comportement par defaut des sessions anonymes sauf en cas d'attaque/spam. Les gros sites pourront augmenter le seuil si besoin.
r21612 | kent1     |  (lun. 13 oct. 2014) | Le khmer c'est le khmer
r21616 | cedric    |  (mer. 15 oct. 2014) | Fix #3099 : 2 fichiers _fonctions manquant pour le selecteur ajax en squelette (patch plus doux que la version 3.1)
r21646 | marcimat  |  (mer. 22 oct. 2014) | Report de r21645 : coquille et notice php en moins. Le sql_mode à la création d'une table mysql n'était pas ajouté.
r21647 | marcimat  |  (mer. 22 oct. 2014) | Le  doit être défini ici.
r21664 | marcimat  |  (mer. 22 oct. 2014) | Report de r21663 : #3309 : mettre un fil d'ariane vide pour la page infos_perso
r21672 | b_b       |  (jeu. 23 oct. 2014) | report de r21633 : report ameliore de r21572 pour lire correctement les index a longueur fixee, et conserver la longueur qui est utile pour re-creer la table lors d'un dump par exemple cf #3260
r21687 | cedric    |  (ven. 24 oct. 2014) | Bugfix : certains raccourisseurs d'URL transorment les ?articleXX en ?articleXX= ce qui provoquait le bug suivant quand on demande spip.php?article6434 :- on regarde le cache : rien en cache- du coup on analyse l'URL : ça matche articleXXX donc on redirige vers l'article XXXquand on demande spip.php?article6434= (noter le "=" à la fin de l'URL)- on regarde le cache : rien en cache- du coup on analyse l'URL : ça matche PAS articleXXX à cause du "="- on calcule la page => pas d'id article en url ni autre => page sommaire- on met en cacheLe coup suivant, on demande spip.php?article6434- on regarde en cache : et là subtilité, le contexte du cache est le même que pour l'URL spip.php?article6434= :array('article6434' => '', 'lang'=>'fr')du coup on a bien une page en cache, on la ressort et on l'envoie. Manque de bol c'était le sommaire !
r21712 | b_b       |  (sam. 25 oct. 2014) | Report de r21706 : Bugfix de la regexp introduite par r21633 et r21572 utilisee par show_table ; elle ne savait pas lire une table simple sans aucun index (une seule parenthèse)
r21735 | cedric    |  (mar. 28 oct. 2014) | Report partiel de r21734 : bugfix sur le selecteur ajax de rubriques quand la page contient plusieurs input id_parent
r21747 | guytarr   |  (jeu. 30 oct. 2014) | Ferme #3289 : report de r21746, l'icone d'aide rtl n'était pas utilisée (George)
r21752 | cedric    |  (jeu. 30 oct. 2014) | Report de r21750 : Un bug serieux sur la sauvegarde : lors de l'insertion on ne comptait pas sur la table destination mais sur la table source, ce qui entrainait systematiquement une double insertion (une fois en multi puis une fois un par un)Pouvait provoquer une erreur avec abandon qui manquait de log et n'etait pas signale dans le status. On corrige donc les consequences d'une telle erreur.
r21754 | cedric    |  (jeu. 30 oct. 2014) | Report de r21753 : Fix #3327 : Respecter les CACA et les PROUT de Rastapopoulos dans la pagination (dont le modele peut être dynamique)(ie argumenter_inclure ignorait tous les arguments dynamiques qui suivaient un argument sans partie "x=", comme #INCLURE{#ENV{X,inclure/pied},id_article} qui est une inclusion directe d'un fichier, dont le contenu brut du fichier #ENV{X,inclure/pied} est importé, le reste du contexte ne servant pas+ un modificateur m manquant sur la regexp pour ne pas ingorer les valeurs multilignes)
r21756 | guytarr   |  (jeu. 30 oct. 2014) | Report de r21755 : ferme #3326, on repasse par email_valide dans le traiter pour enregistrer en base un email "valide" et éviter les "Marie Toto <Marie@toto.com>" ou "Marie@toto.com "
r21758 | cedric    |  (ven. 31 oct. 2014) | Report de r21751 : Une fonction base_prefixe_tables pour afficher le prefixe de la table sauvegardee dans l'interface
r21759 | cedric    |  (ven. 31 oct. 2014) | Quand table_spip=false, ne pas se rabattre sur la description declaree dans l'API SPIP, ni essayer de prefixer par spip_+ flag exist true/false dans le resultat pour distinguer quand on a pris la declaration fallback ou quand on a trouve la table
r21760 | cedric    |  (ven. 31 oct. 2014) | Fix #3270 (enfin) : trouver la description de la vraie table meme si le prefixe n'est pas spip_Faisait echouer les backup apres migration a cause du champ extra dans la vraie table mais pas dans la declaration sur laquelle on se basait
r21767 | cedric    |  (ven. 31 oct. 2014) | Report de r21764 : Fix #3325 : cast recursif sur le object -> array en sortie de YQL
r21768 | cedric    |  (sam. 01 nov. 2014) | r21759 modifie le comportement du flag exist et perturbe l'installation des extensions. On evite donc de risquer de la casse dans la version 3.0.x et on continue a ne peupler le flag exist que si il vaut true
r21794 | cedric    |  (mer. 12 nov. 2014) | bug js potentiel sur le formulaire de login : il attendre document.ready pour manipuler le DOM (Alexis)
r21798 | cedric    |  (jeu. 13 nov. 2014) | Report de r21797 : suite de r21795 : simplifier car l'imbrication (function($){$(function(){ console.log($);})})(jQuery) renvoit jQl et pas jQuery quand elle est lancee par jQl (a resoudre, Alexis)
r21803 | cedric    |  (sam. 15 nov. 2014) | Report de r21802 : Report de http://zone.spip.org/trac/spip-zone/changeset/85675/
r21807 | cedric    |  (sam. 15 nov. 2014) | Report de r21804 : le define _IS_BOT de fallback est fait apres l'inclusion de l'eventuel ecran de securite, qui est toujours plus a jour
r21808 | cedric    |  (sam. 15 nov. 2014) | Report de r21805 : 2 bots de plus detectes par le radar : Genieo et InfegyAtlas
r21809 | cedric    |  (sam. 15 nov. 2014) | Report de r21806 : Mise a jour de la detection des bots d'apres celle de l'ecran de securite
r21813 | rasta     |  (lun. 17 nov. 2014) | Fix #3339 : Correction des autorisations pour configurer ses infos persos : pour voir les deux formulaires configurer_langage et configurer_preferences c'est toujours ok. Pour voir les deux onglets des pages qui les contiennent, on calque les autorisations sur les deux précédentes.
r21814 | rasta     |  (lun. 17 nov. 2014) | ortho
r21820 | b_b       |  (ven. 21 nov. 2014) | report de r21818 : La globale "visiteur_session" doit être initialisée au tableau vide et non à la chaîne vide, sinon on se prend un avertissemnent "Illegal string offset" dans les squelettes l'utilisant sur un visiteur non authentifié.
r21833 | b_b       |  (mar. 25 nov. 2014) | fix #3353 : report de r21168 notice php en moins
r21837 | kent1     |  (mer. 26 nov. 2014) | Indentation
r21838 | kent1     |  (mer. 26 nov. 2014) | Indentation également
r21840 | kent1     |  (mer. 26 nov. 2014) | Report de c21839Permettre de passer valider via pipeline si par exemple on est amené à rajouter des champs dans ce formulaire
r21844 | cedric    |  (lun. 01 déc. 2014) | - MSIE 6.0 est un botnet, on le traite comme un bot- securite sur une variable mal protegee du plugin contact (il faut upgrader le plugin pour retrouver toutes les fonctionnalites)
r21845 | cedric    |  (lun. 01 déc. 2014) | date
r21849 | b_b       |  (lun. 01 déc. 2014) | report de r21848 : n'abbusons pas du b ^^
r21851 | b_b       |  (lun. 01 déc. 2014) | report de r21850 : coquille de commentaire
r21852 | cedric    |  (mar. 02 déc. 2014) | L'ouverture/fermeture immédiate d'une socket pour lancer le cron en async peut bloquer un process apache sur le serveur, qui reste en attente betement. Il suffit alors d'avoir beaucoup de site sur un serveur pour arriver parfois à consommer le MaxClient Apache, ce qui est embêtant.On essaye donc autant que possible de lire la réponse du serveur pour fermer proprement et libererer la connexion, en se donnant un timeout de 200ms. De temps en temps il arrivera qu'on parte comme un sauvage sans le faire, mais tant que ça reste statistiquement occasionnel c'est pas grave.
r21857 | cedric    |  (dim. 07 déc. 2014) | Report de r21856 : oubli dans r21764 qui provoquait une erreur fatale
r21859 | cedric    |  (dim. 07 déc. 2014) | Report de r21858 : Oups, pas de var_dump (shame)
r21861 | kent1     |  (mer. 10 déc. 2014) | Report de r21860Le Dari (http://fr.wikipedia.org/wiki/Dari) est aussi une langue rtl
r21880 | cedric    |  (lun. 15 déc. 2014) | id_table_objet() sur les tables non spip ne trouvait plus la clé primaire depuis r20312, un peu trop restrictif. On corrige en regardant la cle primaire du moment que la table est dans la base, qu'elle soit SPIP ou non
r21885 | b_b       |  (sam. 20 déc. 2014) | report de r21884 / Fix #3367 : réparer l'affectation de rubriques à un auteur cassée par r21734
r21887 | b_b       |  (sam. 20 déc. 2014) | report de r21886 / simplification (nicod)
r21894 | cedric    |  (mer. 21 janv. 2015) | Si une fonction wrap_embed_html est definie, on l'appelle en lui passant le contenu source et le html qu'on s'apprete a embed dans le contenu riche. Cette fonction peut etre utilisee pour encapsuler ce contenu dans un markup qui l'indique comme non editable dans un editeur wysiwyg et qui porte la trace du raccourci source pour permettre la conversion html=>raccourcis SPIP
r21899 | cedric    |  (sam. 07 févr. 2015) | perf issue : eviter une requete SQL a chaque affichage du formulaire de login anonyme
r21900 | ben       |  (mar. 10 févr. 2015) | Voir le lien ajouter une image dans le cas de deux icones sur la même ligne #3384
r21903 | fil       |  (sam. 14 févr. 2015) | nissart mistralien (report de [21902])
r21911 | kent1     |  (lun. 16 févr. 2015) | typo et indentation
r21918 | cedric    |  (lun. 23 févr. 2015) | Bugfix : un unset sur une valeur de session ne doit pas generer un cache de session pour un visiteur anonyme sans session (effet papillon d'un petit bug sur session_set qui provoque une generation du cache à l'infini). Cas typique : - le plugin panier verifie a chaque hit si le visiteur a un panier en session et sinon par precaution appelle session_set('id_panier') pour unset une evenuelle valeur- session_set peuple la valeur a null et appelle ajouter_session()- ajouter_session voit que le visiteur n'a pas de cookie session et genere un hash de session- il inspecte le tableau de session voit qu'il n'y a rien a enregistrer et rend la main ni vu ni connu (croyait-il).Mais comme on a renseigne $_COOKIE[spip_session] celui-ci est pris en compte dans la fonction spip_session() et genere un cache sessionné. Le plus drole c'est qu'on ne pose le cookie. Donc on recommence au hit suivant avec un nouvel identifiant de session, ce qui est une catastrophe en performance si le site utilise des balises #SESSION. Chaque hit sur le site génére un nouveau cache (donc calcul, donc ecriture sur le disque, donc gonflement du cache etc.)Pour mémoire quand on joue avec les sessions dans les plugins et les squelettes il faut toujours verifier que au final un curl anonyme sur le site est servi sans aucun "Calcul" ni "Ecriture du cache" dans spip.log.
r21919 | cedric    |  (lun. 23 févr. 2015) | oups sur r21918, on ne sort que si $auteur_verif est vide
r21959 | cedric    |  (mer. 25 mars 2015) | ssl:// a vecu, il faut utiliser tls:// car sinon les requetes https ne passent plus sur les serveurs avec une lib OpenSSL recente
r21965 | eric      |  (dim. 29 mars 2015) | Eviter une notice dans le critère par si il est composé uniquement de deux éléments (ce qui est le cas le plus fréquent).
r21967 | eric      |  (dim. 29 mars 2015) | Insérer la date du log en y intégrant clairement l'année : c'est plus lisible.
r21975 | kent1     |  (mer. 08 avril 2015) | win_width.htc n'existe pas (enfin si, mais dans squelettes-dist) et donc il renvoie des erreurs 404 ici et à priori, celui de squelettes-dist ne concerne que ie5.5 à priori, je pense donc qu'il n'est pas pertinent de le dupliquer pour ce navigateur seulement
r21984 | b_b       |  (ven. 10 avril 2015) | report de r21983 : spécifier l'unité des valeurs pour left et top appliqués au p inséré par ajaxcallback en fin de page (chankalan)
r21985 | cedric    |  (sam. 11 avril 2015) | Une constante pour le timeout de connexion a la socket (par defaut a 10s au lieu de 30s)+ une globale pour interdire le fallback par fopen quand on ne veut pas risquer un double timeout si on sait que le host peut nous bloquer avec son firewall
r22001 | erationa  |  (mer. 22 avril 2015) | dans certains cas particuliers, les filtres ne sont pas chargés par le selecteur. on les charge donc.corrige https://core.spip.net/issues/3381(en SPIP 3.1, le chargement est global sur le selecteur et permet d'éviter le problème)
r22006 | b_b       |  (sam. 25 avril 2015) | report tardif de r19980 : corriger le title du lien vers la config du site dans le bandeau (klaus)
r22007 | ben       |  (dim. 26 avril 2015) | Report de lang avant 3.0.18 ~/svn/spip-zone/_outils_/CReportLangTrunk30.ksh
r22008 | ben       |  (dim. 26 avril 2015) | Report de lang avant 3.0.18 ~/svn/spip-zone/_outils_/CReportLangTrunk30.ksh
r22009 | ben       |  (dim. 26 avril 2015) | SPIP 3.0.18
r22010 | ben       |  (dim. 26 avril 2015) | SPIP 3.0.18
r22012 | ben       |  (dim. 26 avril 2015) | Changelog ok SPIP 3.0.18( francky / maieul)
r22016 | b_b       |  (dim. 26 avril 2015) | revert de r22007 (plus de reports de langues de 3.1 vers 3.0)
r22017 | b_b       |  (dim. 26 avril 2015) | retour sur r22016 : cette modif n'avais rien à faire dans le revert
r22019 | ben       |  (dim. 26 avril 2015) | oc_ni
r22036 | gilles    |  (mer. 29 avril 2015) | corriger le bug des espaces dans les mots de passe : https://core.spip.net/issues/3409
r22049 | eric      |  (dim. 03 mai 2015) | Reporter une vieille modif de la 3.1 (20373) concernant la surcharge par local_xx en 3.0.
r22069 | kent1     |  (jeu. 07 mai 2015) | L'arménien s'écrit Հայերեն dans sa langue
r22079 | cedric    |  (ven. 08 mai 2015) | Revert de r22019 : les nouveaux fichiers de langue sont pour SPIP 3.1

SPIP-plugins-dist spip-3.0.17 -> spip-3.0.19  08 mai 2015
-------------------------------------------------------------

r84541 | frank     |  (mar. 09 sept. 2014) | Ce n'est plus spip-contrib.mais contrib.spip
r84552 | cedric    |  (mer. 10 sept. 2014) | presenter les groupes dans l'ordre de la numerotation, puis par multi titre si pas de numerotation
r84853 | cedric    |  (mer. 24 sept. 2014) | image_recadre peut recadrer une image pour respecter une proportion. Le premier argument est le ratio largeur:hauteur demandé, le second argument est alors un '+' pour agrandir avec des bandes ou un '-' pour reduire l'image.Exemple[(#LOGO_ARTICLE|image_recadre{16:9,'-'})]Permet d'avoir un logo au format 16:9 en recadrant l'image le moins possible.Cela permet de conserver l'image la plus grande possible qui respecte une proportion.
r84938 | cedric    |  (mer. 01 oct. 2014) | Fix http://core.spip.org/issues/3278 : utiliser :hover et pas .hover comme selecteur CSS
r84939 | cedric    |  (mer. 01 oct. 2014) | n'initialiser le padding de la box qu'au premier lancement et pas au chargement de la page car sinon certains navigateurs chargeent les images de background au chargement de la page, meme si la box ne sert jamais
r84940 | cedric    |  (mer. 01 oct. 2014) | initialisation des dimensions de la box ne se faisait pas dans le cas modalbox, on deplace cette initialisation
r84942 | cedric    |  (mer. 01 oct. 2014) | r83376 avait ressucité du code mort, mais manque de chance c'etait un bug en puissance et pas une feature : le resultat de la fonction depend d'un define qui n'est pas un argument de la fonction, on ne peut donc pas memoizer en fonction de ses arguments. Cela empechait la mise a jour des URLs, on retire donc cette appel (go0uz)
r84944 | b_b       |  (mer. 01 oct. 2014) | report de r84899 / version 1.4.25: passer la taille max des urls propres et arbos à 80 caractères
r84996 | cedric    |  (sam. 04 oct. 2014) | Ferme http://core.spip.org/issues/3272 : utiliser |ancre_url pour poser une ancre
r85114 | cedric    |  (sam. 11 oct. 2014) | Fix http://core.spip.org/issues/3263 : les vignettes se calculent par leur URL, pas par le nom en clair du site (il est identique pour les sites courants mais pas pour les moteurs de recherche connus)
r85122 | marcimat  |  (sam. 11 oct. 2014) | Report de r85121 : Chaîne de langue manquante
r85219 | b_b       |  (mar. 14 oct. 2014) | version 0.8.9 : r83397 était insuffisant, il faut aussi définir cette propriété pour cboxLoadedContent (on pourrait l'appliquer directement à tous les éléments contenus dans la box mais ça peut poser problème)
r85743 | cedric    |  (ven. 31 oct. 2014) | Report de r85728 : Quand on backup un SPIP qui utilise un prefixe de tables différent de 'spip', l'afficher pour rassurer le webmestre qui sait qu' il y a un prefixe et qui s'inquiète de ce que SPIP sauvegarde bien les bonnes tables.
r85745 | cedric    |  (ven. 31 oct. 2014) | Report de r85731 : Afficher les erreurs rencontrees lors de la sauvegarde au lieu d'un message de reussite en cas d'echec
r85750 | cedric    |  (ven. 31 oct. 2014) | eviter une erreur fatale eventuelle (si plugin migration present dans une vieille version)
r85789 | cedric    |  (sam. 01 nov. 2014) | Tester l'existence du flag exist ET sa valeur
r85817 | b_b       |  (mar. 04 nov. 2014) | version 0.8.10 : oubli dans r83397 et r85219, fix du box sizing aussi pour les boxes en rtl
r85967 | maieul    |  (mar. 11 nov. 2014) | pas de raison que les forums privés ne réagissent pas au réglage de taille minimale
r85968 | b_b       |  (mar. 11 nov. 2014) | revert de r85967 par svn merge -c -85967 .
r85969 | maieul    |  (mar. 11 nov. 2014) | nous disons donc : pas de raison que les ofrums de l'espace privé échappe aux règles sur la longueur minimal. Merci à b_b pour le revert du commit trop fort
r85973 | gilles    |  (mar. 11 nov. 2014) | report de [85972]
r86007 | cedric    |  (mer. 12 nov. 2014) | Report de r86006 : ne pas generer une session anonyme a chaque POST de forum mais uniquement si un fichier a ete poste et si c'est une option autorisee+ generer toute de suite une erreur si un POST a ete fait alors que l'option n'est pas autorisee (car des BOTs qui spamment)(evite de generer des sessions anonymes en nombre pour rien)
r86014 | cedric    |  (mer. 12 nov. 2014) | Report de r86013 : la bonne inclusion sur memoization (depuis http://zone.spip.org/trac/spip-zone/changeset/71370/_plugins_/memoization)
r86132 | marcimat  |  (lun. 17 nov. 2014) | Report de r86131 : Résoudre une partie de #3345 : une url ​http://domain.tld/?2 acceptait par erreur (avec MYSQL) une url propre pouvant être "2-truc"
r86211 | cedric    |  (ven. 21 nov. 2014) | report de r85649
r86358 | tetue     |  (sam. 29 nov. 2014) | coquille
r86393 | kent1     |  (lun. 01 déc. 2014) | Ne pas surcharger non plus ce formulaire
r86394 | kent1     |  (lun. 01 déc. 2014) | oups
r86418 | cedric    |  (mar. 02 déc. 2014) | Report de r86336 : Le header X-Spip-Visites ne fonctionnait plus depuis SPIP 3.0 suite a une salade de variables dans le pipeline affichage_entetes_final. On corrige.
r86419 | cedric    |  (mar. 02 déc. 2014) | oups, mauvais numero de version dans r86418
r86545 | cedric    |  (mar. 09 déc. 2014) | Bugfix temporisation 10s sur les revisions enfin trouve : la comparaison 0.0+titre_version < $date etait parfois vrai avec poutant titre_version qui contient $date, on rajoute donc une condition de non egalite au format texte pour exclure ce cas
r86681 | cedric    |  (jeu. 11 déc. 2014) | eviter une erreur si extension n'est pas renseigne (cas tordus)
r86686 | cedric    |  (ven. 12 déc. 2014) | Quand on minifie une CSS squelette, il faut prendre l'url de cette css, et pas l'url de la page courante comme base pour les urls absolues
r86688 | cedric    |  (ven. 12 déc. 2014) | Retour sur r86686 : il faut fournir une url de 1er niveau publique si on est dans le public, et ecrire/ si on est dans ecrire/ puisque le fond css est calculé dans ce cas depuis ecrire/ et donc avec des urls relatives a ecrire/
r86810 | xdjuj     |  (lun. 22 déc. 2014) | #3368 [Bug] [XML] [Validation] les urls de la forme http://domaine.com/spip.php?page=article&id_article=24 posent un problème de validation, les liens doivent être de la forme http://domaine.com/spip.php?page=article&amp;id_article=24 — problème également présent sur SPIP 2.x
r86970 | cedric    |  (lun. 05 janv. 2015) | bugfix avec legendes longues sur la mediabox black-simple
r87125 | cedric    |  (sam. 17 janv. 2015) | Un cache CSS qui ne dependait pas du host en cours, et donc qui entrainait parfois des injection croisees de domaine dans les css pour les sites etant visites sur plusieurs domaines
r87162 | cedric    |  (mer. 21 janv. 2015) | Si une fonction wrap_embed_html est definie, on l'appelle en lui passant le contenu source et le html qu'on s'apprete a embed dans le contenu riche. Cette fonction peut etre utilisee pour encapsuler ce contenu dans un markup qui l'indique comme non editable dans un editeur wysiwyg et qui porte la trace du raccourci source pour permettre la conversion html=>raccourcis SPIP
r87248 | cedric    |  (ven. 30 janv. 2015) | bugfix formulaire edition sur les modeles emb qui ont du js ou php
r87340 | cedric    |  (mar. 03 févr. 2015) | Gerer une erreur eventuelle sur le formulaire mot de passe au lieu de faire croire que tout s'est bien passe
r87399 | cedric    |  (mar. 10 févr. 2015) | Quand on vient de saisir 2 fois son nouveau mot de passe, on peut faire le cadeau de connexter directement l'utilisateur plutot que lui demander de le saisir une 3eme fois dans le formulaire de login (puisque de toute facon on lui rappelle son login, il a bien tout ce qu'il faut pour se connecter)
r87400 | cedric    |  (mar. 10 févr. 2015) | Quand on vient de saisir 2 fois son nouveau mot de passe, on peut faire le cadeau de connexter directement l'utilisateur plutot que lui demander de le saisir une 3eme fois dans le formulaire de login (puisque de toute facon on lui rappelle son login, il a bien tout ce qu'il faut pour se connecter)
r87489 | cedric    |  (mar. 17 févr. 2015) | Bugfix : sur les secteurs on affiche une icone pour voir tous les forums proposes sur les articles du secteur mais la page controler_forum n'affichait pas les resultats correspondants- on declare la jointure sur spip_articles pour le critere id_secteur- on filtre les messages sur id_secteur quand il est dans l'URL- on modifie l'url du lien pour passer les bons arguments et arriver sur les messages proposes dont le decompte correspond a ce qui est annonce sur l'icone
r87514 | real3t    |  (mer. 18 févr. 2015) | Ajout du moteur de recherche Wow.com
r87634 | cedric    |  (mer. 25 févr. 2015) | Les raccourcis glossaires sont deja personalisables avec une fonction glossaire_xxxx quand on mets une ancre #xxxx sur le raccourci glossaire.On etend un peu pour que si une ancre inconnue est passee on se rabatte sur la fonction glossaire_ si elle existe (c'est deja elle qui etait appelee si elle existait, en l'absence d'ancre)Du coup on passe l'ancre en 3eme argument pour que la fonction standard puisse l'utiliser pour savoir quoi faire.Exemple d'usage :<pre>define('_RACCOURCI_GLOSSAIRE', "/\[(@[^][<>]+)\]/S");function glossaire_($terme,$id,$ancre=null){	if ($ancre AND $ancre!="twitter") return $terme;	return glossaire_twitter($terme,$id,$ancre);}function glossaire_twitter($terme,$id,$ancre=null){	$terme = rawurlencode(ltrim($terme,"@"));	return "https://twitter.com/$terme";}function glossaire_seenthis($terme,$id,$ancre=null){	$terme = rawurlencode(ltrim($terme,"@"));	return "http://seenthis.net/people/$terme";}</pre>Et dans le texte on utilise[@spip] pour avoir un lien vers https://twitter.com/spip et [@spip#seenthis] pour avoir un lien vers http://senthis.net/people/spipdeclinable/personalisable a l'envie. Et si je mets [@spip#gplus] qui n'est pas defini je tombe sur @spip relative a mon site
r87721 | pierrekuhn|  (mar. 03 mars 2015) | Ajout du moteur de recherche Assentice.com
r87758 | marcimat  |  (ven. 06 mars 2015) | Report de r87757 : Déclarer le pipeline 'renseigner_document' ajouté par r74520.
r87854 | cedric    |  (mer. 11 mars 2015) | Retablir l'affichage du message d'erreur quand le lien de changeemnt de mot de passe est invalide
r88103 | erational |  (ven. 20 mars 2015) | report de  z88102. autoriser la lecture de css pour l'évalution du site en "mobile friendly"ttps://www.google.com/webmasters/tools/mobile-friendly/
r88571 | maieul    |  (sam. 11 avril 2015) | nous disions : #DESCRIPTION passe déjà par propre, pas la peine de le faire 2 fois (pas de report en 3.1 parce que celle-ci utilise #DESCRIPTION*)
r88815 | ben       |  (dim. 26 avril 2015) | Report de lang avant 3.0.18 ~/svn/spip-zone/_outils_/CReportLangTrunk30.ksh
r88831 | b_b       |  (dim. 26 avril 2015) | revert de r88815 : plus de reports de langues de la 3.1 vers la 3.0
r88861 | arno      |  (mar. 28 avril 2015) | Vignettes des portfolios en 150x150 (au lieu de 60x60).
r88869 | arno      |  (mar. 28 avril 2015) | Corriger placement des vignettes (ajouter une classe .vignette).
r88961 | franck    |  (sam. 02 mai 2015) | Evitons une redirection, ce n'est plus http://doc.spip.org mais http://code.spip.net
r88974 | eric      |  (sam. 02 mai 2015) | Report de 88958 et 88962.Par défaut, la recherche des plugins se fait sur tous les états et non plus les états stables.Une classe nonstable est ajoutée sur les plugins trouvés dont l'état n'est pas stable.Cela permet de styler ces plugins pour l'instant juste avec une opacity moindre mais on pourra améliorer.
r89102 | eric      |  (mer. 06 mai 2015) | On backporte la fonction de calcul de l'url de démo introduite en 3.1 afin de permettre que les plugins utilise cette nouvelle feature en 3.0 aussi sans poser de souci sur Plugins SPIP.Pour l'instant étant donné que l'on ne dispose pas d'item de langue demo en 3.0 dans SVP ou dans SPIP on n'affiche pas le lien (à voir avant de releaser)
r89145 | gilles    |  (ven. 08 mai 2015) | Toute petite modification de la couleur recuperee par couleur_extraire => mise a jour du tests
r89155 | cedric    |  (ven. 08 mai 2015) | Fix https://core.spip.net/issues/3380 : il faut verifier les droits d'associer/dissocier les documents a un objet dans le formulaire editer objet.Pour cela on cree 2 autorisations associerdocuments et dissocierdocuments qui par defaut reposent sur autoriser(modifier).+ n'afficher le lien 'modifier' sur un document que si on a bien le droit de le modifier
r89156 | cedric    |  (ven. 08 mai 2015) | increment version


SPIP-Core spip-3.0.16 -> spip-3.0.17  13 août 2014
-------------------------------------------------------------

r21270 | cedric    |  (ven. 14 mars 2014) | Ferme #3188 : ne pas echapper le HTML des titre sur la page d'edition
r21271 | b_b       |  (ven. 14 mars 2014) | En route pour la joie !
r21272 | cedric    |  (sam. 15 mars 2014) | Bugfix : quand on appelle echappe_html avec autre chose que la preg par defaut definie par la constante _PROTEGE_BLOCS, il ne faut pas echapper automatiquement les <math> et <?...?> car ce peut-être tout à fait hasardeux.1/On refactor le traitement de <math> en l'integrant à _PROTEGE_BLOCS pour eviter le derogatoiremais on conserve en 3.0 le vieil appel derogatoire (pour ne pas risquer de rupture fonctionnelle si jamais _PROTEGE_BLOCS était personalisée) en le conditionnant  à la presence de "code" dans _PROTEGE_BLOCSCet appel est a supprimer en branche 3.12/Concernant l'echappement des <? .. ?>, on le conditionne a la presence de "script" dans _PROTEGE_BLOCS car c'en est une extension qui ne peut pas passer dans la regexp
r21276 | kent1     |  (lun. 17 mars 2014) | Report de r21275 :Vérifier que la redirection d'article ne redirige pas vers le même article (évite une boucle infinie)
r21280 | kent1     |  (mar. 18 mars 2014) | report de r21279On essaie de bien faire et on en oublie la moitié, pas de chaine de langue en dur ;)
r21282 | b_b       |  (mar. 18 mars 2014) | Report de r21281 : permettre les sauts de ligne dans les appels de modèles cf http://core.spip.org/issues/3173
r21284 | kent1     |  (mer. 19 mars 2014) | Report de r21283Qualité Web - Opquast V2 - 141Une famille générique de police est indiquée comme dernier élément de substitution.
r21288 | rasta     |  (ven. 28 mars 2014) | Légère amélioration du sélecteur générique : on permet de forcer la racine, càd le démarrage de ce qu'on affiche, à un endroit précis.Pour cela, deux options à envoyer : "forcer_racine_objet" et "forcer_racine_id_objet".Beaucoup mieux que juste forcer un seul "id_secteur" (chose qui était déjà permis), car lorsqu'on ouvre le sélecteur on tombe directement sur le bon contenu, on a pas un secteur tout seul à la racine par exemple.De plus le chemin du sélecteur interdit de remonter plus haut que la racine définie explicitement. C'est plus intelligent et moins confusionnant lorsqu'on veut obliger à sélectionner des contenus précis (ex : vous devez sélectionner des rubriques dans telle branche).
r21290 | cedric    |  (ven. 28 mars 2014) | parentheses manquantes : le fichier local/config.txt etait vide…
r21291 | cedric    |  (mar. 01 avril 2014) | ferme #3183 : filtrer_entites doit aussi retablir les &#39; et les &#34; et variantes (il le faisait deja pour les &quot;)
r21295 | cedric    |  (mer. 09 avril 2014) | Redirection sur formulaire login : ne pas rediriger sur soi même, en faisant attention aux & vs &amp;+ coquille inversion
r21296 | cedric    |  (jeu. 10 avril 2014) | Quand on fait un hit ajax, on pose un id en JS sur le bloc qui change pour pouvoir le retablir si l'utilisateur utilise le retour en arrière dans l'historique. Mais si après 1 ou plusieurs hits ajax on fait un hit non ajax, on perd cet id posé en JS quand on revient en arrière, et on ne savait plus gérer les retours en arrières suivants. Dans ce cas, on fait une simple redirection JS vers l'URL concernée, pour ne pas casser la navigation dans l'historique.(Yohann)
r21297 | cedric    |  (jeu. 10 avril 2014) | Amelioration de r21296 : on stocke l'eventuel ajax-id-xx dans le history.state, ainsi lorsque l'id du bloc ajax n'est plus dans le HTML, on essaye de le retrouver avec la class ajax-id-xx. Si un seul bloc correspond, c'est lui et on lui applique le rechargement. Sinon on utilise le window.location.href comme fallback dont on est sur.
r21298 | cedric    |  (ven. 11 avril 2014) | Un bugfix inespéré : gerer enfin correctement les appels ajax vers les URLs qui ont un argument en moins par rapport à l'URL d'origine Comme on dispose de l'URL d'origine dans le blocfrag, on la parse, et on regarde les arguments qui ne sont pas dans le href qu'on recherche, auquel cas on les ajoute vide sur l'url qu'on va requeter en ajax Resoud par exemple le retour a la page 0 d'une pagination quand on est arrivé sur une URL avec un ?debut_xx
r21299 | cedric    |  (ven. 11 avril 2014) | lorsque blocfrag dispose d'attributs data-loading-callback et data-loaded-callback on les utilise pour declencher l'animation loading et pour charger le contenu chargé(ajout de points d'entree, aucun changement fonctionnel par defaut)
r21300 | cedric    |  (ven. 11 avril 2014) | oups ajax-id-xx n'est pas toujours presend, ajaxid peut etre null (Rastapopoulos)
r21301 | cedric    |  (ven. 11 avril 2014) | echappement insuffisant, la RegExp etait incorrecte et parametre_url ne reperait pas les arguments en tableau
r21302 | cedric    |  (ven. 11 avril 2014) | ajaxReload accepte un href comme argument au lieu des args (parfois plus simple)
r21316 | touti     |  (lun. 14 avril 2014) | Report de r21311 et r21312
r21317 | touti     |  (lun. 14 avril 2014) | report de r21160
r21319 | b_b       |  (sam. 19 avril 2014) | report de r21318 : introduction d'une constante _LOGO_RUBRIQUE_DESACTIVER_HERITAGE qui permet de désactiver l'héritage des logos pour les rubriques, cf #3179
r21321 | eric      |  (lun. 21 avril 2014) | Report de r21320.Eviter que la mise en exergue du module de langue dans le title et le texte coincide avec un mot du texte.
r21323 | eric      |  (lun. 21 avril 2014) | Report de r21322.Il faut aussi tenir compte dans le pattern du cas où plusieurs modules sont passés dans l'item de langue.
r21331 | b_b       |  (jeu. 01 mai 2014) | Report adapté de r21330 / Fix #3206 : éviter que le logo des rubriques ne cachent leur titre
r21333 | b_b       |  (jeu. 01 mai 2014) | Report de r21332 / Fix #3189 : dans l'espace privé, réduire les images affichées dans le descriptif des rubriques
r21336 | cedric    |  (lun. 05 mai 2014) | sur une url article avec un id_mot en query-string, on veut que le bouton d'admin renvoie vers l'article et pas vers l'id_mot.Pour coller au mieux possible, on inverse l'ordre des objets, ce qui fait que plus un objet est "loin du core" moins il est prioritaire, la rubrique etant de toute façon la moins prioritaire de tous.Ca reste approximatif et il faudrait une meilleure solution (peut etre tout simplement avoir un bouton pour chaque objet du contexte et non un seul)
r21338 | kent1     |  (lun. 05 mai 2014) | Report de c21337 : Ne pas confondre le Kazakh (kk - http://fr.wikipedia.org/wiki/Kazakh) et le Konkani (kok - http://fr.wikipedia.org/wiki/Konkani)
r21339 | cedric    |  (lun. 05 mai 2014) | quand une valeur est un tableau, bien envoyer tout en tableau pour garder toutes les valeurs (mais il faudrait traiter le cas avec boundary aussi)
r21340 | cedric    |  (lun. 05 mai 2014) | complement a r21339 : quand une valeur est un tableau l'envoyer correctement y compris si on boundarise les donnees en POST
r21348 | cedric    |  (jeu. 08 mai 2014) | eviter un warning quand il n'y a pas de session (moderation des forums par mail par exemple)
r21355 | b_b       |  (ven. 09 mai 2014) | Maj de la config nécessaire en accord avec le trunk (Francky)
r21362 | kent1     |  (lun. 12 mai 2014) | Report de c21361D'après wikipedia et d'autres personnes bien informées, l'azéri, parfois appelé azerbaïdjanais se dit "Azərbaycan dili"
r21363 | cedric    |  (lun. 12 mai 2014) | Amelioration de la gestion du Proxy : gestion des echecs, et gestion du https via CONNECTQuand la requête necessite un proxy et qu'elle echoue, il ne faut pas essayer de la relancer en direct via fopen() ou via file_get_contents() car cela produit un timeout sur le firewall éventuelPour faire une requête https à travers un proxy il faut en général passer par un CONNECT initial (https://en.wikipedia.org/wiki/HTTP_tunnel) ce qui n'était pas géré ici. On implémente donc ce dialogue. Par soucis de compatibilité il ne sera pris en charge qu'en cas de ```define('_PROXY_HTTPS_VIA_CONNECT',true);``` dans le fichier mes_options.php. A voir si il faut rendre cette fonctionnalité activable par l'interface et/ou si elle doit être celle active par défaut.
r21365 | kent1     |  (mar. 13 mai 2014) | Report de c21364Ajoutons le Dari, variante du persan utilisée en Afghanistan notamment (http://fr.wikipedia.org/wiki/Dari)
r21378 | fil       |  (mar. 03 juin 2014) | report des filtres |set{} et |debug{}, cf. http://core.spip.org/projects/spip/repository/revisions/21376
r21380 | fil       |  (mar. 03 juin 2014) | compatibilite PHP 5.3 (xdjuj)
r21382 | b_b       |  (mar. 03 juin 2014) | Report de r21381 : réparer le fait qu'on passe un article en statut proposé lorsqu'un auteur tente de le déplacer dans une rubrique sur laquelle il n'a pas les droits, cf #2523 et #3221
r21384 | cedric    |  (jeu. 05 juin 2014) | un z-index plus élevé pour le bandeau haut, car on attends que le menu déroulant passe par dessus tous les contenus de la page, y compris une éventuelle carte gis qui contient des elements en z-index=1000
r21385 | cedric    |  (jeu. 05 juin 2014) | reparer les liens webcal en passant les urls en absolue (les urls relative ne contenaient pas le protocole, donc pas de difference entre les deux liens)
r21386 | cedric    |  (jeu. 05 juin 2014) | envoyer un filename en .ics pour le contenu ICS aide a l'ouvrir automatiquent avec le bon outil
r21398 | fil       |  (mar. 10 juin 2014) | report de 21397 _LOG_AVERTISSEMENT sur les boucles lentes (_BOUCLE_PROFILER)
r21399 | cedric    |  (mar. 10 juin 2014) | le critere {recherche} necessite une cle primaire non composee, generer une erreur si ce n'est pas le cas+ chaine de langue pour ce type d'erreur+ correction erreur critere doublons
r21400 | cedric    |  (mer. 11 juin 2014) | Ferme #3224 : erreur de parametre_url sur les arguments de la query string qui n'ont pas =xxx(exemple : spip.php?rubrique12 )
r21402 | b_b       |  (mer. 11 juin 2014) | report de r21401 : respecter le choix des auteurs qui ne souhaitent pas appraître dans la liste des auteurs en ligne cf http://thread.gmane.org/gmane.comp.web.spip.zone/35995
r21410 | rasta     |  (jeu. 19 juin 2014) | Prendre en compte "racine|0" en plus de "rubrique|0" dans picker_selected(), plus générique et explicite.
r21414 | b_b       |  (lun. 30 juin 2014) | report de r21413 : bloquer l'accès aux fichiers cachés cf http://archives.rezo.net/archives/spip-dev.mbox/OJPZXTWELE7YCVIWLHHNOTDQBFX2PH4I/
r21416 | kent1     |  (ven. 04 juil. 2014) | Dates pour le Birman
r21417 | kent1     |  (ven. 04 juil. 2014) | La langue Ouzbek, à priori c'est comme cela que cela s'écrit... (http://mfa.uz/uz/)
r21425 | kent1     |  (jeu. 17 juil. 2014) | Meilleure indentation
r21427 | kent1     |  (jeu. 17 juil. 2014) | Orthographe
r21429 | marcimat  |  (ven. 18 juil. 2014) | Report de r21428 : Corriger l'utilisation de la librairie graphique Imagick en PHP5. On intègre peu ou prou le patch de Alan Garcia, ticket #3160
r21432 | marcimat  |  (ven. 18 juil. 2014) | Report de r21431 : fermer #3223Ne pas proposer sur le formulaire d'édition de liens de pouvoir créer ou retirer des liens si on n'a pas le droit d'éditer l'objet concerné.
r21434 | denisb    |  (sam. 19 juil. 2014) | ecrire/inc/filtres.php : correction de l'appel d'une chaîne de langue. report de r21433.
r21435 | eric      |  (sam. 19 juil. 2014) | Correction du ticket http://core.spip.org/issues/3240.On supprime les modèles avant l'appel de propre qui ajoutait le titre du doc dans un strong.On utilise pour ce faire la fonction supprimer_img qui malgré son nom supprimer les modèles img, doc et emb.Les autres modèles ne sont pas concernés et peuvent encore générer ce type d'erreur. Nénamoins il est prévu (todo) d'étendre la fonction supprimer_img.
r21441 | denisb    |  (sam. 19 juil. 2014) | ecrire/inc/pclzip.php : tenir compte du renommage des fonctions gz... par certaines distrib (report de r21440).
r21443 | b_b       |  (sam. 19 juil. 2014) | report de r21423 : fix sur la balise inclure pour accepter un tableau en premier argument
r21445 | denisb    |  (dim. 20 juil. 2014) | ecrire/inc/pclzip.php : correction de r21441 (typage des arguments de fonction). report de r21444.
r21447 | erational |  (dim. 20 juil. 2014) | Multilinguisme: Affiche la langue de l'article si elle diffère de la langue du rédacteur(Rétablit le comportement de SPIP2)Répond partiellement à http://core.spip.org/issues/2746
r21451 | marcimat  |  (dim. 20 juil. 2014) | Report de r21450 : l'autorisation de créer un article dans une rubrique nécessite de pouvoir créer un article également.
r21453 | denisb    |  (dim. 20 juil. 2014) | ecrire/inc/precharger_objet.php, ecrire/inc/auth.php : corriger l'utilisation de l'autorisation liée à la constante _STATUT_AUTEUR_RUBRIQUE. (report de r21452)
r21455 | marcimat  |  (lun. 21 juil. 2014) | Report de r21454 : Restaurer l'animation de la couleur de fond sur les tableaux (exemple sur ajout d'un mot clé à un article), disparue certainement par la robustification de r17078
r21457 | marcimat  |  (lun. 21 juil. 2014) | Report de r21456 : Poursuivre r21454 : utiliser le même principe sur animateRemove() que sur animateAppend() pour voir la coloration rouge de la ligne tr supprimée (exemple : délier un mot clé d'un article), sinon on ne voit rien !
r21459 | kent1     |  (ven. 25 juil. 2014) | D'après les exemples de php.net ce n'est pas la variable à mettre ici mais la class Imagickcf : http://php.net/manual/fr/imagick.resizeimage.php#77339Cela évite les erreurs du type : unexpected T_PAAMAYIM_NEKUDOTAYIM blahblabla
r21463 | rasta     |  (lun. 28 juil. 2014) | Les traitements de balise utilise des fonctions de texte.php, or si on n'utilise pas la fonction dans un squelette mais dans PHP, ce n'est pas forcément chargé.
r21465 | rasta     |  (mer. 30 juil. 2014) | Un petit test en plus + cosmétique…
r21470 | cedric    |  (sam. 02 août 2014) | Ferme #2989 : concurrence entre suppression des fichiers charger_p* et la reconstruction provoquee par la suppression de charger_plugins_options.php.On ne supprime que ce dernier qui provoque la mise à jour des autres.
r21471 | cedric    |  (sam. 02 août 2014) | Ferme #3184 : eviter une erreur fatale lors du processus de maj de SPIP qui peut passer par des états incomplets
r21472 | cedric    |  (sam. 02 août 2014) | Ferme #3069 : l'autorisation utilisee pour tester le droit de modifier login/pass n'utilisait pas la bonne option. $opt['restreintes'] permet de tester le droit a modifier les rubriques restreintes alors que $opt['email'] permet de tester le droit a modifier le login/email.
r21477 | cedric    |  (sam. 02 août 2014) | Correction de affdate_debut_fin pour satisfaire les tests http://zone.spip.org/trac/spip-zone/changeset/83995/_core_/tests+ Ferme #3218 : utiliser la date_jour_court sur la date de fin si on a pas forcé l'affichage de l'annee (nicod)
r21480 | cedric    |  (mar. 05 août 2014) | Eviter d'ouvrir une connexion SQL a chaque appel de cron() alors qu'il n'y a peut etre rien a fairecas notamment (non nominal mais qui peut exister) de define('_DIRECT_CRON_FORCE',true); dans mes_options.php
r21482 | cedric    |  (mar. 05 août 2014) | Dateur : proposer par defaut dans le datepicker un intervalle de date de -60ans/+40ans c'est plus adapté (notamment dans le cas des dates de naissance). De plus, on peut specifier un attribut data-yearRange sur chaque input pour personaliser l'intervalle au cas par cas, en y utilisant la syntaxe de http://api.jqueryui.com/datepicker/#option-yearRange
r21487 | cedric    |  (ven. 08 août 2014) | Ferme #3203 : ne pas dévoiler du contenu post-daté par erreur.La mise à jour de la date du prochain article post-datés se faisait à 2 endroits :- lorsqu'on verifiait la validité d'un cache existant- en fin de hitEn conséquence, si on demandait un article A post-daté futur qui n'avait aucun cache alors qu'un autre article B post-daté venait d'être publié, la mise à jour de la date du prochain article post-datés ne se faisait qu'en fin de hit, donc après avoir affiché l'article A, ce qui est une erreur.On apporte les corrections suivantes :- dans la fonction cache_valide() on vérifie systématiquement si il faut mettre date_prochain_postdate a jour, même si on a pas de cache valide, puisque la meta va conditionner ce qu'on va mettre dans le cache, justement- on appelle calculer_prochain_postdate() avec le $check=true pour publier éventuellement les rubriques concernées- dans la fonction calculer_prochain_postdate() on met systematiquement à jour la meta derniere_modif si jamais on modifie date_prochain_postdate
r21490 | cedric    |  (ven. 08 août 2014) | Ferme #3241 : permettre au plugin autorite de surcharger prive/objets/infos/inc-auteur-rubriques.html pour afficher les rubriques liees aux auteurs non admin (extension de fonctionnalité)
r21492 | cedric    |  (ven. 08 août 2014) | Ferme #3228 : si plus de 10 langues sélectionnées, un lien "Tout decocher" permet de tout decocher
r21494 | cedric    |  (ven. 08 août 2014) | Ferme #3227 : la date de redaction/publication doit etre valide selon PHP (mktime). Pour la date de redaction antérieure, on prend en charge les dates improbables dans le passé par un offset de +9000 sur l'année.
r21497 | cedric    |  (sam. 09 août 2014) | optimisation : memoizer le calcul de ce critere qui est appele plusieurs fois avec les memes arguments dans la page
r21498 | cedric    |  (dim. 10 août 2014) | Ferme #2013 : dans la declaration du filtrage par statut, on peut suffixer un statut donné par "/auteur" pour que seuls les objets liés à l'auteur connecté soient affichés pour ce statut.Application aux articles, pour lesquels on limite en previsualisation l'affichage des articles en cours de rédaction à ceux de l'auteur connecté.Dans la fonction quete_condition_statut on utilise le nom de table qui prefixe le champ statut pour savoir de quel objet on traite.Ce n'est pas parfait, il faudrait le passer en argument supplémentaire, mais cela suffit en général, et on ne veut pas changer la signature de la fonction dans cette version stable. A noter que si on n'a pas cette information, on ignore le statut considéré pour ne pas risquer de dévoiler de l'information - idem si pas d'auteur connecté.
r21501 | cedric    |  (dim. 10 août 2014) | #3162 et sans doute d'autres cas : la fonction _sqlite_func_regexp_match doit utiliser le flag u si on est en UTF8 pour matcher correctement les chaines accentuées+ optimisation : quand $quoi est vide (ce qui est souvent le cas sur les requetes SQL), retourner false tout de suite.
r21502 | cedric    |  (dim. 10 août 2014) | Ferme #3162 (complète r21501) : dans la chaine utilisé pour requeter, remplacer les caracteres transliterables par un joker (. si regexp et _ si LIKE), puisque la requete SQL est utilisée pour extraire ce qui semble matcher, le vrai match étant fait ensuite en PHP, en comparant cette fois bien les chaines translitérées.Dans le cas particulier de SQLite dont les requetes sont sensibles aux accents, on fixe un peu salement en remplaçant aussi les aeiuoc par un joker, ce qui permet de faire matcher une partie des requetes ("bibliotheque" trouvera bien "bibliothèque") mais ce n'est qu'un pis-aller très francophone...
r21503 | b_b       |  (dim. 10 août 2014) | debug commité par erreur dans r21502
r21508 | cedric    |  (lun. 11 août 2014) | Ferme #3174 : quand on revient de la config LDAP, il faut initialiser la connexion par un appel à spip_connect_db.Par ailleurs, l'auteur n'est pas obligatoire si on revient de LDAP (double fix donc)
r21509 | cedric    |  (lun. 11 août 2014) | indentation
r21510 | cedric    |  (lun. 11 août 2014) | #3064 : Reparer la recherche par id_rubrique dans le selecteur ajax de rubriques

SPIP-plugins-dist spip-3.0.16 -> spip-3.0.17  13 août 2014
-------------------------------------------------------------

r81358 | b_b       |  (jeu. 13 mars 2014) | report de r81357 : auto n'est pas une valeur prise en compte pour le padding, ferme http://core.spip.org/issues/3177
r81374 | cedric    |  (ven. 14 mars 2014) | Pour les URL propres : prendre celle qui a un id_parent=0 en priorite.Si elle n'existe qu'avec un id_parent<>0, la reinserer en base avec un id_parent=0 pour eviter les collisions avec d'autres objets
r81375 | cedric    |  (ven. 14 mars 2014) | Detection de collisions d'URLs :- on ne suffixe que si l'url identique concerne un autre objet (peut etre une url identique du même objet avec un id_parent non nul)- quand on veut piquer une ancienne URL d'un autre objet, il faut que celle plus recente soit bien differente (sinon on arrivait a piquer une URL valide au pretexte que l'objet en avait une autre identique avec un id_parent non nul)- on log mieux les reattribution et reactualisation- quand on suffixe l'URL on reappelle recursivement la fonction url_insert pour refaire tout le test de collision proprement
r81376 | cedric    |  (ven. 14 mars 2014) | fusionner les colonnes objet/id_objet, puisqu'on ne trie de toute façon que sur l'objet. Ça permet du coup de linker l'objet concerné, ce qui est pratique, et de mieux faire ressortir le parent)
r81377 | cedric    |  (ven. 14 mars 2014) | version
r81448 | cedric    |  (mar. 18 mars 2014) | Revert de r80163 car r80130 a ete revert par r80558 (clair, n'est-ce pas ?)
r81643 | cedric    |  (ven. 28 mars 2014) | BugFix sur les collisions d'URLs propres/arbo qui continuait même après être revenu en URL propre car le décodage des anciennes URLs arbo génére de nouvelles URLs arbos :Quand on decode une url arbo qui est en fait une ancienne URL car on a changé de schema d'URL, il ne faut pas regenerer de nouveaux segments arbo mais rediriger directement vers l'URL dans le nouveau schema.Pour cela on se base sur le nom de la fonction qui appelle urls_arbo_dist : si c'est urls_xx et pas urls_decoder_url : c'est un appel de compatibilité depuis un autre schema.
r81670 | cedric    |  (lun. 31 mars 2014) | oups, r81643 avait introduit des redirections infinies d'url pour cause de / final différent (Nicolas H.)
r81698 | cedric    |  (mar. 01 avril 2014) | nettoyer nom_site et descriptif avec filtrer_entites()
r81730 | rasta     |  (jeu. 03 avril 2014) | Yes merci kent1… :DJe ne sais même pas comment ça pouvait continuer à marcher pour celleux qui utilisent Revisions… car charger_fonction SANS le "true" à la fin = minipres !Par ailleurs si on décide de permettre une fonction plus précise, on ne force pas la valeur du $format, on laisse celui de l'appel.Et par ailleurs de chez ailleurs, c'est dans la branche 3.0 mais pas reporté dans le trunk 3.1 du plugin.
r82072 | b_b       |  (mer. 23 avril 2014) | report de  http://core.spip.org/projects/spip/repository/revisions/21325Correction de  http://article.gmane.org/gmane.comp.web.spip.devel/65118 : une URL dans un tableau à la SPIP fusionnait à tort la ligne suivante parce que le signe "|" était retiré en amont comme faisant partie de l'auto-lien à produire. On rajoute ce signe comme caractère ne pouvant terminer une URL.
r82214 | fil       |  (ven. 02 mai 2014) | report de 82213
r82275 | cedric    |  (ven. 09 mai 2014) | coquille : parenthese manquante…
r82290 | b_b       |  (ven. 09 mai 2014) | report de r82289 : faute de frappe (Benoit)
r82323 | cedric    |  (lun. 12 mai 2014) | il ne faut pas tenir compte de $afficher_previsu ni de $retour pour determiner si c'est bien ce formulaire forum qu'on vient de poster
r82473 | taffit    |  (sam. 17 mai 2014) | 2sSuppression de profils ICC inutiles[ Report de 82425 ]En recherchant les profils ICC sous droit d’auteur restreint, nepermettant pas la modification (et par conséquent en violation avec lalicence GPL), les images suivantes ont été reconnues :	find . -regextype posix-extended -iregex '.*\.(jpg|png)' \		-exec sh -c 'identify -verbose "$0" \		| grep -i copyright && echo "$0"' {} \;Les profils inutiles ont donc été supprimés des images suivantes :	exiftool -icc_profile"-<=" $fichiersChaque image a été vérifiée identique, une à une, à l’image d’origine.Cerise sur le gâteau : environ 3 ko de données binaires inutiles ont étésupprimées de chaque fichier, avec pour conséquence directe unediminution de taille de ces fichiers.
r82474 | taffit    |  (sam. 17 mai 2014) | Suppression de la propriété svn:executable inutile[ Report de 82427 ]
r82582 | cedric    |  (lun. 19 mai 2014) | Accesibilité : le lien "modifier" n'est pas un bouton car il ne génère pas de modification immediate du document mais donne seulement accès à un formulaire de modification. Mais du coup il n'est pas dans le même flux de navigation au clavier que les boutons voisins ce qui complique son accès (Armony)On y ajoute un tabindex="0" et role="button" qui devrait améliorer ce problème
r82863 | cedric    |  (jeu. 05 juin 2014) | envoyer un filename en .ics pour le contenu ICS aide a l'ouvrir automatiquent avec le bon outil
r82932 | cedric    |  (mar. 10 juin 2014) | securite : ne pas déplacer un thread nul (ne devrait jamais arriver, mais sur une table mal fichue ça fait des dégats)
r82940 | cedric    |  (mar. 10 juin 2014) | pas de critere recherche sur la table des versions, elle n'a pas de cle primaire unique
r83048 | cedric    |  (sam. 14 juin 2014) | Ferme http://core.spip.org/issues/3211 - bugfix de r81381 : la globale $type_urls est toujours definie, et vaut 'page' par defaut, ne pas en tenir compte dans ce cas (Suske)
r83376 | cedric    |  (jeu. 19 juin 2014) | inc/xcache et la fonction Cache de memoization n'existent plus, ils ont été renommés
r83397 | cedric    |  (ven. 20 juin 2014) | Robustesse : eviter que la mediabox ne casse quand le reset impose un box-sizing (http://spip-grenoble.com/spip/article/knacss-et-la-mediabox-de-spip)
r83398 | real3t    |  (ven. 20 juin 2014) | Cosmétique de lecture de code
r83515 | cedric    |  (lun. 30 juin 2014) | Le raccourci "tiret espace" en début de texte ou après 2 retours produit un enchainement <p><br class="manualbr" /> assez malheureux.On bugfix en les ignorant, est-ce qu'il y aurait d'autres cas où l'on produit ce code ? (on suppose qu'un <br /> inséré en dur dans le texte ne doit pas être supprimé)
r83677 | nicod     |  (jeu. 17 juil. 2014) | report de r83674
r83688 | marcimat  |  (ven. 18 juil. 2014) | Report de r83687 : Renommer les fonctions d'insertion et de modification des groupes de mots se nomment 'groupe_mots_inserer' et 'groupe_mots_modifier' (utilisent le bon type d'objet). L'ancien nommage est conservé pour ne pas casser les utilisations existantes, tout en devenant dépréciées.Corrige http://core.spip.org/issues/3205
r83690 | erational |  (ven. 18 juil. 2014) | report de http://zone.spip.org/trac/spip-zone/changeset/83689
r83691 | erational |  (ven. 18 juil. 2014) | oups ... suppression des reports en trop
r83693 | erational |  (ven. 18 juil. 2014) | </ul> et ] manquants ..désolé
r83694 | eric      |  (ven. 18 juil. 2014) | Correction du ticket http://core.spip.org/issues/3215.On renvoie une erreur dans le cas où l'url ne permet pas de récupérer un nom de fichier d'archive.Correction du formulaire qui ne renvoyait jamais les erreurs de saisies.
r83695 | eric      |  (ven. 18 juil. 2014) | Une micro correction supplémentaire dans le formulaire de chargement d'une archive
r83696 | eric      |  (ven. 18 juil. 2014) | Améliorer la détection de l'invalidité de l'url de l'archive
r83698 | erational |  (ven. 18 juil. 2014) | dans le menu configuration, ne plus proposer le format URLs historiques qui n'était plus généré on conserve le fichier urls/standard.php pour ne pas provoquer d'erreur sur les usagers qui ont choisi ce format mais il sera sans doute à supprimer en 3.1ferme le ticket http://core.spip.org/issues/3085
r83816 | franck    |  (mar. 22 juil. 2014) | Cela ne change rien, mais permet d'avoir les bonnes informations.Spip 3.0.0 était avec "mots" 2.4.6 et "mediabox" 0.8.1, donc les bornes mini ne peuvent pas être moins grande (surtout qu'il n'y avait pas non plus de plug compatible sur la zone).Reste le cas cas de "z" possible que la borne mini soit ok, mais pas moyen de le savoir car la version 1.2.1 n'avait pas de borne max... L'unique chose qui est sûr c'est que la version 1.7.14 indiquant comme quoi elle fonctionnait en spip 3.0.
r83818 | franck    |  (mar. 22 juil. 2014) | La première version de porte plume qui est compatible avec spip 3.0.0 est la 1.11.5
r83820 | franck    |  (mar. 22 juil. 2014) | Cela ne change rien, mais donne les bonnes indications.Les bornes mini, doivent être ceux qui sont compatible spip 3.0.0
r83832 | b_b       |  (mer. 23 juil. 2014) | report de r83831 : ne pas utiliser deux fois la règle User-agent: * dans le robots.txt, cf http://permalink.gmane.org/gmane.comp.web.spip.user/190163
r83959 | yohann    |  (jeu. 31 juil. 2014) | Tester si les plugins sont actifs
r84033 | yohann    |  (mar. 05 août 2014) | Report de [84032]
r84151 | cedric    |  (lun. 11 août 2014) | Ferme http://core.spip.org/issues/3084 : verifier au moment de l'insertion en base si le depot n'y est pas deja, generer une erreur dans le cas contraire
r84152 | cedric    |  (lun. 11 août 2014) | Ferme http://core.spip.org/issues/2855 en prenant des precautions pour etre sur de ne pas risquer d'echapper une vraie balise html qui contiendrait un < dans un attribut
r84162 | cedric    |  (lun. 11 août 2014) | complément à r84152 : il ne faut pas echapper le < des commentaires HTML <!-- (d'autres cas oubliés ?)
r84170 | cedric    |  (mar. 12 août 2014) | En reponse a http://core.spip.org/issues/2884 :Un premier jeu de tests unitaire de propre() construit a partir du comportement existant.Chaque fichier .txt contient du texte avec raccourcis SPIP, et le .html du meme nom contient la sortie attendueCe premier jeu de test est execute en lang en pour eviter la prise en charge de raccourcis typo invasifsTous les tests ne sont pas OK, car quand la sortie constatee ne semblait pas normale, on a corrige la sortie attendue dans le test.Notamment les points suivants :- un <quote> commencant par un retour ligne genere un <p><br /> en debut de blockquote- un retour ligne dans une liste ne genere pas d'autobr- un <p>paragraphe</p> html dans une liste SPIP l'interrompt (confirmer que c'est un bug?)- quelques bugs autour du gras/italique dans le title d'un raccourci lien SPIPA noter aussi les curiosites suivantes, non considerees comme des bugs ici, mais peut etre a discuter :- plusieurs espaces insecables de suite avec le raccourci tilde ou avec &nbsp; sont remplaces par un seul in fine- dans une note, un autolink disparait du title mais pas un lien explicite avec raccourci SPIP- Le raccourci hr - n'interrompt pas une liste au contraire du <p>- le raccourci liste tiret-asterisque-espace genere un li qui commence par un espace, et tiret-asterisque seul genere un li qui commence sans espacemais le raccourci tiret-espace ou tiret tout seul generent une puce suivie d'un espace insecable dans les deux casA partir de ces tests de base, on va decliner des variantes avec- lang fr chaine avec ponctuation dans les differents textes pour verifier la bonne prise en compte/non prise en compte de la typographie- des modeles de type inline et block dans les differents textes pour verifier que cela ne perturbe pas la sortie
r84179 | cedric    |  (mar. 12 août 2014) | Suite de r84170 : variante des tests avec corrections typographiques
r84181 | cedric    |  (mer. 13 août 2014) | Suite de r84170 : jeu de tests avec un modele inline du type <textwheel1|inline> pour verifier qu'il est bien interprete la ou il faut uniquement, et ne casse pas le paragraphage
r84182 | cedric    |  (mer. 13 août 2014) | Corrections sur tests avec modele inline : le modele n'est pas autorise dans un title de lien + coquilles dans le modele des notes
r84183 | cedric    |  (mer. 13 août 2014) | Suite de r84170 : jeu de tests avec un modele block du type <textwheel1|block> pour verifier qu'il est bien pris en compte la ou il faut, et ne casse pas le paragraphage.On remarque au passage plein de tests casses a cause du bug denonce par http://core.spip.org/issues/2884 : un modele block interrompt les listes ul et ol
r84190 | cedric    |  (mer. 13 août 2014) | On supprime le dossier tests/ de cette branche stable, car ils sont tous casses et leur reparation est un chantier qui concerne la branche devOn fera eventuellement des reports de bugfix au cas par cas selon l'importanceLes tests ont ete reportes sur la branche dev par r84185 a r84189

SPIP-Core spip-3.0.15 -> spip-3.0.16  13 mars 2014
-------------------------------------------------------------
r21232 | cedric    |  (sam. 22 févr. 2014) | Ferme #3143 : pipelines pre_edition et post_edition dans rubrique_instituer
r21236 | cedric    |  (dim. 23 févr. 2014) | Report de r21211 : Depuis r14416 les tests simpletest ne fonctionnaient plus car ne récupéraient plus le tableau des erreurs du debusqueur. On permet d'obtenir ces informations (et d'effacer le tableau) via un 3e argument.
r21237 | denisb    |  (lun. 24 févr. 2014) | ecrire/inc_version.php : "Vingt fois sur le métier remettez votre ouvrage ; Polissez-le sans cesse et le repolissez : Ajoutez quelques fois et souvent effacez. "
r21238 | denisb    |  (lun. 24 févr. 2014) | ecrire/paquet.xml : vingt-et-un ! (voir commit précédent).
r21241 | cedric    |  (mar. 04 mars 2014)  | Ferme #3176 : quand  ==  ==  on reste sur le cas par defaut de  ==  (severo)
r21243 | cedric    |  (mer. 05 mars 2014)  | une securite qui evite de perdre des donnees dans le cas idiot ou la table _liens n'est pas creee
r21246 | cedric    |  (ven. 07 mars 2014)  | Un echappement manquant dans une requete SQL, c'est mal (Philippe Baumgart et al)
r21253 | cedric    |  (sam. 08 mars 2014)  | la fonction titre_automatique fait appel à la fonction surchargeable titrer_contenu qui calcul un titre pour un contenu donné.La fonction titrer_contenu peut recevoir le contenu sous forme de tableau, ou utiliser les valeurs du POST
r21258 | cedric    |  (jeu. 13 mars 2014)  | Report de http://zone.spip.org/trac/spip-zone/changeset/81334 : v 1.1.9 : on est plus radical avec les tentatives d'injection par connect : aucune chance que ce soit une demande licite, on bloque donc le hit, cela evite de generer des cache compile foireux

SPIP-plugins-dist spip-3.0.15 -> spip-3.0.16  13 mars 2014
-------------------------------------------------------------
r80997 | cedric    |  (dim. 23 févr. 2014)| Report de r80808 : Mise à jour du lanceur de simpletest
r80998 | cedric    |  (dim. 23 févr. 2014)| Report de r80752 : Adaptation des tests à la nouvelle version de SimpleTest (et notices php en moins)
r81069 | cy_altern |  (mer. 26 févr. 2014)| report 81067
r81101 | cy_altern |  (jeu. 27 févr. 2014)| un GET sans SET: la variable name est dans ENV
r81208 | cedric    |  (mer. 05 mars 2014) | Report de http://core.spip.org/projects/spip/repository/revisions/21242 : ne pas injecter un largeur="0" et hauteur="0" si c'est une image (distante) dont on ne connait pas les dimensions.(laisser faire le navigateur)
r81254 | cedric    |  (ven. 07 mars 2014) | bugfix : lorsque le type d'URL était fixé par la globale et non par la meta, le formulaire d'edition ne fonctionnait pas bien (il ne chargeait pas le bon module)
r81266 | b_b       |  (ven. 07 mars 2014) | report plus que tardif de r65147 qui fixait http://core.spip.org/issues/2827 (vraiment limiter le sujet à 3 caractères min)
r81273 | eric      |  (sam. 08 mars 2014) | Ajout d'une autorisation générique participer aux forums privés pour un objet quelconque. Cette autorisation permet d'afficher ou non les boutons "poster un message" ou "répondre au message".Par défaut, cette autorisation est toujours vraie.Tout objet peut la surcharger.
r81321 | cedric    |  (jeu. 13 mars 2014) | Report de r81300 : reparer le if_stri automatique sur les if_str ayant des lettres
r81322 | cedric    |  (jeu. 13 mars 2014) | Report de r81320 : complement de r81300 : il faut initialiser la regle avant de la rejeter sur le critere if_str/if_stri car il peuvent etre optimise par l'initialisation (un if_str sur une chaine case sensitive est automatiquement transforme en if_stri)
r81332 | cedric    |  (jeu. 13 mars 2014) | Upgrade de la librairie CSSTidy en v1.5.2

SPIP-Core spip-3.0.14 -> spip-3.0.15  21 février 2014
-------------------------------------------------------------

r21147 | denisb    |  (lun. 20 janv. 2014) | ecrire/inc_version.php, ecrire/paquet.xml : une page de tournée, on repart au boulot...
r21156 | b_b       |  (mer. 22 janv. 2014) | Report de r21155 : réparer le formulaire editer_liens en ajoutant un attribut type submit aux boutons (compat jquery.form suite à r20622)
r21176 | cedric    |  (jeu. 06 févr. 2014) | patch grossier : quand une recherche se fait sur une table dont la clé primaire est composée, ne mémoriser que la valeur du premier champ de la clé. Ça marche moins pire qu'actuellement ou l'on ne memorise rien... (et ça peut etre utile sur certaines tables comme spip_formulaires_reponses_champs)
r21177 | cedric    |  (ven. 07 févr. 2014) | Revert de r21138 qui introduit des incompatibilites (chaines de langue manquantes)svn merge -r21138:21137 .
r21179 | eric      |  (sam. 08 févr. 2014) | Oubli d'un include pour spip_htmlentities
r21180 | eric      |  (sam. 08 févr. 2014) | Suite du report de 21161 : oubli de l'include pour spip_htmlentitites
r21181 | cedric    |  (lun. 10 févr. 2014) | Le modele <formulaire|...> est plus sympa :- dans l'espace privé il s'instancie directement car on a pas de cache et ça permet de le voir plutot que du PHP échappé- dans le site public il injecte son PHP comme avant, et reste bien dynamique
r21183 | cedric    |  (jeu. 13 févr. 2014) | r14456 a nettoyé a raison la globale $contexte_inclus qui était utilisée par tous les <INCLURE>Mais dans le cas <INCLURE(script.php){foo=bar}> on ne disposait plus du contexte dans script.php, ce qui rendait totalement inoperant les anciennes écritures d'inclusion via php malgré la subsitance de code pour cela dans public.phpPar ailleurs ce script.php peut être utilisé pour faire un aiguillage dynamique vers un squelette ou un autre en fonction de la session et du contexte sans générer de multiplication de caches (performance issue).On rétablit donc l'affectation de la variable $contexte_inclus dans le seul cas d'une inclusion d'un php, script.php pouvant ainsi recevoir tout le contexte désiré (y compris un {env}) et agir en conséquence.Le define CODE_INCLURE_SCRIPT est modifié pour prendre $_contexte en argument supplémentaire, mais sans risque de casse en cas de personalisation.
r21187 | cedric    |  (sam. 15 févr. 2014) | coquille dans la fonction affdate_debut_fin (merci les tests)
r21188 | cedric    |  (sam. 15 févr. 2014) | coquille dans la chaine de langue sur les abbr (affdate_debut_fin)
r21189 | cedric    |  (sam. 15 févr. 2014) | extraire_attribut redresse les ' exprimes en entites html, mais on peut avoir &#39; ou &#039;extraire_attribut est supposé aussi redresser les " exprimes en entites html d'après son test unitaire
r21190 | cedric    |  (sam. 15 févr. 2014) | r19869 visait à ne plus echapper les simple quotes dans les flux RSS, mais du coup on n'échappait plus non plus les double quotes. On rétablit ce dernier cas.
r21191 | cedric    |  (sam. 15 févr. 2014) | retablir la conversion des booleens (true => '1' et false=>'') de protege_champ qui avait sauté par erreur avec r16979(c'est a priori un cas peu courant, mais tenons nous en a la spec initiale definie par le test unitaire)
r21206 | rasta     |  (sam. 15 févr. 2014) | Correction du sélecteur générique quand on sélectionne un article (oups de copiage-collage depuis celui des rubriques).
r21225 | kent1     |  (ven. 21 févr. 2014) | report de r21224Passer la langue de l'article dans le contexte d'inclusion de la représentation de l'article.Permet d'avoir les modèles, par exemple les documents traduits à l'aide de balises multi, dans la langue de l'article et non la langue principale du site.
r21227 | kent1     |  (ven. 21 févr. 2014) | revert de r21225 car change la langue de l'interface (pardon, oups)
r21228 | cedric    |  (ven. 21 févr. 2014) | Report de r20237 : spip_meta n'existe pas toujours dans la base -- C'est le cas d'un dump sqlite par exemple (clot http://core.spip.org/issues/2951)

SPIP-plugins-dist spip-3.0.14 -> spip-3.0.15  21 février 2014
-------------------------------------------------------------

r80151 | real3t    |  (lun. 20 janv. 2014) | Ajout du moteur Ecosia dans les moteurs de recherche reconnus par SPIP pour l'affichage des stats
r80152 | real3t    |  (lun. 20 janv. 2014) | Et un incrément de z pour fêter ça !
r80163 | b_b       |  (lun. 20 janv. 2014) | Fix de r80130 qui reportait les chaînes de langue du trunk sans modifier leur appel dans le source
r80196 | marcimat  |  (mer. 22 janv. 2014) | Report de r80194 : Ajout des attributs type sur les boutons (relatif à http://core.spip.org/issues/3133) nécessaires à faire fonctionner l'ajout/suppression des liaisions, suite aux évolutions du plugins forms de jquery
r80225 | b_b       |  (ven. 24 janv. 2014) | oubli malheureux dans r80059
r80227 | b_b       |  (ven. 24 janv. 2014) | réparer la boulette de r80059
r80421 | erational |  (lun. 03 févr. 2014) | mise à jour de version pour tenir compte des mises à jour de langue (préfixe grenier) et forcer le zip sur files.spip.org à se rafraichir
r80558 | cedric    |  (ven. 07 févr. 2014) | Revert de r80130 qui introduit des incompatibilites (chaines de langue supprimees)svn merge -r80130:80129 .
r80682 | denisb    |  (ven. 14 févr. 2014) | compresseur/inc/compresseur_minifier.php : si elle est égale à 0, enlever la partie entière des unités décimales  (report de r80681).
r80724 | cedric    |  (sam. 15 févr. 2014) | Renommer le dossier qui ne contient pas de tests unitaires mais des squelettes de test et debug
r80726 | cedric    |  (sam. 15 févr. 2014) | mise a jour du lanceur pour utiliser simpletest de tests/
r80760 | eric      |  (dim. 16 févr. 2014) | Correction de l'utilisation des forums privés pour un nouvel objet.Il suffit maintenant d'appeler le squelette discuter_forum dans la page de l'objet pour obtenir un forum privé sur l'objet.
r80764 | eric      |  (dim. 16 févr. 2014) | Oups, oubli d'incrément de version.
r80782 | cedric    |  (dim. 16 févr. 2014) | PHPDoc
r80795 | cedric    |  (lun. 17 févr. 2014) | bugfix sur |image_fond_transparent : un if (true) de debug tentait de creer l'image meme si ce n'était pas nécessaire, et du coup la source pouvait être manquante (image intermédiaire non reconstruite car creer=false) ce qui provoquait une erreur squelette
r80865 | cedric    |  (mar. 18 févr. 2014) | un pipeline pre_echappe_html_propre qui voit passer le texte brut de propre() avant tout echappement htmlLe nommage est verbeux, mais on pourrait etre amené à intégrer un pipeline symétrique dans typo() et cela permetta de les distinguer
r80916 | severo    |  (mer. 19 févr. 2014) | forum - configuration pour désactiver la prévisualisation des messages.Pas actif, pour l'instant. Par défaut, la prévisualisationdes messages est activée (comportement actuel).
r80917 | severo    |  (mer. 19 févr. 2014) | oups
r80918 | severo    |  (mer. 19 févr. 2014) | oups 2 - pas commité au bon endroit.On va commiter dans http://zone.spip.org/trac/spip-zone/log/_core_/plugins/forumpour spip 3.1

SPIP-Core spip-3.0.13 -> spip-3.0.14  19 janvier 2014
-------------------------------------------------------------
r20964 | eric      |  (lun. 11 nov. 2013) | Aligner la version dans inc_version.php avec celle de son paquet.xml
r20971 | guytarr   |  (ven. 15 nov. 2013) | report de 20970 : Le jeton pour un mot de passe oublie ou une inscription peut etre mal lu s'il est compose que de chiffres et l'action n'aboutie donc pas (Guillaume Barral)ferme #3093 (puisque résoudre ne suffit pas)
r20973 | cedric    |  (ven. 15 nov. 2013) | ne pas essayer de transformer une DATA URI en url absolue dans suivre_lien (nicolas)
r20975 | guytarr   |  (sam. 16 nov. 2013) | ecrire/index.php, ecrire/inc/log.php, ecrire/inc/config.php : report de r20928, r20929, r20930-2 petits mots en plus pour avoir un log plus explicite. (non, un auteur n'est pas qu'un numero)-Evite une notice lors d'une action en cours interrompue qui doit reprendre, par exemple pour une restauration de dump qui demande de se reconnecter.-Evite une notice pour slogan_site sur la dist
r20980 | cedric    |  (lun. 18 nov. 2013) | bug dans r20791 reporté par 20793 : le second appel de la boucle HIERARCHIE ne renvoyait plus rien si pas de critere {tout}
r20982 | kent1     |  (lun. 18 nov. 2013) | Report de r20981Un filtre |saison_annee pour afficher des "Printemps 2014" ou "Été 2015", associé à une chaîne de langue pour gérer les cas spécifiques entre les langues
r20986 | cedric    |  (ven. 22 nov. 2013) | lors de l'appel ajax du picker, on entre directement par picker-ajax.html et il faut alors inclure les filtres pour ne pas provoquer une erreur de compilation
r20988 | denisb    |  (ven. 22 nov. 2013) | ecrire/action/calculer_taille_cache.php : afficher quelque chose (quand même) quand c'est vide de chez vide (report de r20987).
r20990 | denisb    |  (ven. 22 nov. 2013) | ecrire/action/calculer_taille_cache.php : zéro pointé !
r20992 | denisb    |  (ven. 22 nov. 2013) | ecrire/action/calculer_taille_cache.php : oupss (décidemment...)
r21003 | cedric    |  (lun. 25 nov. 2013) | Accelerer le critere {age} de 50% environ sous SQLite :- on factorise les appels aux fonctions de date strtotime et date() qui sont appelés successivement pour la même date par le critère {age}- on memoize les 2 conversions dans une pile des 100 derniers appels (avoir une pile plus grosse n'accelère pas le calcul)
r21005 | cedric    |  (lun. 25 nov. 2013) | Perf issue sur le lancement du CRON :sur certains serveurs le firewall est réglé pour DROP silencieusement toute requete http sortante : fsockopen attends alors 30s pour lancer la requete à chaque hit avant de rendre la main. cURL lui n'attends pas mais ne sait pas que sa requete echoue. Résultat le CRON ne tourne jamais et le site a un temps de réponse catastrophique.Fix :- limiter le timeout de fsockopen à 1s au lieu de 30s : si on a pas pu initialiser la connexion http en 1s c'est qu'il y a un soucis- lorsque fsockopen echoue, rien ne sert de lancer cURL qui n'aura pas plus de chance ; cURL est utilisé en fallback uniquement si fsockopen n'est pas disponible (cas rare)- du coup si fsockopen echoue on passe au lancement old-style avec HTML background (mais ça nous a couté 1s d'attente inutile) - si on sait qu'on est sur une telle configuration (et qu'on ne peut pas la changer) on peut inhiber le lancement du cron par fsockopen/cURL avec un    define('_HTML_BG_CRON_FORCE',true);    dans mes_options.php. Cela economisera l'attente inutile.
r21008 | cedric    |  (mer. 27 nov. 2013) | reparer le test expliquer_config : si $cfg est vide ne rien faire
r21009 | cedric    |  (mer. 27 nov. 2013) | bugfix : Lorsque recuperer_fond est appelée avec tableau de fond en argument, on passait par erreur le tableau à chaque appel du pipeline recuperer_fond et non le seul fond concerné
r21010 | suske     |  (mer. 27 nov. 2013) | rétablir le tri sur la clé (christophe ld)
r21012 | cedric    |  (mer. 27 nov. 2013) | le header qui donne la liste des plugins est de plus en plus souvent incomplet car tronqué à 900 caractères.On en met une version complète dans local/config.txt (sauf si la globale spip_header_silencieux specifie qu'on en veut pas)Pour le moment on ne touche pas au header, mais sans doute pourrait-on le diminuer la longueur maxi et referencer le chemin vers ce fichier si il dépasse la longueur maxi, ça eviterait de trimbaler 1ko pour rien à chaque hit.
r21013 | cedric    |  (mer. 27 nov. 2013) | coquille dans r21012 : il manquait la version affichée de SPIP et tant qu'a faire on prefixe par _HEADER_COMPOSED_BY pour être homogène au header
r21017 | denisb    |  (mer. 27 nov. 2013) | ecrire/inc/filtres.php : modification de la fonction de filtrage du nom/signature. on introduit la constante _TAGS_LOGIN (vide par défaut, définissable dans mes_options.php) qui liste les tags html acceptables en plus de <multi&gt; .
r21019 | cedric    |  (mer. 27 nov. 2013) | Lorsqu'on upload un logo par le formulaire de l'interface privee et qu'une erreur se produit, la requete ajax part en vrille car l'erreur etait affichee en minipres au lieu de revenir par le canal normal du CVTOn corrige en introduisant un $return optionnel dans action/iconifier et dans check_upload_error qui permet de faire remonter l'erreur par le CVTle comportement par defaut des fonctions reste identique
r21023 | b_b       |  (dim. 01 déc. 2013) | Report de r21022 / Fix #3042 : afficher l'icône auteur pour le lien Afficher les auteurs depuis exec=visiteurs
r21028 | b_b       |  (mar. 03 déc. 2013) | Report de r21026 : Certaines des pages d'installation de la connexion Ldap avaient le focus sur le bouton de soumission et d'autes non. On unifie.
r21030 | b_b       |  (mar. 03 déc. 2013) | Report de r21021 / Dans le code PostGres, une utilisation de strpos sans vérifier que son 2e arg est non vide. Résoud le 2e pb de #3100.
r21033 | denisb    |  (sam. 07 déc. 2013) | ecrire/inc/filtres.php : _TAGS_LOGIN la mal nommée est rebaptisée _TAGS_NOM_AUTEUR (RastaPopoulos.)
r21040 | marcimat  |  (ven. 13 déc. 2013) | report de r21039 : Le bloc affiche_gauche n'était pas rechargé en «grand écran» lorsqu'on clique le bouton 'retour' ou 'enregistrer' (en ajax) d'un objet éditorial en édition. (merci peetdu)
r21048 | b_b       |  (ven. 13 déc. 2013) | Report de r21047 / Fix #3090 : pas de lien sur l'article en cours d'affichage dans la liste des traductions (fab_b)
r21052 | suske     |  (ven. 13 déc. 2013) | Report de r21050 + oups21051 - Déporter les rss de 'A suivre' vers les plugins d'objets (Breves et Sites) - Les autres objets peuvent s'insérer avec un prive/rss/a_suivre-objets.html calqué sur celui des brèves - Ferme #2978
r21054 | ben       |  (sam. 14 déc. 2013) | Ne pas autoriser d'avoir deux auteurs avec le même email , piloté par _INTERDIRE_AUTEUR_MEME_EMAIL ... #3113
r21060 | suske     |  (sam. 14 déc. 2013) | tant qu'à faire, trions sur la clé "date" (Double oups piqué) - report de r21058
r21062 | ben       |  (sam. 14 déc. 2013) | père programming ... sécuriser avec sql_quote, eviter un test sur existance request email, un test plutôt que 2 .... fil,cedric,kent1
r21080 | cedric    |  (mer. 18 déc. 2013) | utiliser autoriser(chargerftp) pour les scripts d'admin de base pose problème, car c'est la même autorisation que celle utilisée pour permettre l'upload de document par tmp/upload, alors qu'on peut interdire cette dernière sans vouloir interdire les scripts d'admin de base.Il faudrait ici une autorisation spécifique donc (TODO branche dev), en attendant on laisse quand même passer les webmestres qui n'ont pas besoin d'accès FTP pour faire ces operations.
r21092 | denisb    |  (mar. 31 déc. 2013) | ecrire/inc/documents.php : compatibilité pcre 8.34 (php 5.5). le tiret pour ne pas être considéré comme marque d'intervalle dans une classe de caractères doit être placé soit au début, soit à la fin de l'énumération. report de r21091.
r21096 | denisb    |  (mer. 01 janv. 2014) | bonne année 2014 !
r21099 | b_b       |  (lun. 06 janv. 2014) | retour sur r21062 : AND au lieu de & pour éviter toute confusion, un parenthèse manquante pour sql_countsel + indentation, présentation
r21101 | Severo    |                       | Prendre en compte HTTPS pour le CRONSi la page appelante est en HTTPS, utiliser un socket avec ssl.Sans ça, un site tout https (et refusant les connexions http) ne lance jamais les tâches.Code venant de http://jp1.php.net/manual/es/function.fsockopen.php#75388
r21102 | cedric    |  (jeu. 09 janv. 2014) | un fichier fonctions avec inclusion manquante pour afficher le menu de navigation
r21111 | cedric    |  (sam. 11 janv. 2014) | Report de r21038 : Fix de la fonction htmlspecialchars en ISO sous PHP 5.4+ : on utilise un wrapper spip_htmlspecialchars qui retablit l'ancien comportement.+ rechercher/remplacer sur tous les usages (mais je n'ai pas verifie que les inclusions necessaires etaient toujours ok)
r21112 | cedric    |  (sam. 11 janv. 2014) | Report de r21049 : Inclusion manquante lors de l'utilisation de #SELF il semblerait.
r21113 | cedric    |  (sam. 11 janv. 2014) | Report de r21065 : Fix de la fonction htmlentities en ISO sous PHP 5.4+ : on utilise un wrapper spip_htmlentities qui retablit l'ancien comportement.+ rechercher/remplacer sur tous les usages (mais je n'ai pas verifie que les inclusions necessaires etaient toujours ok)
r21114 | cedric    |  (sam. 11 janv. 2014) | Report de r21066 : inclusion manquante pour spip_htmlspecialchars
r21115 | cedric    |  (sam. 11 janv. 2014) | Attention l'echappement de HTML en retour peut être imbriqué : un modele echappé dans un contenu échappé.On remplace le if par un while avec un compteur de securité limité à 5 niveaux de profondeur
r21121 | cedric    |  (lun. 13 janv. 2014) | On a beau être aussi générique que possible il reste des cas particuliers non prévus ici, comme le cas où la table liens contient un champ de plus en clé primaire qu'il faut gerer sur les liens.On rend donc possible la définition de 3 fonctions personaliseesediter_liens_ajouter_{$table_source}_{$objet}_{$objet_lien}editer_liens_supprimer_{$table_source}_{$objet}_{$objet_lien}editer_liens_oups_{$table_source}_{$objet}_{$objet_lien}qui prennent en charge les 3 actions ajouter/supprimer/oups pour ces cas particuliers
r21122 | cedric    |  (mar. 14 janv. 2014) | Quand le nom d'un auteur/visiteur est constitué d'un espace (ce que permet le formulaire de saisie), la liste n'affiche aucun moyen d'accèder à l'auteur puisque le lien sur l'email est un mailto.Dans ce cas on utilise le début de la bio en guise de nom ou sinon le Numero de l'auteur en dernier recours(l'easter egg est de ne pas mettre de nom sur id_auteur=6)
r21123 | cedric    |  (mar. 14 janv. 2014) | complement a r21122 : ne pas exposer le premier auteur sans nom en croyant que son initiale est celle demandee
r21124 | cedric    |  (mar. 14 janv. 2014) | ne pas generer une erreur SQL si on passe un id_xx en tableau dans l'URL
r21130 | denisb    |  (dim. 19 janv. 2014) | ecrire/install/etape_3b.php : _LOGIN_TROP_COURT ; à l'install, on aligne le test sur la constante (report de r21126).
r21136 | denisb    |  (dim. 19 janv. 2014) | ecrire/inc/filtres.php, ecrire/inc/filtres_mini.php, ecrire/inc/plugin.php, prive/formulaires/login.php : éviter des notice php (report de r21127, r21128 et r21129).
r21138 | ben       |  (dim. 19 janv. 2014) | report de langues

SPIP-plugins-dist spip-3.0.13 -> spip-3.0.14  19 janvier 2014
-------------------------------------------------------------

r78359 | real3t    |  (lun. 11 nov. 2013) | Un nouveau moteur de recherche reconnu : Qone8
r78509 | cedric    |  (ven. 15 nov. 2013) | filtre_embarque_fichier provoque un acces SQL pour le mime_type. Eviter cela si la globale tables_mime est peuplee, ce qui permet de s'en servir a chaque hit sans provoquer d'acces SQL fait un include_spip("base/typedoc") avant.
r78585 | cedric    |  (lun. 18 nov. 2013) | reparer l'upgrade depuis un SPIP 1.9 si on commence par supprimer connect.php et lancer l'install
r79138 | cedric    |  (mer. 04 déc. 2013) | Affichage par défaut des raccourcis ressource <http://...>Attention : propre génère par défaut un <p> autour de son contenu même si celui-ci ne contient qu'une ligne. Du coup les <http://...> se retrouvaient tout seul dans un <p></p> qui cassait le paragraphe dans lequel ils étaient insérés.On corrige pour avoir un affichage par défaut le plus neutre possible
r79139 | cedric    |  (mer. 04 déc. 2013) | traiter_ressources() delegue a une eventuelle fonction inc_ressource_dist() l'affichage du raccourci <http://...>Si celle-ci existe et ne veut prendre en charge qu'une partie des cas, elle peut faire un return null; sur les cas qu'elle ne veut pas gérer, et dans ce cas traiter_ressources() appliquera le rendu par défaut.Evite de dupliquer du code.
r79234 | b_b       |  (dim. 08 déc. 2013) | report plus que tardif de r67704 qui ferme vraiment http://core.spip.org/issues/2790
r79236 | b_b       |  (dim. 08 déc. 2013) | Report de r79235 / Afficher aussi les documents en statut prop dans l'onglet "Non publiés" de la médiathèque, ferme  http://core.spip.org/issues/3066
r79288 | cedric    |  (jeu. 12 déc. 2013) | Fournir la liste des documents joints dans $res['ids'] (Beurt et al)
r79304 | b_b       |  (ven. 13 déc. 2013) | Report de r79303 / Fix  http://core.spip.org/issues/3112 : history true sur le rechargement ajax du formulaire des révisions afin de pouvoir partager l'url d'une révision avec les copaings et les copines...
r79333 | b_b       |  (ven. 13 déc. 2013) | Report de r79332 / Fix http://core.spip.org/issues/3116 accepter les domaines comme .i2 (intranet) dans _EXTRAIRE_DOMAINE (denisb)
r79341 | maieul    |  (ven. 13 déc. 2013) | r79340
r79347 | suske     |  (ven. 13 déc. 2013) | report de z79345 - prive/rss/a_suivre-breves.html et prive/rss/a_suivre-sites.html pour le fil rss "A suivre" de l'accueil de SPIP + increment de version - complément à 21050 à 21052
r79357 | b_b       |  (sam. 14 déc. 2013) | Report de r79356 / Fix  http://core.spip.org/issues/3117 : ne pas toucher aux attributs des balises a
r79367 | b_b       |  (sam. 14 déc. 2013) | Report de r79366 / Réparer le lien Tout afficher de la page exec=stats_referers (jennyfer29)
r79368 | b_b       |  (sam. 14 déc. 2013) | et oups
r79785 | denisb    |  (mer. 01 janv. 2014) |  feliĉan novan jaron 2014 !
r79799 | b_b       |  (jeu. 02 janv. 2014) | Report de r79798 / Fermeture de boucle inutile certainement présente par erreur
r79824 | b_b       |  (ven. 03 janv. 2014) | Version 1.7.12 : report de r79820 r79821 et r79822 pour réparer la syndication des flux ATOM dont la balise link est vide
r79961 | cedric    |  (sam. 11 janv. 2014) | 2sReport de r78874 : Un jeu de test combinatoires pour une fonction wrapper spip_htmlspecialchars(), généré à partir du résultat de la fonction htmlspecialchars() en PHP 5.2.13 sur un jeu d'entrée type pour les 3 premiers arguments.La fonction wrapper candidate suivante passe le test en PHP 5.2.13, à verifier en PHP >=5.4/** * htmlspecialchars wrapper (PHP >= 5.4 compat issue) * * @param string $string * @param int $flags * @param string $encoding * @param bool $double_encode * @return string */function spip_htmlspecialchars($string, $flags=null, $encoding='ISO-8859-1', $double_encode = true){	if (is_null($flags)) $flags = ENT_COMPAT|ENT_HTML401;	if (!defined('PHP_VERSION_ID') OR PHP_VERSION_ID < 50203)		return htmlspecialchars($string,$flags,$encoding);	else		return htmlspecialchars($string,$flags,$encoding,$double_encode);}
r79962 | cedric    |  (sam. 11 janv. 2014) | Report de r79282 : mourrrrrir si la fonction n'existe pas encore
r79963 | cedric    |  (sam. 11 janv. 2014) | Report de r79329 : Jeu de test unitaire pour la fonction spip_htmlentities candidate suivante, à tester en PHP 5.4<pre>/** * htmlentities wrapper (PHP >= 5.4 compat issue) * * @param string $string * @param int $flags * @param string $encoding * @param bool $double_encode * @return string*/function spip_htmlentities($string,$flags=null,$encoding = 'ISO-8859-1',$double_encode = true){	if (is_null($flags)) $flags = ENT_COMPAT|ENT_HTML401;	if (!defined('PHP_VERSION_ID') OR PHP_VERSION_ID < 50203)		return htmlentities($string,$flags,$encoding);	else		return htmlentities($string,$flags,$encoding,$double_encode);}</pre>
r79964 | cedric    |  (sam. 11 janv. 2014) | Report de r79297 : Fix de la fonction htmlspecialchars en ISO sous PHP 5.4+ : on utilise le wrapper spip_htmlspecialchars
r79965 | cedric    |  (sam. 11 janv. 2014) | Report de r79298 : increment
r79966 | cedric    |  (sam. 11 janv. 2014) | Report de r79299 : Fix de la fonction htmlspecialchars en ISO sous PHP 5.4+ : on utilise le wrapper spip_htmlspecialchars
r79967 | cedric    |  (sam. 11 janv. 2014) | Report de r79300 : Fix de la fonction htmlspecialchars en ISO sous PHP 5.4+ : on utilise le wrapper spip_htmlspecialchars
r80001 | bmarne    |  (lun. 13 janv. 2014) | Pétouille (retourner directement des id_document dans le flux, plutôt que des "#docXXX" moins pratiques à manipuler)
r80059 | b_b       |  (mer. 15 janv. 2014) | Report de r80040 et r80058 : ajout de la prise en charge des documents .json
r80060 | b_b       |  (mer. 15 janv. 2014) | maj commentaire
r80105 | b_b       |  (sam. 18 janv. 2014) | Report de r80104 : Éviter une erreur comme celle signalée ici  http://forum.spip.net/fr_256177.html
r80130 | ben       |  (dim. 19 janv. 2014) | report de langues


SPIP-Core spip-3.0.12 -> spip-3.0.13  10 novembre 2013
-------------------------------------------------------------

r20949 | ben       |  (sam 09 nov 2013) | MAJ changelog
r20954 | suske     |  (dim 10 nov 2013) | Report des langues

SPIP-plugins-dist spip-3.0.12 -> spip-3.0.13  10 novembre 2013
-------------------------------------------------------------

r78205 | eric      |  (sam 09 nov 2013) | Il manque une parenthèse suite au rajout d'image_reduire

SPIP-Core spip-3.0.11 -> spip-3.0.12  09 novembre 2013
-------------------------------------------------------------

r20758 | suske     |  (ven. 09 août 2013) | on repasse en dev pour la suite (3.0.12-dev)
r20760 | eric      |  (sam. 10 août 2013) | Corriger l'état et la version.L'état en majuscule avait pour conséquence de rendre la version SPIP inutilisable.
r20764 | fil       |  (mer. 14 août 2013) | filtre initiale() :  report de [20763]
r20765 | eric      |  (sam. 17 août 2013) | Corrige la balise #URL_ACTION_AUTEUR dans le cas ou l'on ne passe pas d'arguments à l'action mais une redirection d'url.
r20767 | eric      |  (sam. 17 août 2013) | Oups, $args est pas optionnel, il faut donc gérer le cas NULL.
r20771 | kent1     |  (lun. 19 août 2013) | Report de r20770Permettre de surcharger une fonction de pipeline contenant _dist comme les autres fonctions de SPIP
r20772 | kent1     |  (lun. 19 août 2013) | Revert de r20771 (Cerdic)
r20781 | fil       |  (jeu. 29 août 2013) | report ecran de securite z75105
r20789 | b_b       |  (mar. 03 sept. 2013)| Retour sur r20754 qui cassait le selecteur ajax. La nouvelle variable $ids_nouveaux_parents n'était pas insérée dans la variable statique $b à la ligne 637.
r20793 | b_b       |  (mar. 03 sept. 2013)| report de r20791 et r20792 (merci marcimat)
r20796 | marcimat  |  (mar. 03 sept. 2013)| Reports de r20794 et r20795 : notices PHP et coquille dans le calcul de $fratrie du sélecteur générique.
r20801 | b_b       |  (mer. 04 sept. 2013)| report de r20656 pour fermer #3016 dans cette branche aussi
r20802 | cedric    |  (jeu. 05 sept. 2013)| #3047 : retour sur r20624 qui avait introduit un bug en en corrigeant un autreOn protège simplement toutes les entites à l'aide de la fonction htmlspecialchars sans traitement particulier par rapport au contenuA tester intensivement
r20810 | suske     |  (sam. 14 sept. 2013)| Ajout du français féminin - report de http://core.spip.org/projects/spip/repository/revisions/20809
r20814 | suske     |  (mer. 18 sept. 2013)| langue fr_fem, report de c20811, c20812, c20813. NB: En fait, dans la procédure actuelle de release, on fait les reports de langues depuis le trunk vers la branche 3.0 avant de créer tag et branche stable. Du coup, ce report-ci n'est pas vraiment utile sauf si vous  màj votre 3.0 avec svn... C'est aussi l'occasion de créditer @touti pour la création du français féminin dans SPIP, j'avais omis ça dans le commit initial, désolé.
r20816 | suske     |  (sam. 21 sept. 2013)| Report des langues du trunk. Que se passe-t-il ?
r20820 | suske     |  (dim. 22 sept. 2013)| Report des langues du trunk - Manoeuvres pré-release - Salvatore is back
r20822 | denisb    |  (lun. 23 sept. 2013)| ecrire/inc/actions.php : les URL de retour dans les query-string doivent toujours être relatives, quel que soit leur lieu de fabrication. report de r20786 (esj)
r20824 | denisb    |  (lun. 23 sept. 2013)| ecrire/balise/url_.php : suite de r20765 et r20767. traiter tous les cas tordus et fournir un message d'erreur au cas où. report de r20769 (esj)
r20825 | denisb    |  (lun. 23 sept. 2013)  ecrire/balise/url_.php : retour sur r20824. la redirection peut être passée depuis un squelette sous la forme '' (cerdic).
r20829 | denisb    |  (lun. 23 sept. 2013)| ecrire/balise/url_.php : revert de r20825 et r20824 pour cause de plein de cassages dans l'espace privé.
r20837 | cedric    |  (ven. 27 sept. 2013)| Eviter des notice de type PHP Strict Standards:  Non-static method phpthumb_functions::GetPixelColor() should not be called statically...+ PHPDoc
r20858 | marcimat  |  (ven. 04 oct. 2013) | Report de r20857 : Le bouton «Choisir» en haut de liste obtenue par le sélecteur générique ne retournait pas le type d'objet comme les autres boutons. Il ajoutait «rubriques|3» au lieu de «rubrique|3» par exemple. ( Troon – http://contrib.spip.net/Motus#forum470824 )
r20867 | b_b       |  (mar. 08 oct. 2013) | Report de r20866 : Contourner un bug de #SET avec OpCode cache sous PHP 5.5.4 https://bugs.php.net/bug.php?id=65845 (cedric)
r20877 | denisb    |  (lun. 14 oct. 2013) | prive/squelettes/navigation/accueil.html : le descriptif du site pouvant contenir des images, on réduit pour ne pas encombrer la page d'accueil de l'espace privé. résout #3073
r20879 | denisb    |  (lun. 14 oct. 2013) | ne pas permettre n'importe quoi en url de site (report de r20876).
r20891 | cedric    |  (jeu. 24 oct. 2013) | Bugfix : id_objet=0 est licite pour une rubrique + etre coherent et renvoyer les memes id que l'on passe type ou non !
r20895 | cedric    |  (mar. 29 oct. 2013) | oups r20829 était un revert manuel qui a introduit une coquille : il restait un $arg surnumeraire dans le cas ou il vaut '' et un redirect est fourni (provoquait une erreur de compilation sur la page controler_urls)
r20899 | denisb    |  (mar. 29 oct. 2013) | prive/ical_prive.html, ecrire/balise/url_.php : Deux problèmes dans le squelette du calendrier privé, avec conséquence : quelques chaînes n'étaient pas soumises au filtre encodant les entités XML (que ICS ne connaît pas), c'était très laid ; les URL avaient le caractère & encodé sous forme d'entité XML, ce qui les rendaient inopérantes sous ICS. Le dernier point a nécessité d'aligner la balise URL_ECRIRE sur URL_PAGE : si elles ont une étoile, les & ne sont pas encodées (report de r20407 - esj).
r20900 | denisb    |  (mar. 29 oct. 2013) | ecrire/public/compiler.php, ecrire/public/decompiler.php, ecrire/public/phraser_html.php : 1) Le phrasé des arguments d'une chaîne de langue dans un squelette était à l'ouest lorsque la valeur d'un argument était une balise à plusieurs arguments. 2) Introduction de la possibilité d'écrire <pre><:module:{=#ENV{titre},x=2}:></pre>. 3) Il est désormais possible de définir dynamiquement, depuis un squelette, le nom du module de langue (report de r19989, r20035, r20415 - esj).
r20902 | denisb    |  (mer. 30 oct. 2013) | ecrire/inc/filtres.php, prive/formulaires/editer_auteur.php : éviter un xss sur le nom (signature) d'un auteur (report de r20532).
r20903 | denisb    |  (mer. 30 oct. 2013) | ecrire/install/etape_3.php, prive/formulaires/editer_auteur.html : prendre en compte les surcharges possibles de _LOGIN_TROP_COURT et _PASS_LONGUEUR_MINI lors de l'écran d'install et dans le formulaire auteur du privé (report de r20839).
r20912 | ben       |  (lun. 04 nov. 2013) | SPIP 3.0.12
r20913 | ben       |  (lun. 04 nov. 2013) | up langues
r20927 | guytarr   |  (jeu. 07 nov. 2013) | report de r20910 : ecrire/inc/rechercher.php : modification de la recherche. sur les recherches à plusieurs mots, on ne prend en compte que les mots de 4 lettres minimum (pour éviter les 'le', 'la', 'les', 'un', 'une, 'des'...) ; mais on cherche aussi l'expression complète.
r20931 | denisb    |  (ven. 08 nov. 2013) | ecrire/inc/rechercher.php : une constante (par défaut 4) pour définir le nombre de caractères minimum d'un mot pour qu'il soit inclu dans un recherche multi mots (suite de r20910).
r20932 | denisb    |  (ven. 08 nov. 2013) | ecrire/inc/rechercher.php : oupss... faciliter l'intelligence d'utilisation de la constante : définie à n pour inclure les mots d'au moins n caractères.
r20935 | b_b       |  (ven. 08 nov. 2013) | report de r20934 / ferme #3086 : compat PHP 5.5 invalider le cache opcache dans ecrire_fichier
r20937 | denisb    |  (sam. 09 nov. 2013) | ecrire/inc/filtres.php, ecrire/inc/lien.php, ecrire/inc/utils.php, ecrire/typographie/fr.php : Introduction de la constante _PROTOCOLES_STD, prédéfinissable dans "mes_options.php", afin d'indiquer quels extraits de texte comportant un ":" doivent être identifiés comme étant des protocoles ("schéma d'URI") (report de r20901).
r20938 | denisb    |  (sam. 09 nov. 2013) | ecrire/inc/aider.php : Ne pas mettre en dur mais seulement en valeur par défaut la zone clicable de l'ancre de l'aide en ligne. Permet la surcharge occasionnelle du picto d'aide (report de r20896).
r20939 | denisb    |  (sam. 09 nov. 2013) | ecrire/req/pg.php : éviter des nombres dans le Group-By en PG (report de r20897).
r20942 | denisb    |  (sam. 09 nov. 2013) | ecrire/inc/flock.php : amélioration de r20935. une constante _OPCACHE_BUG à définir dans mes_options.php le jour où PHP sera réparé...
r20947 | suske     |  (sam. 09 nov. 2013) | Report des langues du trunk - Manoeuvres pré-release - 6 weeks later ^^
r20948 | ben       |  (sam. 09 nov. 2013) | report langues

SPIP-plugins-dist spip-3.0.11 -> spip-3.0.12  09 novembre 2013
-------------------------------------------------------------

r74725 | maieul@maieul.net |  (lun. 12 août 2013) | report de r74303 charger media après mots, sinon le critère {mots} sur une boucle DOCUMENTS ne fonctionne pas tout seul (on doit mettre un joint manuel)
r74728 | maieul@maieul.net |  (lun. 12 août 2013) | mettre le utilise sur la bonne version de MOTS
r74749 | b_b       |  (mer. 14 août 2013) | report de r74748 : un crawl-delay à 1s pour éviter de se faire plomber par les bots crawlers (cf http://core.spip.org/issues/3012)
r74791 | b_b       |  (ven. 16 août 2013) | report de r74790 : marge apdatée pour les listes spip sur les petits écrans
r74797 | kent1     |  (sam. 17 août 2013) | Mauvaise requête sql
r74835 | kent1     |  (lun. 19 août 2013) |
r74842 | kent1     |  (lun. 19 août 2013) | Revenir sur ce commit parti tout seul http://zone.spip.org/trac/spip-zone/changeset/74835Grâce à http://core.spip.org/projects/spip/repository/revisions/20771 la surcharge de cette fonction devrait fonctionner correctement
r74846 | kent1     |  (lun. 19 août 2013) | report de r74845On revient en arrière sur cette histoire de dist et on introduit le define _JQUERYUI_CSS_NON pour empêcher jqueryui d'insérer ses css
r74920 | gilles    |  (ven. 23 août 2013) | Retablir les balises html pour afficher le lien vers ?exec=valider_xml en cas d'erreur de validite xml sur paquet.xml
r75295 | suske     |  (jeu. 05 sept. 2013)| ferme #3051report de http://zone.spip.org/trac/spip-zone/changeset/75294passer par medias_maj_meta_documents pour exécution après mise à jour depuis plugin mediatheque up to date
r75798 | xDe6ug    |  (jeu. 12 sept. 2013)| Patch de correction pour que l'ajout de document dans la base de données se fasse dans le même ordre que celui auquel on a procédé pour sélectionner les fichiers.
r75873 | yohann    |  (dim. 15 sept. 2013)| assez gros bug dans le jquery ui de la branche stable qui empêchait l'affichage des sms, depuis maintenant des mois...
r75923 | gilles    |  (mar. 17 sept. 2013)| Les flux RSS de suivi des forums n'etaient pas valides
r75966 | kent1     |  (jeu. 19 sept. 2013)| On rattrape le retard pris dans jqueryui par rapport à la version 3.1, il y a eu de nombreuses choses entre temps, notamment jquery.ui.tooltips, jquery.ui.spinner, jquery.ui.menus.report également de z75965report des modifs de languejQuery UI est en version 1.10.3
r75967 | kent1     |  (jeu. 19 sept. 2013)| revert de r75966 via svn merge -c -75966
r76806 | real3t    |  (mar. 01 oct. 2013) | Un peu plus de moteurs
r77023 | kent1     |  (dim. 06 oct. 2013) | Indentation à deux francs 50
r77288 | denisb    |  (jeu. 17 oct. 2013) | textwheel/inc/ressource.php : report de r77287. exclure du raccourci < ressource > des écritures qui ressemblent à des modèles mais n'en sont pas : par exemple des formules mathématiques comme "1 < x < 2.5  et  x  + a >  3" (résout une partie de http://core.spip.org/issues/2855)
r77588 | real3t    |  (lun. 21 oct. 2013) | Le charset n'était pas passé quand on passait par l'action.
r77589 | real3t    |  (lun. 21 oct. 2013) | Pas la peine d'afficher le bouton de suppression d'une illustration si celle-ci est insérée dans l'article (#VU) (puisque de toute manière, la suppression ne se fait pas, et qu'en plus, il n'y avait pas de message d'erreur indiquant la raison de cette non suppression).
r77639 | cedric    |  (ven. 25 oct. 2013) | pas de class ajax sur un lien mailto, ça ne marche pas (preuve que ce lien ne doit pas servir souvent…)
r77640 | cedric    |  (ven. 25 oct. 2013) | Le lien qui permettait de voir tous les messages envoyés par une adresse mail avait été supprimé (car le lien attendu sur un email est un mailto).On le rétablit intelligemment, en comptant de manière efficace le nombre de messages N envoyés par l'email, et en affichant le lien que si N>1, avec le nombre de messages concernés dans le title. Le texte du lien est un peu verbeux mais explicite, et l'affichage du nombre de message donne déjà de l'information sans cliquer.
r77762 | patfr     |  (mar. 29 oct. 2013) | Petit bug sur la terminaison...
r77768 | denisb    |  (mer. 30 oct. 2013) | dist/formulaires/inscription.php : éviter un xss sur le nom (signature) d'un auteur (complément de  http://core.spip.org/projects/spip/repository/revisions/20902)
r77794 | guytarr   |  (jeu. 31 oct. 2013) | report de z77793 : Activer l'ajout de documents pour les articles par defaut a l'installation, ce n'etait plus le cas depuis spip 2.0 (Fabrice Veronneau, Suske)Explications detaillees ici :  http://core.spip.org/issues/3015
r77831 | b_b       |  (ven. 01 nov. 2013) | Version 1.7.9 : report de r77830 / ferme  http://core.spip.org/issues/3079 / afficher le bouton "Effacer tous les articles syndiqués" même si la syndication est désactivé
r77841 | b_b       |  (sam. 02 nov. 2013) | report de r77840 : clearfix sur le bloc texte pour fermer  http://core.spip.org/issues/2845
r77847 | eric      |  (sam. 02 nov. 2013) | Améliorer la fonction svp_afficher_dependances afin de pouvoir choisir le type de lien affiché :- local : lien interne au site vers la page publique du plugin- pluginspip : lien externe vers la page Plugins SPIP du plugin- non : aucun lienAinsi, il est possible d'éviter d'avoir un lien local incohérent mais préférer un lien Plugins SPIP ou aucun lien.
r77850 | eric      |  (sam. 02 nov. 2013) | Ne pas oublier l'incrément de version
r77858 | eric      |  (dim. 03 nov. 2013) | Eviter une notice en définissant la constante d'existence de pages publiques pour le voir en ligne
r77906 | eric      |  (lun. 04 nov. 2013) | On insère l'ancre générale du forum dans l'inclure.Ferme le ticket #3082
r77908 | eric      |  (lun. 04 nov. 2013) | Oubli d'incrément pour le commit précédent
r77923 | ben       |  (lun. 04 nov. 2013) | langues
r77948 | b_b       |  (mar. 05 nov. 2013) | report de r77947 : html valide, pas de p dans un p
r77950 | cedric    |  (mar. 05 nov. 2013) | - bugfix : la detection de flux echouait si la balise dans la balise <link on avait un retour ligne au lieu d'un espace (compression HTML) : on utilise la fonction standard extraire_balises- bugfix : la detection de flux prenait les liens oembed pour un flux RSS- amelioration : si on a pas detecté de flux mais que le site ressemble à un SPIP (spip dans l'url ou dans la page), on regarde si spip.php?page=backend est un flux
r78014 | real3t    |  (mer. 06 nov. 2013) | Et voici Qwant dans les moteurs de recherche
r78015 | real3t    |  (mer. 06 nov. 2013) | Incrémentation du z
r78024 | b_b       |  (mer. 06 nov. 2013) | report de r78023 : html valide
r78132 | denisb    |  (sam. 09 nov. 2013) | plugins/dist/rubrique.html : report de r77854. #TEXTE|image_reduire pour les rubriques aussi.
r78135 | denisb    |  (sam. 09 nov. 2013) | _core/branches/spip-3.0/plugins/textwheel/typographie/fr.php : utilisation de la constante _PROTOCOLES_STD, prédéfinissable dans "mes_options.php", afin d'indiquer quels extraits de texte comportant un ":" doivent être identifiés comme étant des protocoles ("schéma d'URI"). report de r77769
r78141 | denisb    |  (sam. 09 nov. 2013) | _core/branches/spip-3.0/plugins/forum/forum_pipelines.php : report de r75992. éviter un warning sur une variable non définie.
r78152 | ben       |  (sam. 09 nov. 2013) | maj langues


SPIP-Core spip-3.0.10 -> spip-3.0.11  09 août 2013
-------------------------------------------------------------

r20605 | ben       |  (lun 27 mai 2013) | prenons de bonnes habitudes : dès qu'une release est faite, on passe en dev pour ceux/celles qui utilisent svn (eric) 
r20606 | cedric    |  (lun 27 mai 2013) | Ferme #2860 : appliquer les règles typographiques de la langue de l'article sur son texte (et son titre) dans l'espace privé.Pour cela, on reforme changer_typo() qui ne renvoit plus rien, et annule la dérogation de lang_typo quand on lui passe une chaine vide.
r20613 | cedric    |  (jeu 30 mai 2013) | Report adapté de r20611, et retour sur r20576 : tester_statut_inscription() revient a son role initial qui est de tester le mode fourni ou de retourner le meilleur mode possible si aucun mode n'est fourni lors de l'inscription. Il accepte aussi un id en second argument, comme c'était le cas en 2.1, non usité par défaut, mais qui peut l'être si passé au #FORMULAIRE_INSCRIPTIONtester_config() est rebranché sur la fonction tester_statut_inscription()
r20640 | cedric    |  (lun 10 jun 2013) | un filtre liens_nofollow qui ajoute un rel="nofollow" à tous les liens du texte passé en argument
r20641 | cedric    |  (lun 10 jun 2013) | ne pas faire echouer la migration des liens quand la table source a des champs en plus non prévus au plan (mais on les perd quand même, ce serait encore à améliorer)
r20652 | cedric    |  (lun 17 jun 2013) | Ferme #2883 : le retour ajax en html ne necessite pas d'en tete <?xml> (on s'en passait deja dans toutes les autres occurences de ajax_retour() du fichier)
r20660 | fil       |  (mer 19 jun 2013) | report de http://core.spip.org/projects/spip/repository/revisions/20162 :si on met une etoile dans un mot de recherche, surligner les mots trouves sans etoile
r20663 | cedric    |  (ven 21 jun 2013) | un point d'entree pour une fonction de gestion de dependance qui ajoute les plugins manquants (non implementee pour le moment)
r20680 | denisb    |  (dim 30 jun 2013) | req/pg.php : report de r20678 (esj) ; un indefini PHP rendait incorrecte la production postgresql.
r20683 | eric      |  (dim 30 jun 2013) | Report du var_mode=traduction
r20684 | cedric    |  (dim 30 jun 2013) | Ergo : quand on vient d'upload le logo ou de supprimer le logo survol, afficher par défaut le champ d'upload du logo survol car on enchaine possiblement les deux actions (Arno)
r20685 | kent1     |  (dim 30 jun 2013) | Correction sur la fonction timestampL'argument $fichier est obligatoire donc pas réellement besoin de !$fichier De toute manière on teste l'existance dudit fichier  avec file_exists($fichier) pour éviter une erreur sur filemtime Utile si on met timestamp sur des #FICHIER et que ces fichiers sont distants (documents distants)
r20687 | kent1     |  (dim 30 jun 2013) | éviter de passer par file_exists si chaine vide (cerdic)
r20689 | denisb    |  (lun 01 jui 2013) | balise/formulaire_.php : report de r20624. ne pas reformater les entitées numériques des saisies des formulaires cvt.
r20690 | denisb    |  (lun 01 jui 2013) | lang/spip_fr.php : ajout de quelques féminisations : é(e)
r20691 | cedric    |  (lun 01 jui 2013) | Quand on active _DEBUG_SLOW_QUERIES loger le nom de la boucle qui genere la requete et le squelette d'ou elle vient quand c'est possible (en plus de l'url de la page et de l'IP du visiteur)
r20693 | cedric    |  (mar 02 jui 2013) | @ au lieu de "dans" (fil)
r20699 | cedric    |  (jeu 04 jui 2013) | Reparer inc_simplexml_to_array qui reçoit de (DATA) une string et non un ObjectLa fonction se charge donc de charger le xml via simplexml et le passe a xmlObjToArr qui fait la decomposition en tableau+ PHPDoc
r20701 | cedric    |  (ven 05 jui 2013) | puisqu'on embarque Textwheel (en général), et son decodeur Yaml, autant proposer par defaut un yaml_to_array, quitte a lancer une Exception si finalement on ne touve pas le decodeur (cas rare)
r20702 | cedric    |  (ven 05 jui 2013) | allegeons le tableau de retour du XML en ne peuplant text, attributes et children que quand il y a du contenu (#VALEUR{../children} ne retournera rien de toute façon si le noeud n'existe pas)
r20703 | cedric    |  (ven 05 jui 2013) | Amelioration de |print utilise pour afficher proprement n'importe quoi : * On affiche in fine un pseudo-yaml qui premet de lire humainement les tableaux et de s'y reperer * * Les textes sont retournes avec simplement mise en forme typo * * le $join sert a separer les items d'un tableau, c'est en general un \n ou <br /> selon si on fait du html ou du texte * les tableaux-listes (qui n'ont que des cles numeriques), sont affiches sous forme de liste separee par des virgules : * c'est VOULU ! * * @param $u * @param string $join * @param int $indent * @return array|mixed|string */
r20704 | rasta     |  (ven 05 jui 2013) | Légère amélioration de l'échafaudage pour les nouveaux objets qui n'ont pas surchargé leur bloc d'info : on affiche désormais "voir en ligne" ou "prévisualiser" suivant le cas. Ceci en testant évidement les infos de la déclaration de l'objet : seulement s'il a un squelette public, seulement s'il est publié, ou seulement si y a un champ de statut listé pour la prévisu.
r20706 | cedric    |  (ven 05 jui 2013) | une constante _DATA_SOURCE_MAX_SIZE pour fixer la taille maxi des data qui sont recuperees par la boucle DATA (initialisee a 2Mo)
r20707 | cedric    |  (ven 05 jui 2013) | une constante _INC_DISTANT_MAX_SIZE pour fixer la taille maxi des donnes récupérees par recuperer_page() (initialisee a 2Mo, et non plus 1Mo, inflation oblige)
r20708 | cedric    |  (ven 05 jui 2013) | debug des namespace : il faut transmettre le namespace quand on decode les noeuds enfants, car il n'y a qu'a la racine qu'on peut les determinerPour activer le namespace, il faut l'ajouter en argument de la source :<BOUCLE_flux(DATA){source simplexml,http://opendata71.cloudapp.net/v1/dataviz/CG71DTIPointsArret/,namespace}>
r20709 | cedric    |  (ven 05 jui 2013) | on peut appeller inc_simplexml_to_array en lui fournissant directement l'objet SimpleXML au lieu de la chaine (usage externe par des plugins en appel direct - Eric)
r20723 | denisb    |  (lun 08 jui 2013) | debusquer.php : correction js pour retour du toggle-bug.
r20733 | b_b       |  (mer 31 jui 2013) | Report de r20731 : Le changement de couleur depuis le formulaire des préférences persos était cassé suite à r20624 (les & des urls passées dans la valeur couleurs_url étaient remplacés par &amp). On préfixe donc cette valeur par un _ pour corriger le problème.
r20736 | suske     |  (jeu 08 aoû 2013) | supprimer un warning "Strict Standards" (Pierre Kuhn)
r20739 | suske     |  (jeu 08 aoû 2013) | du franssai et des espaces (les réacs en choeur)
r20740 | cedric    |  (jeu 08 aoû 2013) | xxx_select renvoie la requete en cas d'erreur (une chaine donc) et non pas false : du coup on appelait fetch() avec une chaine au lieu d'une ressource ce qui provoquait des erreurs fatales a l'ouverture de la connexion sql dans certains scenarios
r20741 | cedric    |  (ven 09 aoû 2013) | Quand un cron se finissait dans la meme seconde qu'il avait commencé, il ne reprogrammait pas la date de prochaine occurence.Du coup il se relançait rapidement, n'avait rien a faire, et ne se reprogrammait pas la date non plus. Et ainsi de suite, provoquant des appels inutiles en surnombre.
r20744 | denisb    |  (ven 09 aoû 2013) | ecrire/inc/utils.php : éviter d'avoir la globale profondeur_url faussée selon l'emplacement du htaccess qui appelle une redirection. report de r20729 (esj).
r20746 | denisb    |  (ven 09 aoû 2013) | revert de r20744 qui ne fonctionne pas avec touts les schémas d'url (propres et propres2 entr'autres).
r20748 | suske     |  (ven 09 aoû 2013) | préparons 3.0.11 - report des langues
r20749 | suske     |  (ven 09 aoû 2013) | préparons 3.0.11 - le n° de version

SPIP-plugins-dist spip-3.0.10 -> spip-3.0.11  09 août 2013
-------------------------------------------------------------

r73063 | cedric    |  (jeu 30 mai 2013) | Type email et url sur le login forum quand html5 est possible (+argument focus inutile)
r73064 | cedric    |  (jeu 30 mai 2013) | (oups melange de pinceaux sur copie-colle)
r73073 | cedric    |  (jeu 30 mai 2013) | une coquille empechait la prise en charge des svg à l'upload (lecture des dimensions, protection des js inclus) (Sebastien)
r73118 | denisb    |  (ven 31 mai 2013) | squelettes-dist/formulaires/ecrire_auteur.php : correction de 2 item de langue. ferme #3011
r73279 | cedric    |  (mer 05 jun 2013) | Quand on copie un document dans le site, les credits sont modifies, unset de ce qui a été posté pour que cela s'affiche dans le formulaire après copie.
r73444 | cedric    |  (lun 10 jun 2013) | ajouter liens_nofollow() sur l'affichage des balises de la table forum, et passer le statut et le statut_ancien au pipeline post_edition quand on modere un forum
r73445 | cedric    |  (lun 10 jun 2013) | ajouter liens_nofollow() sur l'affichage des balises de la table petitions
r73468 | b_b       |  (lun 10 jun 2013) | report de r73464 : report de la booz feature r50220 : le bloc d'actions par lots suit le scroll
r73543 | b_b       |  (mer 12 jun 2013) | report de r73542 : réparer les ancres des liens dans les mails de notification des forums
r73562 | kent1     |  (jeu 13 jun 2013) | Une tâche CRON pour optimiser les tables spip_versions et spip_versions_fragments, notamment en supprimant les entrées des objets disparus (supprimé après un temps avec le statut poubelle comme les articles, les documents qui se suppriment automatiquement tout seul, intervention manuelle dans la base de donnée...)
r73563 | kent1     |  (jeu 13 jun 2013) | Tous les labels sont visibles sur la page des révisions pour savoir ce que cela représente
r73564 | kent1     |  (jeu 13 jun 2013) | Un label utilisable sur les logins des auteurs Petite amélioration du pipeline qui ne sert pas à grand chose mais bon
r73566 | kent1     |  (ven 14 jun 2013) | Pouvoir définir une fonction de diff spécifique pour un champ en particulier
r73655 | cedric    |  (lun 17 jun 2013) | attention au cas où les filtres images generent un timestamp systematique sur les images produites !
r73695 | cedric    |  (mar 18 jun 2013) | Icones du PP :Quand un plugin fournit un chemin complet vers une image, l'utiliser telle quelle.Si le find_in_path ne donne pas de resultat, ne pas inserer la regle CSS background:url() car cela provoque des chargements de page parasite dans certains navigateurs
r73728 | fil       |  (mer 19 jun 2013) | report de http://zone.spip.org/trac/spip-zone/changeset/65551 http://zone.spip.org/trac/spip-zone/changeset/65552 et http://zone.spip.org/trac/spip-zone/changeset/65555 (debug de textwheel)
r73766 | eric      |  (jeu 20 jun 2013) | Manque un i dans le texte de l'item de langue label_compatibilite_spip (Gildas)
r73771 | eric      |  (ven 21 jun 2013) | Correction le retour : le s suspect apparu subitement est supprimé. Personne n'a encore compris comment il a pu se glisser dans la correction précédente….
r73931 | cedric    |  (jeu 27 jun 2013) | Plusieurs bugs autour des urls propres et des collisions en urls propres :- quand l'objet a une url suffixee en -xxx ne pas essayer de la reconstruire si le reste est bon (regexp ne tenait pas compte du seperateur defini par une constante et prenait toujours la virgule en dur)- quand on veut creer une url sans preciser l'id_parent, il faut s'assurer que l'url n'existe pas deja, y compris avec un id_parent non nul- sous SQLite url='xxx' est sensible a la casse, mais pas url LIKE 'xxx' il faut donc utiliser une condition de ce type quand on cree l'url pour eviter les collisions de casse. A noter que du coup, en SQLite, le decodage des URLs reste dépendant de la casse. Ce n'est pas forcément problématique mais c'est à savoir.
r73962 | real3t    |  (ven 28 jun 2013) | Report sur la branche 3.0
r74062 | b_b       |  (mar 02 jui 2013) | report de r74061 : tite boulette dans r57821
r74095 | chankalan |  (ven 05 jui 2013) | prendre en compte le champ nobot
r74096 | b_b       |  (ven 05 jui 2013) | report de r74088 : Ajout du pipeline afficher_contenu_objet sur la page exec=document_edit pour palie au fait que les documents n'ont pas de page "vue" cf  http://article.gmane.org/gmane.comp.web.spip.devel/64011
r74099 | chankalan |  (ven 05 jui 2013) | prendre en compte le champ nobot
r74143 | cedric    |  (sam 06 jui 2013) | coquille : parenthese manquante dans le PHP, l'icone n'etait plus lue
r74413 | kent1     |  (dim 21 jui 2013) | un petit _dist ici pour pouvoir surcharger cette fonction dans un plugin x ou y
r74443 | gilles    |  (mer 24 jui 2013) | Ne plus utiliser preg_replace pour une expression reguliere utilisant l'option /e dans l'expression reguliere(l'evaluation au niveau de l'expression reguliere pourrait etre l'origine d'injection de code)Le code est aussi plus compatible avec PHP5.5 dans lequel le modifieur /e est declare comme obsolete.
r74521 | kent1     |  (mar 30 jui 2013) | Report de r74520On ajoute un pipeline renseigner_document, pendant de renseigner_document_distant pour les fichiers locaux car :- On peut avoir plusieurs plugins récupérant des infos pour la même extension de fichier et on peut alors les combiner;- Evite pour des plugins qui récupèrent les infos de x extentions diverses (pas un type en particulier) de créer x fichiers pour chaque extension de fichier (exemple xmp_php => http://zone.spip.org/trac/spip-zone/browser/_plugins_/xmp_php/trunk)
r74554 | eric      |  (sam 03 aoû 2013) | Eviter d'avoir 2013-2013 dans le pied.
r74666 | suske     |  (ven 09 aoû 2013) | préparons 3.0.11 - report des langues des plugins-dist


SPIP-Core spip-3.0.9 -> spip-3.0.10  27 mai 2013
-------------------------------------------------------------
r20572 | cedric    |  (ven. 24 mai 2013) | Version 1.1.7 (Identifiants)
r20576 | cedric    |  (ven. 24 mai 2013) | amelioration de r20562 : si le mode n'est pas fourni, on teste 1comite puis 6forum et on renvoit celui qui est autorise. Evite la duplication de code (Emmanuel)
r20577 | cedric    |  (ven. 24 mai 2013) | clearstatcache() n'accepte des arguments qu'a partir de PHP 5.3.0. Comme on l'utilise a quelques endroits, on prévoit un wrapper spip_clearstatcache() qui appelle l'une ou l'autre syntaxe selon la version de PHP.
r20593 | cedric    |  (dim. 26 mai 2013) | Logout en 2 étapes pour eviter les CSRF (g0uZ)
r20595 | eric      |  (dim. 26 mai 2013) | Mise au point du paquet.xml pour la release 3.0.10 à venir (numéro de version et état).
r20596 | eric      |  (dim. 26 mai 2013) | Mise à jour du numéro de version 3.0.10 (suite).

SPIP-plugins-dist spip-3.0.9 -> spip-3.0.10  27 mai 2013
-------------------------------------------------------------
r72994 | cedric    |  (ven. 24 mai 2013) | l'argument focus a été supprimé
r72995 | cedric    |  (ven. 24 mai 2013) | utiliser spip_clearstatcache() qui tient compte de la version de PHP.

SPIP-Core spip-3.0.8 -> spip-3.0.9  24 mai 2013
-------------------------------------------------------------
r20427 | kent1     |  (jeu. 18 avril 2013) | report de c20426Du texte en dur dans le privé qui se transforme en chaînes de langue.
r20428 | b_b       |  (jeu. 18 avril 2013) | une accolade de trop dans r20427
r20430 | kent1     |  (sam. 20 avril 2013) | les link opensearch ne sont pas des feeds, ils ne fournissent rien donc évitons de les récupérer
r20432 | kent1     |  (sam. 20 avril 2013) | Petit refactoring avant dispartion de ce fichier
r20435 | kent1     |  (sam. 20 avril 2013) | Report de c20434Fichier devenu non nécessaire depuis longtemps => déplacé dans le plugin sites
r20441 | kent1     |  (mer. 24 avril 2013) | Report de c20440On concatène les deux js obligatoires du login en 1 que l'on minifie pour éviter deux requètes
r20443 | b_b       |  (jeu. 25 avril 2013) | report de r20442 / retour sur r18418 : SPIP 3 premium, le SPIP qui vous permet d'utiliser plus de 100 plugins !
r20452 | marcimat  |  (sam. 27 avril 2013) | Report de r20451 : Proposer la clé 'texte_definir_comme_traduction_objet' dans la déclaration de l'objet éditorial pour définir la chaîne «Ce X est une traduction du X numéro :» qui pour l'instant s'affichait systématiquement avec le texte 'article' erroné. On mappe pour les articles la chaîne de langue déjà existante.Ainsi «tradrub» ou d'autres plugins ayant des objets éditoriaux avec traductions peuvent définir les bons textes (fa_b, denisb)
r20456 | cedric    |  (dim. 28 avril 2013) | chargement non bloquant en utilisant getScript
r20457 | cedric    |  (dim. 28 avril 2013) | Chargement non bloquant (utiliser getScript qui est asynchrone)
r20458 | denisb    |  (lun. 29 avril 2013) | abstract_sql.php : report de r20438 (esj). éviter quelques logs d'erreur.
r20460 | denisb    |  (lun. 29 avril 2013) | debusquer.php : évitons d'interpréter les critères de boucle<pre>(comme par exemple  : {"<br />"} )</pre>
r20467 | cedric    |  (mer. 01 mai 2013) | quand on cree un objet, prendre le premier statut declare si dispo, sinon prepa (plus generique)
r20468 | cedric    |  (ven. 03 mai 2013) | Optimiser #PRODUIRE :- on ne reecrit le fichier que quand il change effectivement en passant par un fichier intermediaire .last (evite le renouvellement inutile des timestamp, qui produisent des feuilles compilees inutilement)- quand on reecrit le fichier il faut appeler clearstatcache() sur ce fichier, sinon PHP ressert le vieux timestamp jusqu'a la fin du hit, et il faut recharger 2 fois la page pour avoir la mise a jour(realet,ne0futur)
r20476 | cedric    |  (ven. 03 mai 2013) | Ferme #2960 : comparer le nom du cookie avant remplacement du prefixe pour determiner httponly
r20477 | cedric    |  (ven. 03 mai 2013) | ferme #2877 : r19544 avait mal interprete le test sur le define, qui sert a interdire l'utilisation de CONVERT ou PBM, pas a l'autoriser
r20478 | cedric    |  (ven. 03 mai 2013) | Ferme #2912 : ne pas casser un critere {annee=2013} sur une table avec un champ année+ notice PHP potentielle
r20479 | rasta     |  (ven. 03 mai 2013) | L'icône d'un objet peut avoir été déclarée explicitement, donc c'est cette info qu'on utilise.
r20481 | cedric    |  (ven. 03 mai 2013) | Ferme #2953 : puce dans le plan de site
r20482 | cedric    |  (ven. 03 mai 2013) | Ferme #2949. Report de r20232 r20233 r20235 r20236 : support de IF NOT EXISTS en fonction de la bonne version de SQLite
r20484 | denisb    |  (lun. 06 mai 2013) | chercher_rubrique.php : accessibilité ; ajouter un alt explicite sur la loupe qui affiche la liste des rubriques ; ajout de la chaîne de langue correspondante (résout #2990).
r20486 | fil       |  (lun. 06 mai 2013) | profiler les boucles dans tmp/profiler.log si leur temps de calcul depasse un certain seuil (a fixer avec define('_BOUCLE_PROFILER', 5000); par exemple pour 5 secondes).report de http://zone.spip.org/trac/spip-zone/changeset/72578
r20488 | fil       |  (lun. 06 mai 2013) | report de [20483] : si un login n'existe pas, plutot que de piocher les infos sur un autre login (au risque de fournir la photo d'un auteur sans lien lorsqu'on se trompe dans son email), inventer une reponse credible a base de secret_du_site(), de la date du jour, et du login
r20489 | fil       |  (lun. 06 mai 2013) | ajouter un debug utile dans log/mysql-slow.log ; avec {{{define('_DEBUG_SLOW_QUERIES', true);}}} dans mes_optionsreport de [20487]
r20490 | denisb    |  (mar. 07 mai 2013) | suite de r20484 : soyons plus générique, le sélecteur peut servir pour autre chose que des rubriques.
r20494 | cedric    |  (mar. 07 mai 2013) | Articles virtuels : faire une redirection propre via la fonction redirige_par_entetes(), qui explicite le status 302 par defaut (il etait indetermine dans le code precedent).La constante _STATUS_REDIRECTION_VIRTUEL permet par ailleurs de personaliser ce status en le passant en 301 systématique par exemple.
r20495 | denisb    |  (mar. 07 mai 2013) | inc/actions.php : Le paramètre optionnel "public", forçant la construction d'URL dans l'espace public, apparu dans generer_action_auteur lors de r12798 et r13014, doit être aussi proposé dans la redirige_action_auteur qui appelle celle-ci, autrement ça oblige à la réécrire à chaque fois.. report de r20462 (esj)
r20497 | denisb    |  (mar. 07 mai 2013) | inc/actions.php : oupsss. report du oupsss  r20463 (esj)
r20499 | b_b       |  (mer. 08 mai 2013) | report de r20498 : icône cfg en 24px, ferme #2992
r20509 | cedric    |  (sam. 11 mai 2013) | ferme #2913 : zone clicable sur l'icone "Modifier ce.." lorsque la configuration des urls est activée
r20512 | cedric    |  (sam. 11 mai 2013) | Ferme #2910 : quand l'url courante est profonde (url arbo) les redirections relatives étaient ambigues.Il se trouve que le Location était "souvent" bien interprété sur les forums mais c'était un coup de chance et foirait dans d'autres cas. Le lien http fournit dans le HTML était lui toujours mal interprété.On lève l'ambiguité en transformant en url absolue dès que la profondeur courante est supérieure à la normale et que l'url de redirection est relative. Il faudrait généraliser ce passage en absolu en branche 3.1
r20515 | cedric    |  (dim. 12 mai 2013) | chaine de langue manquante sur l'upgrade des plugins
r20516 | cedric    |  (dim. 12 mai 2013) | Ferme #2948 : quand une rubrique est selectionnée, il faut l'afficher dans le select, même si on a pas le droit d'y déplacer un article
r20518 | denisb    |  (dim. 12 mai 2013) | typographie/fr.php : ne pas ajouter d'insécable devant : si ce : est suivi de : (cas des adresses ipv6). résout #2931
r20519 | cedric    |  (dim. 12 mai 2013) | Ferme #2804 : les post AJAX sur un site iso-truc sont présumés en utf et importés dans le charset local par _request(). Mais ce n'est pas forcément le cas et le test de la preg n'est pas fiable, ce qui supprime des accents bien encodés a tort. On complète le test par un is_utf8() plus fiable ce qui résoud mon cas test sur edition d'un document, titre : "titre avé un accent"A noter que le bug n'était pas systématique sur un même site (certains post passant sans problème, d'autres non). Cela peut venir du type de formulaire qui est posté parfois par une iframe en cas d'upload.
r20520 | cedric    |  (lun. 13 mai 2013) | #2999 et http://forum.spip.net/fr_247990.html : liste plus exhaustive et complete des UA des bots, car ceux qu'on laisse passer faussent les stats (surestimées)  Source : commentaires en bas de http://wanderr.com/jay/detect-crawlers-with-php-faster/2009/04/08/ (version optimisée/factorée, on ne garde que les UA qui ne matchent pas les mots-clés génériques en début de liste)
r20521 | cedric    |  (lun. 13 mai 2013) | et incrémenter l'écran
r20522 | ben       |  (mar. 14 mai 2013) |  ferme #3003
r20523 | cedric    |  (mar. 14 mai 2013) | #2999 : la definition de _IS_BOT par le core est un fall-back si l'ecran de securite n'a pas ete appelé. C'est la definition de l'ecran, plus a jour, qui est prioritaire.
r20525 | denisb    |  (ven. 17 mai 2013) | prive/formulaires/login.html : ajout de la variable lang dans le lien vers le formulaire de rappel du mot de passe. ferme #3005
r20529 | denisb    |  (ven. 17 mai 2013) | prive/spip_pass.html : report de r20528 (suite de r20526)
r20531 | denisb    |  (sam. 18 mai 2013) | prive/squelettes/inclure/head.html : report de r20530 - ne pas casser l'affichage du plan de site dans le privé.
r20534 | cedric    |  (lun. 20 mai 2013) | Ferme #3002 : lorsque la table des rubriques est mal formée et contient une branche morte ou une reference circulaire dans les parents, la fonction propager_les_secteurs() tourne en boucle infinie.Correction :- proteger de ce risque par un maxiter initialisé par le nombre de rubriques de la table- revoir l'algo de mise a jour en procedant de proche en proche, par profondeur croissante et non pas "tant qu'il y a une rubrique mal rangee".Cela permet de plus de detecter le cas d'une table rubrique mal formee et de produire un log en consequence
r20535 | cedric    |  (mar. 21 mai 2013) | complement a r20534 : optimiser les updates en les faisant par groupe de rubriques de meme secteur poser un id_secteur=0 sur toutes les rubriques hors hierarchie si il y en a (references circulaires, parents qui n'existent plus)
r20536 | cedric    |  (mar. 21 mai 2013) | Ferme #3004 : se proteger des references circulaires dans la table des rubriques dans la boucle HIERARCHIEPlutot qu'un code specifique, on utilise la fonction generique calcul_hierarchie_in() que l'on modifie pour tenir compte de ce cas limite. Pour etre homogene, on inverse l'ordre des rubriques qu'elle renvoie.
r20538 | ben       |  (mar. 21 mai 2013) | Langues (pre 3.0.9)
r20539 | ben       |  (mar. 21 mai 2013) | preparation SPIP 3.0.9
r20540 | cedric    |  (mer. 22 mai 2013) | Inscription d'un auteur : le commentaire dit "Si mode inconnu laisser faire, c'est une extension non std", mais passer quand meme par une autorisation, qui par défaut sera a false (puisque l'auteur est non connu, donc non identifié, il n'a aucun droit par defaut).Il suffit que autoriser("inscrireauteur","xxx") renvoie true pour permettre l'inscription d'un auteur avec le statut xxx
r20544 | cedric    |  (mer. 22 mai 2013) | Revert de r20389 car TIMESTAMPDIFF pas supporte par Mysql 4.x, on garde l'optimisation dans la branche 3.1
r20545 | cedric    |  (mer. 22 mai 2013) | si on utilise un plugin avec 'use strict mode;' $.ajax plante dedans car .caller n'est pas disponible. Proteger avec un try.catch
r20547 | marcimat  |  (mer. 22 mai 2013) | Report de r20546 : La fonction «concat» de sql peut avoir plus de 2 arguments. Indiquons cela aussi à SQLite.
r20562 | cedric    |  (ven. 24 mai 2013) | Report adapté de r20552, r20555 et r20560 : deleguer dans tous les cas l'autorisation de s'inscrire à autoriser("inscrireauteur",$mode,$id), Mais si aucun mode n'est fourni sur le #FORMULAIRE_INSCRIPTION, on choisit le meilleur possible parmi 1comite ou 6forum.
r20568 | ben       |  (ven. 24 mai 2013) | report de lang

SPIP-plugins-dist spip-3.0.8 -> spip-3.0.9  24 mai 2013
-------------------------------------------------------------
r72198 | kent1     |  (sam. 20 avril 2013) | report de z72197Permettre à un plugin utilisant les révisions à spécifier les labels des champs sous révision via un nouveau pipeline "revisions_chercher_label"La valeur par défaut sera toujours la même qu'auparavantVersion 1.7.4
r72205 | kent1     |  (sam. 20 avril 2013) | Report de z72204Déplacement du fichier depuis le core, il n'est utile que via ce plugin
r72287 | suske     |  (mer. 24 avril 2013) | Aérer la navigation dans la thickbox (permet d'avoir plus de 100 images). Ferme http://core.spip.org/issues/2983 . Report de r72286
r72335 | kent1     |  (jeu. 25 avril 2013) | Report de z72334Ajout de la prise en compte de l'extension ".tar"Version 2.7.45Version de schéma 1.2.4
r72422 | cedric    |  (lun. 29 avril 2013) | eviter un notice/warning
r72555 | cedric    |  (ven. 03 mai 2013) | Ferme http://core.spip.org/issues/2955 : certains criteres ne se compilent pas bien {logo}, {recherche}... les ajouters aux exceptions+ utiliser #CHAMP_SQL{} systématiquement pour eviter homonymie malheureuse
r72557 | cedric    |  (ven. 03 mai 2013) | Ferme #2912 : ne pas casser un critere {annee=2013} sur une table avec un champ année
r72562 | cedric    |  (ven. 03 mai 2013) | clear_stat_cache pour que le timestamp soit a jour dans la page construite dans ce hit
r72609 | denisb    |  (mar. 07 mai 2013) | signature.html : permettre aux pétitions de bénéficier d'un permalink pour s'y retrouver malgré les paginations
r72715 | cedric    |  (ven. 10 mai 2013) | Lisibilité et ergo des statistiques (Tetue)- echelle axe des Y à droite (près des mesures les plus récentes)- legende en dessous des graphes, en ligne- Titre en fer a gauche, regroupé avec les actions de pagination- graphe des mois depuis l'origine du site par defaut (graphe des jours inchangé sur 90jours)- axe des X : date humainement lisible (15 janvier au lieu de 15/01/2013)- eviter les effets de gradients sur les barres ça gene le lisibilité. On met en plein avec une très légere transparence pour ne presque pas distinguer border et background- le gris des weekend était a peine visible sur certains ecrans, on le fonce- la barre des changement d'année est de largeur 1 mois sur le graphe des mois- ne pas masquer l'explication car elle n'est pas visible- hierarchie de l'info dans le tableau des résumésUn peu de refactoring js en utilisant closest('.graphique') au lieu d'enchainer les .parent() qui rendent le code peu robuste
r72716 | cedric    |  (ven. 10 mai 2013) | Lisibilité et ergo des statistiques- page des referers : reduire la largeur de la colonne gauche pour eviter cette impression de texte centré  (Tetue)- mettre la miniature en float:right, et reduire sa taille
r72717 | cedric    |  (ven. 10 mai 2013) | Lisibilité et ergo des statistiques : reparer l'affichage de la repartition par rubrique qui etait tout cassé car construit avec des table dans des tables dans des tables... heritant toutes des styles par defaut (Tetue)
r72733 | cedric    |  (sam. 11 mai 2013) | http://core.spip.org/issues/2889 :Certaines dates de flux ont formatees dans la langue du flux et non en anglais. On essaye de remplacer le nom des mois par le nom anglais pour interpreter la dateCertaines dates finissent par UT au lieu de UTC qui bloque la conversion par strtotime, on corrige si necessaireQuand on a pas reussi a lire la date, il faut forcer a la date du jour et pas laisser 1970
r72744 | cedric    |  (sam. 11 mai 2013) | Reparer la largeur totale de la barre dans les sous rubriques : elle reprend la largeur correspondant au nombre de visites de la branche parente+ ajustements de style sur la page
r72763 | cedric    |  (dim. 12 mai 2013) | mise a jour de la librairie Minify_HTML
r72767 | cedric    |  (dim. 12 mai 2013) | Ferme https://core.spip.org/issues/2787 : la librairie Minify_HTML note en TODO qu'elle doit prendre en compte les attributs avec multiples retour ligne. En attendant une solution générale, on echappe les <input> pour ne pas fausser ce qui est posté en hidden lors de la previsu
r72774 | denisb    |  (dim. 12 mai 2013) | textwheel : ne pas ajouter d'insécable devant : si ce : est suivi de : (cas des adresses ipv6).
r72909 | kent1     |  (mar. 21 mai 2013) | Indentation
r72917 | cedric    |  (mar. 21 mai 2013) | http://core.spip.org/issues/3004 : se proteger des references circulaires dans les rubriques lorsqu'on stylise (et on protege avec une profondeur maxi de 10000 dans tous les cas)
r72918 | cedric    |  (mar. 21 mai 2013) | nettoyer_raccourcis_typo() supprime les raccourcis d'ancres
r72925 | ben       |  (mar. 21 mai 2013) | Langues (pre 3.0.9)
r72967 | b_b       |  (jeu. 23 mai 2013) | report de r72966 : déjà retrouve ses accents
r72978 | cedric    |  (ven. 24 mai 2013) | Comme pour apple-touch-icon, pousser dans le cache stocké au format texte du binaire issu d'un fichier image est perilleux et casse parfois. On remplace par un readfile PHP.
r72982 | cedric    |  (ven. 24 mai 2013) | Report adapté de r20552, r20555 et r20560 : deleguer dans tous les cas l'autorisation de s'inscrire à autoriser("inscrireauteur",$mode,$id), Mais si aucun mode n'est fourni sur le #FORMULAIRE_INSCRIPTION, on choisit le meilleur possible parmi 1comite ou 6forum.Complément à http://core.spip.org/projects/spip/repository/revisions/20562
r72983 | cedric    |  (ven. 24 mai 2013) | oups erreur dans r72982, je revert a la version precedente
r72987 | ben       |  (ven. 24 mai 2013) | report de lang


SPIP-Core spip-3.0.7 -> spip-3.0.8  17 avril 2013
-------------------------------------------------------------
r20355 | cedric    |  (sam. 23 mars 2013)  | 1sReport oublie et tardif de r15574 : nettoyer_uri() cache son resultat dans une static. On introduit un argument permettant de la reseter a une valeur fournieurl_de_base() cache son resultat dans un tableau static, indexe en fonction de la globale profondeur_url :on introduit un argument  qui permet :- en passant une valeur entiere, de calculer l'url pour cette profondeur- en passant un array(), de reinitialiser la static en cache a cette valeur- en passant false, de recuperer la staticsi aucune valeur n'est fournie, c'est la globale profondeur_url qui est utilisee, comme auparavant.Ces deux modifications permettent de sauvegarder/restaurer le contexte de l'url dans laquelle une page est calculee (pour un calcul differe)+ PHPDoc sur les deux fonctions
r20359 | suske     |  (mer. 27 mars 2013)  | report de 20358 - le rédac ne peut plus mettre une redirection quand l'article est publié
r20361 | suske     |  (mer. 27 mars 2013)  | report de 20360
r20363 | suske     |  (mer. 27 mars 2013)  | report de 20362 - pfff
r20365 | b_b       |  (mer. 27 mars 2013)  | report de r20364 : indentation
r20367 | guytarr   |  (mer. 27 mars 2013)  | report de r20366 (chankalan)
r20369 | kent1     |  (mer. 27 mars 2013)  | report de r20368On met à jour, on n'installe pas si on a déjà une meta du même nomC'est un peu moins ambigue du genre "Installation réussie" pour un plugin qui est là depuis 2 ans alors qu'il est juste mis à jour
r20378 | cedric    |  (ven. 29 mars 2013)  | optimisation des ecritures disque : pour les bots on utilise tous les caches disponibles même si périmés, et quand il faut calculer un cache on ne l'écrit pas sur le disque (cela évite de générer un flux d'écriture pour des caches qui ne servent pas aux vrais visiteurs, et cela évite aussi de faire gonfler les caches de manière deraisonable)
r20388 | cedric    |  (ven. 29 mars 2013)  | Suport SQLite de la fonction mysql TIMESTAMPDIFFhttps://dev.mysql.com/doc/refman/5.5/en/date-and-time-functions.html#function_timestampdiff
r20389 | cedric    |  (ven. 29 mars 2013)  | Optimisation du critere {age} : utiliser la fonction SQL TIMESTAMPDIFF plutot qu'une expression compliquee. On doit pouvoir optimiser aussi les xxx_relatifs mais c'est à creuser
r20390 | marcimat  |  (ven. 29 mars 2013)  | Autoriser `#_contenu_article:LESAUTEURS` lorsqu'on demande les auteurs d'une boucle parente.
r20392 | kent1     |  (ven. 29 mars 2013)  | On est en 3.0.7 maintenantDéclaration du pipeline traduire appelé dans le formulaire prive/traduire.php (http://core.spip.org/projects/spip/repository/entry/branches/spip-3.0/prive/formulaires/traduire.php#L73)Du coup encore une raison de logguer moins ;)
r20397 | denisb    |  (lun. 01 avril 2013) | debusquer.php : ôter le tableau des erreurs par un clic sur sa barre de titre. résout #2968.
r20400 | cedric    |  (mar. 02 avril 2013) | simplification de jour_relatif : la fonction SQL TO_DAYS donne exactement le bon resultat, inutile d'y ajouter un calcul basé sur le mois et l'année qui donne un résultat approximatif dès que les dates sont à cheval sur des mois différents.
r20401 | denisb    |  (mer. 03 avril 2013) | debusquer.php : cosmétique (apparition du 'toogle-bug') ; r20397 cassait la navigation du var_profile : on répare.
r20402 | denisb    |  (mer. 03 avril 2013) | tracer.php, spip_admin.css : suite (indispensable) de r20401.
r20404 | denisb    |  (jeu. 04 avril 2013) | debusquer.php :- on revient sur l'utilisation de jQuery qui n'est pas toujours fonctionnelle.- highlight_string ne pose plus de tags obsolètes en PHP5.- un peu de cosmétique.
r20406 | denisb    |  (lun. 08 avril 2013) | ecrire/inc/filtres.php : on ajoute subrepticement un troisième argument à la fonction appliquer_filtre. si ce troisième argument est fourni et que la fonction ne trouve pas le filtre demandé, elle renvoit quand même la balise non filtrée.si ce troisième argument n'est pas fourni (par défaut) et que la fonction ne trouve pas le filtre demandé, elle ne renvoit rien (compatibilité avec l'utilisation actuelle).
r20408 | b_b       |  (mar. 09 avril 2013) | report des commentaires de r20243
r20410 | marcimat  |  (mar. 09 avril 2013) | Coquille dans r18955 : créer un index nécessite le mot clé 'INDEX', pas seulement 'ADD'.
r20416 | suske     |  (dim. 14 avril 2013) | report de 18952 - il y a environ un an: Pouvoir appeler la fonction Bouton_spip_rss en lui précisant l'info-bulle
r20419 | ben       |  (mer. 17 avril 2013) | report de langues Pre 3.0.8

SPIP-plugins-dist spip-3.0.7 -> spip-3.0.8  17 avril 2013
-------------------------------------------------------------
r71097 | guytarr   |  (mar. 26 mars 2013)  | report de r71094 et r71096 (Suske, denisb)
r71135 | kent1     |  (mer. 27 mars 2013)  | Report de r71134Ne pas pouvoir ajouter des libs dans _DIR_LIB si on n'est pas autorisé à "plugins_ajouter"Bien éviter l'affichage des boutons d'ajouts dans le formulaireVersion 0.80.13 (par contre)
r71263 | guytarr   |  (ven. 29 mars 2013)  | include manquant (_Eric_)
r71267 | guytarr   |  (ven. 29 mars 2013)  | collecter_request vidait $c, du coup on avait plus d'objet pour forum_insert_statut et seule la configuration globale du site était prise en compte, ce qui ennuyait Suske.
r71270 | guytarr   |  (ven. 29 mars 2013)  | r71263 n'est pas utile et ne resout rien, on vire (bis)
r71272 | rasta     |  (ven. 29 mars 2013)  | Tester si le parent a bien une URL non-vide avant de concaténer, sinon on se retrouve avec une URL ayant un "/" *devant*. Ce qui produit des bugs sur les installations en sous-dossier.Par contre je n'ai pas compris pourquoi il y a un traitement différent entre parent "null" et parent "0".
r71391 | kent1     |  (lun. 01 avril 2013) | Report de r71390Evitera de faire parler les logs
r71394 | kent1     |  (lun. 01 avril 2013) | Report de r71392Evitera de faire parler les logs
r71396 | kent1     |  (lun. 01 avril 2013) | Report de r71395Donner une action vide aux pipelines internes du pluginEvitera de faire parler les logsversion 0.4.11
r71398 | kent1     |  (lun. 01 avril 2013) | Report de r71397Donner une action vide aux pipelines internes du pluginEvitera de faire parler les logs
r71408 | teddy     |  (lun. 01 avril 2013) | Report de c68328
r71453 | kent1     |  (mar. 02 avril 2013) | Report de z71452Si c'est une lib ce n'est pas _DIR_PLUGINS_AUTO mais _DIR_LIB et avoir un plugin non activable à cause d'une lib mise à jour et plugin mis à jour autrement que via svp c'est un peu nulversion 0.80.14
r71578 | denisb    |  (jeu. 04 avril 2013) | controler_forum.html, controler_petition.html : le filtre 'minifier' est une fonction fournie par le plugin 'compresseur' (qui n'est pas en necessite) ; s'il n'est pas disponible, on s'en passe. résout #2971
r71579 | denisb    |  (jeu. 04 avril 2013) | petitions : ajout (et utilisation) d'un item de langue.
r71661 | b_b       |  (ven. 05 avril 2013) | report de r65256 : ft_tu n'est pas une langue (taffit)
r71662 | b_b       |  (ven. 05 avril 2013) | report de r65257 : ft_tu n'est pas une langue (taffit)
r71704 | denisb    |  (sam. 06 avril 2013) | medias,portfolio-documents.html : cette action (définitive) mérite bien une confirmation !  (http://forum.spip.net/fr_251453.html)
r71757 | kent1     |  (lun. 08 avril 2013) | Pourquoi imposer un mode document ou choix pour l'upload ftp alors que l'on veut juste ne pas le montrer lorsque le mode est image ou vignette.En gros ce commit permet d'avoir la partie ftp pour des modes pas forcément par défaut dans SPIP (conversions ...)
r71758 | kent1     |  (lun. 08 avril 2013) | Indentation et utilisation similaire un peu partout des {} (ok on n'a pas de conventions de code mais bon)
r71768 | kent1     |  (lun. 08 avril 2013) | Indentation et espaces
r71771 | kent1     |  (lun. 08 avril 2013) | Répertoire vide
r71772 | kent1     |  (lun. 08 avril 2013) | Répertoires vides
r71775 | kent1     |  (lun. 08 avril 2013) | Répertoires vides finalisés (David Prévot)
r71777 | kent1     |  (lun. 08 avril 2013) | Pas nécessaire
r71779 | kent1     |  (lun. 08 avril 2013) | Un petit incrément du coup
r71782 | kent1     |  (lun. 08 avril 2013) | On a déjà du mal avec nos propres tests... on va pas se tapper ceux des autres
r71783 | denisb    |  (lun. 08 avril 2013) | controler_forum, controler_petition : prise en compte de la nouvelle écriture de appliquer_filtre (http://core.spip.org/projects/spip/repository/revisions/20406). résout (enfin) http://core.spip.org/issues/2972.
r71789 | kent1     |  (lun. 08 avril 2013) | ne pas utiliser / pour les délimiteurs pour éviter un bug sur les /
r71848 | marcimat  |  (mar. 09 avril 2013) | Sur les traces de http://core.spip.org/projects/spip/repository/revisions/20410 , ajouter un index nécessite ADD INDEX, pas seulement ADD.
r72003 | b_b       |  (sam. 13 avril 2013) | report de r72002 : afficher le nom du jour dans le title des barres du graph de visites par jour
r72031 | b_b       |  (dim. 14 avril 2013) | report de r72030 : #2963 toujours, fermer la balise rss pour avoir un flux valide
r72033 | b_b       |  (dim. 14 avril 2013) | report de r72032 : http://core.spip.org/issues/2963 jointure sur la table auteurs pour bien renseigner dc:creator dans le flux
r72035 | b_b       |  (dim. 14 avril 2013) | report de r72034 : http://core.spip.org/issues/2976 un rédacteur ne doit pas pouvroi créer d'annonce
r72067 | marcimat  |  (mar. 16 avril 2013) | Report de r72066. Nom incorrect du fichier d'un compagnon, et en plus un var_dump trainait dedans.
r72121 | ben       |  (mer. 17 avril 2013) | report de langues Pre 3.0.8
r72123 | b_b       |  (mer. 17 avril 2013) | report de r72040 : tentons de fixer  http://core.spip.org/issues/2977 : mapper sur la bonne autorisation pour la supression de message + fix du critère destinataire pour ne pas afficher les messages de l'auteur dans sa boite de réception

SPIP-Core spip-3.0.6 -> spip-3.0.7  22 mars 2013
-------------------------------------------------------------

r20333 | cedric    |  (mar. 19 mars 2013) | oups, inclusion manquante dans certains cas (Nicolas H.)
r20337 | marcimat  |  (mer. 20 mars 2013) | Coquille, qui devait je suppose empêchait un auteur de voir «Ses articles» en préparation sur cette page.
r20340 | marcimat  |  (mer. 20 mars 2013) | Report de r20339 : recuperer_numero() peut retourner 0, si un titre a un zéro pointé devant lui (0. titre). Il faut donc l'afficher celui là. (Bertrandbbbb)
r20344 | cedric    |  (jeu. 21 mars 2013) | Ferme #2962. Retour et complement de r20066 : il faut être un peu plus malin lors de la reinjection des where Lx.objet='truc' dans la sous requete.Pour cela on la construit une première fois pour tenir compte des simplifications, et on regarde ensuite seulement les jointures encore présentes. On y ajoute alors les clauses where complémentaires si nécessaire, et on reconstruit la sous requete si besoin.
r20347 | ben       |  (jeu. 21 mars 2013) | Report de langues ... avec en particulier le polonais
r20349 | ben       |  (ven. 22 mars 2013) | langues

SPIP-plugins-dist spip-3.0.6 -> spip-3.0.7  22 mars 2013
-------------------------------------------------------------

r70982 | ben       |  (jeu. 21 mars 2013) | Hop les langues
r70993 | marcimat  |  (ven. 22 mars 2013) | Fermeture de balise absente (freebsnet)
r71001 | b_b       |  (ven. 22 mars 2013) | éviter qu'un titre de document trop long déborde de sa boîte
r71003 | marcimat  |  (ven. 22 mars 2013) | Validité XHTML, suite de r70994  qui ne convenait pas ! (freebsnet)

SPIP-Core spip-3.0.5 -> spip-3.0.6  18 mars 2013
-------------------------------------------------------------

r19904 | ben       |  (jeu. 13 sept. 2012) | préparons gentillement cette nouvelle version
r19906 | ben       |  (jeu. 13 sept. 2012) | Pour l'instant on s'en sert pas mais prenons dès maintenant les bonnes habitudes (tonton)
r19907 | cedric    |  (jeu. 13 sept. 2012) | Eviter un notice (ou warning sur certaines config ?) lors de l'inscription ou toute modif en base anonyme (LuisSpeciale)
r19914 | b_b       |  (ven. 14 sept. 2012) | réparer l'ajout rapide dans le selecteur/navigateur de rubriques par report de http://zone.spip.org/trac/spip-zone/changeset/55785/ : spécifier le dataType pour la requête ajax (compat jquery 1.6)
r19916 | cedric    |  (lun. 17 sept. 2012) | PHPDoc
r19917 | cedric    |  (lun. 17 sept. 2012) | 2 pipelines image_ecrire_tag_preparer et image_ecrire_tag_finir appelés lors de l'écriture de la balise html <img.. /> après un filtre image.+ eviter d'introduire un attribut style='' verbeux dans les <img /> produits par les filtres images (consequence de la suppression de la taille forcee en css)
r19918 | cedric    |  (lun. 17 sept. 2012) | oups : maj du paquet.xml manquant dans r19917
r19923 | cedric    |  (mar. 18 sept. 2012) | Selecteur CSS a haute priorité pour les li.spip dans l'espace privé. Ferme #2864
r19925 | cedric    |  (mar. 18 sept. 2012) | Lorsque charger_fonction est appelé avec un $nom incorrect mais $continue=true ne pas faire un die() (ex : appel de tester_url_ecrire('a-b'))
r19928 | cedric    |  (mer. 19 sept. 2012) | PHPDoc
r19929 | cedric    |  (jeu. 20 sept. 2012) | Correction de bug sur les redirections CVT ajax (post validation) dont seule l'ancre change, sous webkit : il faut prendre a.href pour avoir dans tous les navigateurs l'url absolue comparable avec celle de la redirection !
r19933 | cedric    |  (mar. 25 sept. 2012) | utiliser id_table_objet() plutot qu'un "id_" en dur (genericité du code)
r19934 | cedric    |  (mar. 25 sept. 2012) | coquille : #URL_TRUC* renvoyait du vide !
r19935 | cedric    |  (mar. 25 sept. 2012) | Comme les autres #URL_XXX* #URL_ARTICLE* renvoie une URL sans &amp;
r19936 | rasta     |  (mar. 25 sept. 2012) | Mettre des crochets sinon les espaces sont bouffés par le compilateur et les classes CSS collées.Perso je considère ça comme un bug de SPIP qui traine depuis longtemps, côté intégrateur de template ya aucune raison de se faire manger ses espaces comme ça. :)
r19938 | cedric    |  (mar. 25 sept. 2012) | Attention : lors de l'ajax, on passe par le fond navigation/xxx pour afficher le contenu de xxx_editC'est un peu tordu, et ça prenait en defaut la detection et l'appel automatique des pipelines affiche_gauche/droite/milieu/hierarchie On se base sur type-page pour detecter la pertinence de l'appel aux pipelines, sachant que le exec passe en argument est bien le bon (repare le bug des documents qui n'apparaissaient pas sur l'edition ajax des objets)
r19945 | cedric    |  (mer. 03 oct. 2012) | Ferme #2871 : attention a sys_getloadavg qui peut etre inhibée et renvoyer simplement false
r19946 | cedric    |  (mer. 03 oct. 2012) | #2801 : si on est pas en UTF-8 on ne peut pas utiliser translitteration_rapide pour comparer les resultats avec la recherche
r19947 | cedric    |  (mer. 03 oct. 2012) | #2801 : ne pas generer une erreur js quand l'url contient un caractere encode en iso-xxx. On se passe du decodage dans ce cas.
r19948 | cedric    |  (mer. 03 oct. 2012) | L'ajout d'un timestamp ?date=1234 sur les reductions d'image dans l'espace prive est derogatoire est ne semble pas avoir sa place ici (devrait etre dans le squelette). A minima donnons lui le format simple ?1234 qui ne mets pas en defaut un filtre image a suivre
r19950 | cedric    |  (mer. 03 oct. 2012) | lors de la creation d'une image par un filtre image, generer un log de debug qui permet de retrouver une image qui fait planter car trop grosse
r19953 | kent1     |  (lun. 08 oct. 2012) | Prendre en compte un exec dans le contexte pour le pipeline afficher_bloc_ecrire, permet d'avoir les champs supplémentaires par exemple sur la page ?exec=infos_perso comme sur la page ?exec=auteur
r19956 | cedric    |  (jeu. 11 oct. 2012) | le modele de pagination_precedent_suivant peut prendre en argument url_precedent et url_suivant, ce qui le rend completement parametrable et utilisable à la main, en dehors d'une balise #PAGINATION
r19958 | marcimat  |  (sam. 13 oct. 2012) | Report de 19957 : correction de coquille.
r19959 | cedric    |  (lun. 15 oct. 2012) | r19897 avait omis une exception des requetes HEAD : la page n'était pas calculée et provoquait toujours une réponse 404.On enleve cette exception, et on a bien cette fois une réponse aux requetes HEAD identique à celle d'un GET
r19966 | kent1     |  (sam. 20 oct. 2012) | Report de r19965Pouvoir utiliser des déclarations de champs de date qui ne sont pas habituels pour les critères de dates (jour_relatif, age_relatif etc) en utilisant $GLOBALS['table_date'][$table['id_table']]
r19977 | rasta     |  (jeu. 25 oct. 2012) | Lors d'une institution (changement de statut ou déplacement), il FAUT renseigner l'ancien parent dans les pipelines. Pour pre_edition c'est moins grave car l'objet n'a pas encore été modifié en base et donc on a toujours moyen de faire une requête pour connaître l'ancien parent. Mais pour post_edition c'est obligatoire sinon impossible de connaître l'ancien parent avant le déplacement. Je mets tout de suite "parent" plutôt que "rubrique" pour être plus générique.
r19979 | cedric    |  (jeu. 25 oct. 2012) | Utiliser chercher_filtre pour charger la fonction bouton_action
r19983 | cedric    |  (mar. 30 oct. 2012) | Repair : que le sql ait ou non une fonction repair, on appelle en complement maj_tables() qui ajoute les champs eventuellement manquants+ mise en forme des erreurs eventuelles du repair
r19987 | cedric    |  (mar. 30 oct. 2012) | permettre a |puce_statut de supporter aussi les objets qui ne sont pas rangés dans les rubriques (puce de changement rapide)On laisse l'autorisation(publierdans,rubrique) historique pour eviter tout risque de regression quand un id_rubrique est fourni, mais on devrait basculer tous les objets sur autoriser(instituer,type)
r19990 | eric      |  (sam. 03 nov. 2012) | On définit dans la librairie Pclzip comme dossier des fichier temporaires le tmp/ de SPIP dont on sait qu'il est toujours accessible en écriture.
r19996 | eric      |  (mer. 07 nov. 2012) | Ne pas appliquer des trim quand on accole les morceaux de texte du contenu de la balise nom par exemple. Par contre appliquer le trim sur la chaine finale (esj)
r20004 | cedric    |  (ven. 09 nov. 2012) | WebperfIssue. Quand #INSERT_HEAD_CSS n'etait pas explicités dans le squelette, l'insertion correspondante est faite par un fallback insert_head_css_conditionnel mais appelée trop tard : les css correspondantes n'étaient pas prises en compte par le compresseur + PHPDoc
r20007 | cedric    |  (ven. 09 nov. 2012) | oups le "." manquant dans r20004
r20013 | b_b       |  (sam. 17 nov. 2012) | report de r20012 : réparer le flux rss des signatures cassé depuis http://zone.spip.org/trac/spip-zone/changeset/44981
r20014 | eric      |  (sam. 17 nov. 2012) | Un include de inc/filtres qui manque parfois dans la fonction de nettoyage des emails, la callback email_valide n'étant alors pas connue.
r20018 | cedric    |  (mar. 20 nov. 2012) | Quand le logo n'est pas editable, et qu'il n'y a ni logo normal ni logo survol deja present, il est inutile d'afficher le formulaire qui est non informatif
r20020 | cedric    |  (mer. 21 nov. 2012) | Bugfix : un statut '0' ne pouvait plus etre modifie par la faute d'un teste errone
r20021 | cedric    |  (jeu. 22 nov. 2012) | retour sur r20020 : il faut tout de meme verifier l'existence d'un champ statut avant de prendre en compte un statut passe en modification. C'était le sens du code initial mais implementation etait erronée.+ ajout d'un argument $set dans objet_inserer qui permet d'initialiser certains champs a la creation (exemple d'une cle unique : on ne veut pas passer par une valeur vide car en cas d'insertions concourantes on risque l'echec, ce qui n'est pas le cas si on fournit directement la valeur lors de l'insertion).
r20023 | cedric    |  (ven. 23 nov. 2012) | Avec mysql, les index de type unique sur une chaine portent une longeur : email(256)Il faut supprimer cette info de longeur quand on créé l'index sous SQLite
r20025 | ben       |  (sam. 01 déc. 2012) | msie compat ne sert plus à rien ... on ne le distribue plus
r20027 | ben       |  (sam. 01 déc. 2012) | msie_compat le retour sur la branche 3.0 version mineure donc pas de rupture de compat
r20029 | kent1     |  (sam. 01 déc. 2012) | Report de r20028Meilleure gestion de _DIR_PLUGINS_SUPPL, incompatibilité avec ce qui se faisait auparavant :-* On ne peut gérer qu'un seul répertoire (on enlève la gestion des : pour séparer les répertoires);-* Le répertoire de plugins supplémentaires doit être défini comme _DIR_PLUGINS soit à partir de "ecrire/" soit define('_DIR_PLUGINS_SUPPL', _DIR_RACINE."chemin_vers/répertoire/plugins_suppl")Ça a le mérite de simplifier le code, d'enlever plusieurs cas spécifiques liés à ce define.On ajoute un define dans inc/utils _ROOT_PLUGINS_SUPPL si le define _DIR_PLUGINS_SUPPL existe afin de rendre le fonctionnement des plugins supplémentaires équivalent aux deux autres répertoires _DIR_PLUGINS et _DIR_PLUGINS_DIST
r20030 | cedric    |  (lun. 03 déc. 2012) | le 4eme argument $options du #FORMULAIRE_DATER peut etre utilisé pour forcer la prise en compte ou non d'une date_redac
r20031 | cedric    |  (lun. 03 déc. 2012) | Bugfixes sur generer_info_entite :- il faut utiliser table_objet_sql pour chercher dans $table_des_traitements comme cela est fait dans public/references.php#L463- a defaut de recuperer le vrai contexte, injectons au moins un contexte avec objet/id_objet plutot qu'un contexte vide
r20032 | cedric    |  (lun. 03 déc. 2012) | Utiliser generer_info_entite pour afficher les titre des rubriques et etre sur que l'on passe bien par tous les traitements eventuellements personalisés dans la table_des_traitements
r20033 | cedric    |  (mar. 04 déc. 2012) | #2914 : attention a ne pas confondre un fichier temporaire (d'ecriture atomique d'une session par un processus concourant) avec un vrai fichier de sessionAttention aussi : entre le preg et le moment ou l'on traite une session, celle-ci peut avoir disparue, ne pas la recréer (concurence)
r20034 | rasta     |  (mer. 05 déc. 2012) | - Ne pas utiliser l'historique HTML5 car c'est un élément de formulaire, pas du contenu (à faire aussi pour tous les liens de navigation à l'intérieur)- Ne faire qu'une seule fois les deux find_all_in_path() par hit PHP- Ajouter un alt sur l'image et un title sur le lien de la croix de suppression- Ptit bug dans le js pour ne pas ajouter la croix pour rien- PHPDoc
r20037 | cedric    |  (ven. 07 déc. 2012) | PHPDoc sur generer_url_entite pour documenter le cas derogatoire ou appellee par nettoyer_raccourcis_typo elle peut renvoyer un array() issu d'une fonction personalisee generer_url_xxx() au lieu d'une chaine.Depuis le calcul generique des urls privees sur les objets qui prend en charge tous les objets, il faut aussi definir une fonction generer_url_ecrire_xxx() pour prendre le raccourci en charge dans l'espace prive.
r20038 | rasta     |  (ven. 07 déc. 2012) | Modifs ergo du navigateur/sélecteur générique qui simplifie l'interface (avant c'était surcharge cognitive, trop d'infos, trop d'images, trop de boutons).- Un seul panneau suffit, le chemin hiérarchique permet de revenir facilement en arrière (et c'est alors déjà préchargé donc très rapide).- On vire toutes les icônes d'objet, mais on les rajoute sur le *titre* du type d'objet des listes. Ainsi il n'y a pas de redondance, on ne voit qu'une fois cette icône devant "Rubriques" par exemple, pas à chaque ligne.- Chaque ligne est un "split button" comportant deux zones cliquables : une pour naviguer, une pour sélectionner, et *sans vide* dans une ligne, tout est cliquable.- La zone principale de clic est celle de *navigation* car c'est celle qui ne fait pas disparaitre le navigateur. De plus, quand on navigue dans un élément (ouvrir une rubrique par exemple) il est *toujours* possible de sélectionner cette élément à l'étape suivante. Une image de flèche est placé alignée tout à droite des textes.- La deuxième zone de clique, plus petite, est celle de sélection de l'objet sur cette ligne. Cette zone se trouvre *tout à droite*, donc à droite de la flèche. Ainsi il n'y a aucune confusion possible entre les deux images : seule la flèche est lié au texte, alors qu'avant on avait une image à gauche, une image à droite, ce qui faisait qu'on ne pouvait rendre le texte cliquable sans être confus (le texte pouvait être lié à l'une ou l'autre des deux images).- Un bouton de sélection propre à l'objet "en cours" (celui qui a le titre principale) se trouve toujours au début de chaque liste (donc même quand il n'y a pas d'enfants).- On vire tous les historiques ajax dans l'URL.- Au passage ça simplifie le code des squelettes aussi, car il y a moins de choses.Il reste que le mini formulaire "Ajout rapide" n'est pas encore générique, il ne reconnaît toujours que rubrique et article.
r20039 | rasta     |  (ven. 07 déc. 2012) | Oups il manquait toutes les CSS utile au nouveau sélecteur générique (ça modife légèrement des trucs qu'il y a en commun avec l'aspect de l'ancien sélecteur, mais ça ne casse rien).
r20040 | rasta     |  (ven. 07 déc. 2012) | On rend générique le mini formulaire d'ajout rapide, afin qu'il sache ajouter d'autres objets qu'article et rubrique. Bien sûr ça ne les ajoute que si tel type d'objet fait partie de la liste des objets sélectionnables par ce sélecteur.La fonction PHP est toujours commune avec l'ancien sélecteur, on la rend compatible avec les deux. Le JSON renvoyé est le même.En revanche, l'ancien mini formulaire est cassé mais ça ne vient pas de mes commits, c'était déjà cassé avant, il doit y avoir un problème dans le JS (car je n'ai pas touché à ces fichiers, le seul truc commun est la fonction PHP, or elle renvoie le bon JSON).Donc à priori c'est terminé, reste à l'implémenter pour les événements par exemple (et à l'améliorer si besoin).
r20041 | rasta     |  (ven. 07 déc. 2012) | Oups coquille d'écriture. Et donc en fait tout marche aussi pour l'ancien sélecteur.
r20042 | rasta     |  (ven. 07 déc. 2012) | Pas besoin de ce bouton en fait puisqu'on en a un permanent en dessous du titre, quelque soit la page.
r20043 | rasta     |  (sam. 08 déc. 2012) | On inverse les séparateurs dedans/dehors la boucle chemin
r20046 | rasta     |  (mar. 11 déc. 2012) | Relancer l'application du dateur sur les champs date après retour AJAX. Le script lui, a déjà été chargé en mémoire, mais c'est son application sur les champs qui n'est pas là.
r20049 | marcimat  |  (jeu. 13 déc. 2012) | Report de r20048 : La correction r16827 empêchait la prise en compte par le phraseur {n-#ENV{nb},x}, alors que cette écriture fonctionnait en 2.0On permet donc également 'n-' comme texte de critère, en plus de 'n' seul et 'n-4' (n-nombre)
r20050 | marcimat  |  (jeu. 13 déc. 2012) | Ferme #2921 en indiquant de content-type du fichier js+ il ne faut pas charger le dateur dans le onAjaxLoad dans que les fichiers du dateur ne sont pas chargés, sinon il y a risque d'appel trop tot de la fonction d'initialisation des dates.
r20059 | cedric    |  (mar. 18 déc. 2012) | rajouter un title sur la puce statut pour permettre l'affichage en infobule de son sens (utile quand pas de changement rapide activé)
r20061 | cedric    |  (mar. 18 déc. 2012) | classe manquante sur le h1
r20062 | cedric    |  (mer. 19 déc. 2012) | Quand un objet n'est pas editable, il faut desactiver la puce de changement rapide de statut, et signaler au #FORMULAIRE_INSTITUER_OBJET qu'il n'est pas editable
r20066 | cedric    |  (ven. 28 déc. 2012) | Ferme #2729 et #2862 : les critères de type {!id_mot=...} provoquaient une sous requete mal formée si la requete principale comportait plus d'une jointure.
r20067 | cedric    |  (sam. 29 déc. 2012) | declaration manquante
r20069 | cedric    |  (jeu. 03 janv. 2013) | Quand on utiliser pas #INSERT_HEAD_CSS et que SPIP l'inserer automatiquement, il faut placer avant le premier js externe si possible pour ne pas provoquer des chargement de css bloquant. (eric)
r20070 | cedric    |  (lun. 07 janv. 2013) | Report de r15039 qui avait ete oublie : gestion de la page d'erreur 404 extensible par pipeline page_indisponible
r20072 | rasta     |  (mar. 08 janv. 2013) | Manquait la lib pour autoriser()
r20073 | rasta     |  (mar. 08 janv. 2013) | Manquait la lib autoriser() 2x
r20075 | cedric    |  (mar. 08 janv. 2013) | Securisation des urls redirections en url absolues : accepter non seulement la meta adresse_site, mais aussi l'url de base du hit (cas des sites accessibles sur plusieurs urls) qui est celle prise en compte par generer_url_action() qui produit toujours des urls absolues.
r20076 | cedric    |  (mer. 09 janv. 2013) | petouille CSS quand un picker est dans un fieldset
r20100 | guytarr   |  (mer. 16 janv. 2013) | report de r20099
r20101 | guytarr   |  (mer. 16 janv. 2013) | report de r20098
r20106 | cedric    |  (dim. 20 janv. 2013) | en cas de previsu, il faut toujours envoyer les boutons d'admin, meme si pas de cookie, pour avoir la css qui prend en compte la banniere "PREVISU"
r20107 | cedric    |  (dim. 20 janv. 2013) | la prise en compte de la previsu ne se fait plus dans le code genere, mais dans les fonctions quete_condition_statut et quete_condition_postdate. Corrolairement il n'est plus necessaire de recompiler les squelettes en previsu, mais seulement de les calculer sans cache (accélère la page de previsu)
r20108 | cedric    |  (dim. 20 janv. 2013) | L'ajout de la banniere previsu doit plutot se faire dans le pipeline affichage_final car on y  trouve tout le HTML final et donc la balise </body>. Permet de faire une insertion propre HTML valide au lieu d'envoyer le HTML concerné en fin de page comme un malpropre
r20113 | cedric    |  (mar. 22 janv. 2013) | Report ameliore de r20103 et r20104 et merge avec r19461 qui faisait ça en amont dans le seul cas de copie_locale()
r20114 | marcimat  |  (mar. 22 janv. 2013) | Report de r20105 : Amélioration du critère {par x.y} qui ne se débrouillait pas de lui-même pour ajouter la jointure, si elle n'était pas déjà là au moment du calcul du critère.
r20116 | kent1     |  (mer. 23 janv. 2013) | Permettre à la balise #LESAUTEURS d'être multi objet, si on est dans une boucle, on va chercher le type de la boucle pour savoir quel est le type d'objet et l'id_truc de la table que l'on passe en objet / id_objet au modèle.
r20118 | marcimat  |  (mer. 23 janv. 2013) | On permet des déclarations de boucles ayant nommée avec un serveur particulier, comme pour les critères.On reprend d'ailleurs la même écriture pour retrouver la fonction que pour les critères, ce qui dispense de quelques tests 'function_exists' lorsque la bonne fonction est trouvée.
r20120 | rasta     |  (mar. 05 févr. 2013) | Petites modifs du sélécteur générique, car le privé est thémable (on peut changer les images) mais ce sélecteur peut aussi être utilisé en dehors de l'admin, donc on fait les liens/boutons que en texte, et les images en CSS, pour que ce soit plus facilement personnalisable.
r20121 | cedric    |  (mar. 05 févr. 2013) | La balise #PUBLIE repose sur la construction d'une boucle factice pour tester si un objet est publié ou non.Manque de chance, si var_mode=preview dans la page, elle utilise les conditions de previsu et réponds donc oui pour tous les objets de la page, ce qui est une erreur. On corrige en ajoutant un argument optionnel à la fonction instituer_boucle qui permet d'ignorer la previsu et de renvoyer le bon résultat pour #PUBLIE dans tous les cas.
r20122 | cedric    |  (mar. 05 févr. 2013) | complement a r20121 : il faut aussi pouvoir ignorer le var_mode=previsu pour la prise en compte de la date de post-publi. Cela necessite donc de passer l'argument $ignore_previsu a quete_condition_post_date. On fait de meme sur quete_condition_statut par homogeneite
r20123 | rasta     |  (mer. 06 févr. 2013) | Quand il n'y a absolument qu'un seul type d'objet affiché, alors on masque le titre indiquant le type d'objet, qui ne sert que s'il y en a plusieurs à différencier. Cela allège l'affichage dans les cas simples (à voir plus tard dans les utilisations réelles si on rencontre un cas où ça rend les choses confuses, et dans ce cas on le remettra).
r20124 | rasta     |  (mer. 06 févr. 2013) | Toujours dans un soucis de réutilisation- h2/h3 c'était un peu exagéré, on descend à h3/h4- et surtout on met des classes dessus et on utilise ces classes pour les styles, afin d'être plus neutre vis à vis des balises
r20125 | cedric    |  (ven. 08 févr. 2013) | eviter le lancement concurent de trop de cron sur les serveurs a fort traffic : on touch un fichier lock et on ne relance que lorsqu'il a plus d'une seconde
r20126 | cedric    |  (ven. 08 févr. 2013) | coquille
r20127 | cedric    |  (ven. 08 févr. 2013) | message correct, avec le bon repertoire en cas d'echec de creation
r20133 | kent1     |  (mar. 12 févr. 2013) | report de r20132Vérifier que l'image temporaire existe bien (créée par GD) avant de faire un getimagesize qui risque de renvoyer un warningSi non, on renvoit false
r20134 | cedric    |  (mer. 13 févr. 2013) | oups : probleme de priorité des opérateurs qui bloquait tout lancement de traitement de la queue
r20135 | cedric    |  (mer. 13 févr. 2013) | Plusieurs bugs autour des tache cron qui doivent se relancer car non finies :queue_genie_replan_job :quand appele avec $time=0 passer tel quel l'argument pour ne pas reinserer si la meme tache est en coursne s'executer qu'une seule fois par hit pour une fonction donneedans genie_queue_watch : appeler la fonction queue_genie_replan_job avec $time=0 pour ne pas recreer une tache de priorité nulle si une autre est deja en cours d'execution (eventuellement de priorité non nulle)dans queue : les jobs en cours d'execution avaient une date nulle en raison d'une coquille, ce qui les faisait croire morts et ils etaient relancés avec une priorité nulle en cas de concurrence avec une autre fin de jobrelancer les jobs non finis au time() courant
r20146 | cedric    |  (ven. 15 févr. 2013) | Report de r20115 r20137 r20138 : unification de inc/distant et copie locale de documents
r20152 | marcimat  |  (ven. 15 févr. 2013) | Reports de r20140 et r20144 : Les liens de traductions doivent pouvoir être définis et enlevés même lorsque le menu de langue n'est pas activé.
r20158 | cedric    |  (dim. 17 févr. 2013) | Faire apparaitre le bouton de changement de statut même si il etait du depart en display:none et pas seulement en visibility:hidden
r20159 | cedric    |  (dim. 17 févr. 2013) | image utilise dans les input date
r20160 | cedric    |  (lun. 18 févr. 2013) | mauvaise idée de relancer un cron automatiquement immediatement sans tenir compte du retour car cela provoque un appel continu toutes les secondes du genie optimiser qui fait plein de choses en BDD (load issue)
r20166 | cedric    |  (mer. 20 févr. 2013) | decodage des urls : quand on appelle la fonction en dehor de assembler, il faut prendre en compte l'url fournir telle quelle et ne pas essayer de la decouper en fonction de la profondeur de l'url courante qui n'a rien a voir (cas des urls arbos).On vide et on fake la globale $profondeur_url le temps du decodage et on la retablit après.
r20169 | cedric    |  (jeu. 21 févr. 2013) | Bug dans r20113 (marcimat) :copie_locale retournait false quand appele avec 'modif' et que le fichier en ligne n'avait pas ete modifie+ include conditionnel sur une globale non reconnue qui echoue (on supprime la condition et on inclue directement le bon)
r20172 | gilles    |  (dim. 24 févr. 2013) | report de r20171
r20179 | cedric    |  (lun. 25 févr. 2013) | Selecteur article, rubrique et mixte : faire apparaitre la flèche de descente dans la rubrique uniquement si elle a des enfants (retablit le fonctionnement originel avec un filtre qui optimise les requetes, en principe déclinable au selecteur générique)
r20187 | cedric    |  (mar. 26 févr. 2013) | r20116 cassait la balise #LESAUTEURS pour ceux qui l'ont personalisée. On reinjecte la cle primaire de la table en plus de objet,id_objet, ce qui permet aux modèles existants de continuer à fonctionner comme avant.
r20188 | cedric    |  (mar. 26 févr. 2013) | r20187 est insuffisant : il faut toujours envoyer id_article dans modeles/lesauteurs pour ne pas casser la compat anterieure et les modeles personalises.A noter que depuis http://zone.spip.org/trac/spip-zone/changeset/69241 et http://zone.spip.org/trac/spip-zone/changeset/69240 le modèle par défaut ne se comporte plus comme avant dans le cas suivant (non exhaustif)<BOUCLE_doc(DOCUMENTS){id_article}>#LESAUTEURS</BOUCLE_doc> puisqu'il affichait les auteurs de l'article auquel le document est lie et qu'il n'affiche plus rien maintenant.
r20190 | rasta     |  (mar. 26 févr. 2013) | Parfois, pour d'autres objets que lister les rubriques, le "Racine du site" par défaut n'est pas du tout adapté. On permet donc de surcharger ce label.
r20192 | rasta     |  (mar. 26 févr. 2013) | Oups oublié la liste des choses sélectionnées par défaut (avant JS).
r20197 | cedric    |  (mer. 27 févr. 2013) | objet_dupliquer_liens prend 2 arguments optionnels supplementaires qui permet de lister les types des objets lies a prendre en compte ou a exclure. Par defaut il copie tous les liens, et l'on peut donc se limiter a certain types de liens ou au contraire exclure certains types de lien. La valeur null pour chacun des deux arguments supplementaires est ignorée.
r20198 | cedric    |  (mer. 27 févr. 2013) | Ferme #2847 : quand on ecrit une traduction, les auteurs de l'article d'origine ne sont pas associés à la traduction (mais seulement le traducteur). Cela rétablit le fonctionnement de SPIP 2.x, a voir si cela mériterait une configuration pour choisir l'un ou l'autre de ces comportements qui peuvent tous deux être pertinent selon le contexte.utilise l'extension de l'API proposée par r20197
r20212 | denisb    |  (jeu. 28 févr. 2013) | inc_version.php : on permet à un plugin de définir antérieurement la constante _LOG_FILTRE_GRAVITE. résout #2927.
r20219 | denisb    |  (ven. 01 mars 2013) | inc/utils.php : report de r20217 (complément de r20212). ajout d'un test dans spip_log() au cas où un plugin fait un spip_log dans son fichier d'option alors que la constante n'est pas encore déclarée (marcimat).
r20220 | marcimat  |  (ven. 01 mars 2013) | Report de r20213 : fermer #2939 en déclarant 2 fonctions d'autorisations pour les auteurs : 'creer' et 'menucreer', autorisant les admins (même restreints) à créer des auteurs (puisque c'est effectivement le cas). Ainsi les boutons de création apparaissent bien dans l'interface en tant qu'admin restreint là où ils manquaient.
r20223 | cedric    |  (ven. 01 mars 2013) | BugFix : Les mails HTML n'étaient pas detectés et affectés du bon Content-Type lorsque le sujet était fourni
r20225 | marcimat  |  (ven. 01 mars 2013) | Report de r20221 : permettre d'attraper la taille d'un `<media:content` dans un flux rss (en relation avec #2941)
r20230 | cedric    |  (lun. 04 mars 2013) | genie/mail utilise notifications_envoyer_mails() plutot que directement envoyer_mail() :- asynchrone- detecte et gere automatiquement les mails HTMLSeul impact : l'envoi de headers spécifiques doit se faire via #HTTP_HEADER dans le squelette du mail, et pas texte brut entre le sujet et le corps du mail. Ne concerne que d'éventuels mails de nouveautés personalisés avec des headers spécifiques. Acceptable pour une version mineure ?
r20231 | cedric    |  (mar. 05 mars 2013) | Oups, eviter une erreur sur le selecteur articles
r20240 | cedric    |  (ven. 08 mars 2013) | 80legs est un bot (report de http://zone.spip.org/trac/spip-zone/changeset/70513)
r20241 | cedric    |  (ven. 08 mars 2013) | Coherence : sur les objets generiques on prend _request(id_auteur) si il est posté pour associer a l'objet lors de la creation. Faisons pareil sur les articles. Dans les deux cas, eviter un notice si pas de session en cours (cas theorique)
r20242 | eric      |  (sam. 09 mars 2013) | Utiliser apercite.fr pour remplacer thumbshots.com qui a sombré...
r20245 | suske     |  (sam. 09 mars 2013) | report de http://core.spip.org/projects/spip/repository/revisions/20244Je ne résiste pas au plaisir de dupliquer le log.mettre à jour l'url sous "Voir le site public" quand on change l'url (YannX) - ferme http://core.spip.org/issues/2925(Ceci est la preuve que *tout* est possible par ici... Merci à Benny_b, b_b, tonton, cy_altern, papa, maman, _fil_, SPIP et toutes les autres). Mention spéciale à tetue:    :-* tetue !Non, je ne suis pas dev, juste geek à 38%.
r20246 | suske     |  (sam. 09 mars 2013) | <del>oups</del> C'est l'émotion
r20249 | denisb    |  (sam. 09 mars 2013) | report de r20229 : ne pas proposer la base courante dans la liste des bases externes ; faire retourner tous les arguments de l'appel de la fonction analyse_fichier_connection (inclu, donc, le prefixe de table).
r20269 | marcimat  |  (lun. 11 mars 2013) | Report de r20268 :  Fermer #2916 et #2952 : la boucle Hiérarchie ne doit pas empêcher de traiter les critères autres que ce qui la concerne directement (id_x et id_rubrique).
r20270 | cedric    |  (lun. 11 mars 2013) | Meilleur gestion des clauses DEFAULT.On n'ajoute plus uniquement la clause sur les champs de type text mais aussi :- sur les char|varchar- sur les date|datetime- sur les int, ce qui est un peu plus complique car par precaution il faut eviter de mettre un default 0 sur un primary key en autoincrement (je n'ai pas trouvé de ressources disant que ça pose problème cela dit)Devrait resoudre un certain nombre de cas de migration depuis mysql (laxiste sur le sujet), y compris quand la base contient des champs issus de vieux plugins qui ne supportaient pas SQLite.
r20271 | ben       |  (lun. 11 mars 2013) | Associer vraiment l'auteur calculé juste au dessus
r20272 | cedric    |  (lun. 11 mars 2013) | un modele pour le mail de rappel de mot de passe
r20273 | cedric    |  (lun. 11 mars 2013) | pas de : dans le mail hard-codé actuel
r20275 | cedric    |  (mar. 12 mars 2013) | suite de r20028 : prendre en compte la constante _DIR_PLUGINS_SUPPL (quand elle est definie) dans l'affichage de la liste des plugins, dans l'activation et la desinstallation.
r20297 | ben       |  (mar. 12 mars 2013) | Ceci ressemble étrangement à un commit de préparation de SPIP 3.0.6 ... affaire à suivre
r20298 | ben       |  (mer. 13 mars 2013) | report de lang : :~/svn/spip/ecrire/lang vers :~/svn/spip/branches/spip-3.0/ecrire:lang ... 3.0.6 en préparation
r20299 | cedric    |  (mer. 13 mars 2013) | oups : en SQL LEFT('foobar',4) donne 'foob' et non 'ar' comme le faisait la fonction adaptée pour SQLite (https://dev.mysql.com/doc/refman/5.0/en/string-functions.html#function_left)
r20300 | cedric    |  (mer. 13 mars 2013) | LEFT est un mot clé reservé (LEFT JOIN) du coup la définition d'une fonction LEFT(truc,x) n'est pas possible. On la nomme _LEFT et on remplace les LEFT( en _LEFT( lors de la traduction de la requete
r20302 | eric      |  (mer. 13 mars 2013) | Une nouvelle fonction pour convertir un objet SimpleXML en un tableau PHP. COntribution issue de http://www.php.net/manual/pt_BR/book.simplexml.php#108688 et adaptée pour gérer les namespaces en option.
r20305 | cedric    |  (ven. 15 mars 2013) | Regression fonctionnelle : dans SPIP < 3 une recherche sur un nombre entier produisait la liste des objets avec cet ID et pas une recherche sur le nombre. On rétablit (mathieu, habbon)
r20310 | cedric    |  (sam. 16 mars 2013) | #2914 : @unlink superflu voir nefaste car @rename ecrase la cible si besoin
r20311 | cedric    |  (sam. 16 mars 2013) | Reparer le decodage des urls ./?rubrique12 etc... et ne pas injecter type ou type-page dans form_hidden (répare les tests sur form_hidden)
r20312 | cedric    |  (sam. 16 mars 2013) | eviter trouver_table() sur une table inconnue et une erreur SQL quand on fait objet_type(), table_objet(), table_objet_sql() ou id_table_objet().Reduire l'importance du log correspondant.Il semble y avoir de quoi optimiser tout cela en utilisant la liste des tables au lieu de passer par trouver_table. On touche a minima ici pour ne rien casser
r20314 | eric      |  (dim. 17 mars 2013) | Point trop n'en faut des tests.
r20316 | cedric    |  (lun. 18 mars 2013) | r20311 avait cassé le décodage des urls sur un nom de domaine homonyme (donc non nettoyé par les du dessus). On corrige pour rétblir le fonctionnement antérieur dans ce cas, même si il n'est probablement pas idéal (vu sur le décodage des urls de doc de contrib qui sont encore en http://www.spip-contrib.net/)
r20317 | ben       |  (lun. 18 mars 2013) | Un ptit update de langue avant la sortie finale de la 3.0.6

SPIP-plugins-dist spip-3.0.5 -> spip-3.0.6  18 mars 2013
-------------------------------------------------------------

r65793 | marcimat  |  (mer. 12 sept. 2012) | Report de r65971 (correction de noms de variables).Commande utiliséesvn merge -r 65790:HEAD plugins/grenier branches/spip-3.0/plugins/grenierCette commande est à préférer plutot que de supprimer la branche et copier le trunk (cédric).
r65851 | cedric    |  (ven. 14 sept. 2012) | Ne pas confondre un simple "<" avec un raccourci ressource en embarquant par erreur la balise html qui suit(Ferme http://core.spip.org/issues/2854)
r65852 | cedric    |  (ven. 14 sept. 2012) | Sans le var_dump dans le depot precedent
r65911 | cedric    |  (dim. 16 sept. 2012) | Ferme http://core.spip.org/issues/2857 et enleve le debug qui etait resté d'un précédent bugfix
r65914 | cedric    |  (dim. 16 sept. 2012) | Report de r65910
r65951 | cedric    |  (lun. 17 sept. 2012) | Petit bug dans les urls de notification vers le forum des admins
r66054 | cedric    |  (mer. 19 sept. 2012) | Utiliser la declaration des champs_editables pour permettre l'extension de la table par declaration (et il faudrait refactorer le code d'insertion/modification en base des forum sur le modele de l'api editer_objet)
r66056 | cedric    |  (mer. 19 sept. 2012) | utiliser collecter_request (notamment ne pas prendre en compte les champs non postés=null)
r66091 | cedric    |  (jeu. 20 sept. 2012) | Eviter un bug lors de la soumission ajax du formulaire (jQuery pas defini dans l'iframe du post)
r66093 | cedric    |  (jeu. 20 sept. 2012) | Reparer l'alerte qui se declenchait a tort sous safari après post du message, et qui ne se déclenchait pas du tout sous Chrome
r66239 | cedric    |  (mar. 25 sept. 2012) | On peut ajouter une liste de documents de la mediatheque par designation d'un intervale (243-245 ou doc243-doc243)On peut combiner valeurs uniques et intervales en une seule saisie:132,243-245,257-279,323
r66277 | cedric    |  (mer. 26 sept. 2012) | 2 coquilles sur le formulaire de recherche :variable indefiniegarder la class search meme si on est pas en HTML5
r66318 | real3t    |  (ven. 28 sept. 2012) | À la demande de Pascal23, la colonne de droite des stats ne doit pas exclure les éléments trouvés précédemment : ça n'a rien à voir.
r66464 | cedric    |  (mer. 03 oct. 2012) | Post publication des articles : les documents ne prenaient pas le bon statut&date associes (Ferme https://core.spip.org/issues/2849)
r66776 | cedric    |  (sam. 13 oct. 2012) | coquilles dans les declaration de chaine de langue !
r66948 | kent1     |  (sam. 20 oct. 2012) | Report de r66947:inc/charsets et non inc/charset
r66950 | kent1     |  (sam. 20 oct. 2012) | Report de r66949 : On corrige l'index id_objet qui était sur la colonne id_versionOn ajoute deux index sur id_version et objetOn passe en 1.7.2 et le shema en 1.1.3
r66990 | kent1     |  (dim. 21 oct. 2012) | Vérifier si un fichier existe et n'est pas de taille 0 au début de l'ajout de document, avant la copie du fichier, évite d'avoir de mauvaises surprises avec des fichiers mal uploadés de taille 0.
r66992 | tcharlss  |  (dim. 21 oct. 2012) | variable $L (luminosité) au lieu de $V (valeur).Ca provoquait une erreur avec une saturation égale à 0.
r67127 | tcharlss  |  (jeu. 25 oct. 2012) | incrémentation suite au commit précédent.-> variable $L (luminosité) au lieu de $V (valeur)
r67198 | b_b       |  (sam. 27 oct. 2012) | réparer generer_url_forum_dist() qui ne renvoyait rien vu qu'on ne lui passait pas le bon argument
r67225 | tcharlss  |  (dim. 28 oct. 2012) | 1sAjout de quelques modes de fusion au filtre image_masque,  tirés des formules indiquées sur wikipedia : https://en.wikipedia.org/wiki/Blend_modesMême nomenclature et mêmes résultats que ceux de GIMP.- ecran: effet inverse de 'produit' -> l'image resultante est plus claire- superposer: combine les modes 'produit' et 'ecran' -> les parties claires sont eclaircies, les parties sombres assombries.- lumiere_dure: equivalent a 'superposer', sauf que l'image du bas et du haut sont inversees.- teinte: utilise la teinte du masque- saturation: utilise la saturation du masque- valeur: utilise la valeur du masqueComme ce n'est pas un ajout majeur, on incrémente que le dernier chiffre pour la version.
r67235 | cedric    |  (lun. 29 oct. 2012) | Ajouter un DEFAULT sur 'permanent' et 'champs' car peut poser problème sur certains sites SQLite migrés depuis mySQL (qui ont attrapés au passage une clause NOT NULL)Gerer le 'permanent' dans le sens inverse : on tag 'non' quand c'est une revision fusionnable, et rien sinon (le cas le plus courant), et on teste l'absence de 'non' pour forcer la creation d'une nouvelle revision. Cela évite de peupler la base pour rien, et evite des bugs après réparation de base sur le permanent problematique
r67345 | cedric    |  (mer. 31 oct. 2012) | Ne jamais appeler en direct generer_url_document_dist mais passer par un charger_fonction approprié
r67424 | eric      |  (ven. 02 nov. 2012) | Corrige le ticket [SVP - Anomalie #2895].Il manquait un include_spip de la liste des langues.
r67489 | eric      |  (lun. 05 nov. 2012) | Correction de la détermination des branches SPIP lorsque la borne max contient des étoiles.Ajout dans le dépot de test d'une archive de ce type.
r67632 | cedric    |  (ven. 09 nov. 2012) | mode_force=image permet de forcer l'affichage comme si #MODE=imagemode_force=document permet de forcer l'affichage comme si #MODE=documentPermet par exemple a un squelette d'ignorer le mode=document d'une image sans forker les modeles, ce qui est mieux pour l'avenir et la maintenabilité(en attendant la refonte générique de ces modeles et leur insensibilité au mode)
r67734 | cedric    |  (mer. 14 nov. 2012) | La suppression a tort du retour ligne qui suit les commentaires // provoque un bug quand celui ci est en fin d'une ligne sans point-virgule, ce qui est une pratique courante dans les js de Bootstrap (hugues)
r67763 | kent1     |  (ven. 16 nov. 2012) | report de r67761:Un index sur id_groupe
r67802 | kent1     |  (lun. 19 nov. 2012) | report de r67801On passe en version 2.7.37
r68017 | bmarne    |  (jeu. 29 nov. 2012) | report de r68012 et r68016 depuis le trunk vers la branche 3.0
r68051 | kent1     |  (sam. 01 déc. 2012) | report de r68050_DIR_PLUGINS_SUPPL et pas _DIR_PLUGINS_SUPP
r68052 | kent1     |  (sam. 01 déc. 2012) | On n'a plus besoin de gérer ces problèmes de constantes, _DIR_PLUGINS_SUPPL est géré comme un répertoire normal de plugins
r68053 | kent1     |  (sam. 01 déc. 2012) | Incrément de version 0.80.9, meilleure gestion de _DIR_PLUGINS_SUPPL
r68054 | eric      |  (sam. 01 déc. 2012) | Création d'un autorisation "ajouter plugins" pour les pages ajouter plugins et ajouter dépôts. Par défaut cette autorisation correspond à autoriser webmestre comme actuellement.Il est donc possible pour un mutu, par exemple, de désactiver l'ajout des plugins dans les sites esclaves et de le réserver au site maitre.
r68058 | eric      |  (dim. 02 déc. 2012) | On améliore le commit précédent sur l'autorisation en prenant en compte le define de feu STEP _AUTORISER_TELECHARGER_PLUGINS. Ainsi, il suffit de positionner ce define à false pour les sites esclaves d'une mutu et l'autorisation d'ajouter un plugin leur sera retirée correctement.
r68060 | eric      |  (dim. 02 déc. 2012) | Oubli de l'incrément.
r68096 | cedric    |  (lun. 03 déc. 2012) | Lorsqu'un zip ne contient aucun fichier uploadable (type acceptable) alors il faut simplement le charger en zip joint plutot qu'annoncer une erreur erronée de fichier non trouvé (equipement)
r68098 | cedric    |  (lun. 03 déc. 2012) | revert de r66990 qui empêche tout upload de document sur les serveurs sécurisés par open_basedir (Il n'est pas possible de lire le fichier ni sa taille tant qu'on ne l'a pas déplacé via move_uploaded_file)
r68123 | kent1     |  (mar. 04 déc. 2012) | On revient sur r66990 qui a été revert par r68098Après déplacement du fichier dans IMG/, on regarde si on peut récupérer une taille du fichier, si on ne peut pas, c'est qu'il fait 0 octets et donc corrompu (ou problématique et inutile)On ajoute cette vérification sur la génération du zip (au cas où)
r68367 | marcimat  |  (mer. 12 déc. 2012) | Report de r68366 : Tolérer que certains commentaires HTML ne soient pas supprimés, s'ils commencent par <!--keepme:
r68383 | marcimat  |  (jeu. 13 déc. 2012) | Lorsqu'on affiche l'agenda interne dans l'espace public, via :<INCLURE{fond=prive/squelettes/contenu/calendrier,env} />il est alors de bon ton d'afficher, comme dans le privé, ses propres rendez-vous ou annonces, si l'on est connecté. Pour ça, il faut s'appuyer sur l'id_auteur de la session et non sur cette globale ayant l'id_auteur uniquement dans l'espace privé.
r68389 | marcimat  |  (ven. 14 déc. 2012) | On sépare l'algorythme de conversion des messages vers le format fullcalendar dans des fonctions spécifiques pour permettre des réutilisations par des plugins. Cela dit, les quetes ne retournent pas le même format de données, ce qui est déjà très perturbant, mais provient d'un code maintenant ancien qu'il faudra peut être un jour réuniformiser.
r68412 | chankalan |  (dim. 16 déc. 2012) | résout #2920
r68452 | cedric    |  (mar. 18 déc. 2012) | Report de r68451 qui merge et optimise r68412 et r63222
r68472 | cedric    |  (mer. 19 déc. 2012) | Retours de message du formulaire d'inscription : quand c'est une erreur afficher un message d'erreur. Quand c'est un succes, fournir en retour l'id_auteur inscrit pour les pipelines/plugins
r68480 | cedric    |  (mer. 19 déc. 2012) | ajouter une valeur par defaut pour chaque type de champ ainsi qu'un type de champ oui/non en checkbox
r68491 | cedric    |  (mer. 19 déc. 2012) | eviter un warning (seds)
r68636 | cedric    |  (sam. 29 déc. 2012) | le input.texte et le input.sumit sont séparés par un espace, ce qui n'était pas le cas en SPIP 2.x pour permettre un rendu collé au besoin. On rétablit a priori, mais vérifier que ça ne cause pas de soucis
r68671 | cedric    |  (jeu. 03 janv. 2013) | #2531 : segmentation fault dans le traitement des listeson essaye de simplifier la regexpPar ailleurs petit bug possible : on passe toujours dans le close() il faut donc toujours passer dans le init() sinon on ne sait pas ce qui sera ferme. Corrolaire, on enleve le if_matchJ'ai tente sans effet :- la suppression des static et remplacement en globales- le dispatching des 3 etats du switch dans les 3 fonctions
r68672 | cedric    |  (jeu. 03 janv. 2013) | #2531 : sur spip-contrib, avec un cas test de message de forum qui reproduit le segfault a chaque fois,le seul fix fiable qui marche est un appel a charger_fonction dans le init().Aucune explication a l'horizon en ce qui me concerne, a voir si cela regle le bug dans les autres cas decrits par #2531Commentaire de test utilise sur contrib :"En ce qui me concerne je n'ai effectivement pas le temps de faire la migration de ce plugin en SPIP 3, alors toute aide est la bienvenue!Quelques pistes:-* pour générer un paquet.xml remplaçant le plugin.xml le plus simple est d'utiliser le plugin Plugonet (http://plugins.spip.net/plugonet.html ou svn://zone.spip.org/spip-zone/_plugins_/plugonet)-* pour ce qui est des spécificités des plugins de SPIP 3 voir la doc rassemblée sur http://contrib.spip.net/Migrer-un-plugin-vers-spip-3-* pour ce qui est de la logistique de développement j'ai fait le passage en  branches sur la zone:-** la version pour SPIP 2.* est désormais dans svn://zone.spip.org/spip-zone/_plugins_/gallery2/branches/version_spip2-** tu peux donc bosser directement sur la version de dev: svn://zone.spip.org/spip-zone/_plugins_/gallery2/trunk"(Evidement ce meme message ne provoque par le bug sur un site standard en local)
r68800 | cedric    |  (lun. 07 janv. 2013) | Suite a http://core.spip.org/projects/spip/repository/revisions/20070 qui est un report oublie d'une fonctionnalite de SPIP 2.1 il ne faut pas appeler la page 404 depuis les squelettes car cela empeche un plugin d'utiliser une 401 en cas de contenu interdit par exemple.Corrolairement on deplace le calcul des messages d'erreur par defaut dans la page 404
r69009 | cedric    |  (mar. 15 janv. 2013) | versionner les wheels cachees pour eviter un bug en cas de modification sensible lors d'un upgrade (kent1)
r69190 | cedric    |  (mar. 22 janv. 2013) | Report de la version _core_/plugins/compresseur @ 69181 par cp. Inclue notamment PHPDoc et r68095 qui prend en charge les directives @import lors de la compression CSS
r69196 | rasta     |  (mar. 22 janv. 2013) | {tout} n'est pas un critère, du coup même avec {tout} il y avait toujours le filtrage par "mode". On rétablit le comportement attendu (et du coup on peut bien utiliser les modèles de documents, insertion, etc, avec des documents dont le mode n'est pas connu).
r69229 | guytarr   |  (mer. 23 janv. 2013) | report de r69026 dans cette branche aussi
r69232 | guytarr   |  (mer. 23 janv. 2013) | oups (cerdic)
r69240 | kent1     |  (mer. 23 janv. 2013) | Suite de http://core.spip.org/projects/spip/repository/revisions/20116 On passe dorénavant objet/id_objet à ce modèleCe que je ne comprends pas c'est pourquoi ce modèle est dans le plugin dist car vraiment indispensable à une balise définie dans le core le plus nu de SPIP
r69326 | jack31    |  (jeu. 24 janv. 2013) | Avant de tout casser un essai sur les brèves :remplacer Copyright (c) 2001-2012 par Copyright (c) 2001-2013
r69327 | jack31    |  (jeu. 24 janv. 2013) | On est en 2013 !
r69331 | marcimat  |  (jeu. 24 janv. 2013) | Correction d'une partie du bug de @import url(https://fonts.googleapis.com/css?family=Ubuntu);Le protocole peut ne pas être impliciteIl reste que le CSS de l'URL n'est pas recopié dans local car cette URL n'a pas de .css, entrainant encore une erreur de squelette.
r69332 | marcimat  |  (jeu. 24 janv. 2013) | Correction du bug de @import url(https://fonts.googleapis.com/css?family=Ubuntu);Le protocole peut ne pas être implicite, d'une part, mais s'il est explicite, on considère qu'on ne peut pas décider de faire l'extraction des données par le serveur. Effectivement, dans ce cas, google retourne un CSS différent en fonction du navigateur, or ici, c'est le serveur qui intéroge l'url (cerdic).Chaque @import distant est replacé au début du contenu css. En espérant que cette correction est correcte :)
r69333 | jack31    |  (jeu. 24 janv. 2013) | On est en 2013 (suite)+ http://trad.spip.net/ au lieu de http://trad.spip.org
r69404 | guytarr   |  (sam. 26 janv. 2013) | tiens on l'avait oublie celui-la. report de r64678
r69430 | gilles    |  (dim. 27 janv. 2013) | Nommer la cle pour que la table soit cree sous Postgres
r69739 | cedric    |  (mar. 05 févr. 2013) | suite de r69332 : gestion des @import dans les css contaténéeLes @import avec url absolue ne sont pas touché lors du traitement de chaque feuille (on suppose que c'est une ressource externe, en general une css de font-face)On ajoute une callback finale sur la css concaténée qui se charge de remonter tous les @import en debut de CSS si il y a lieu (les @import doivent toujours être en debut de CSS)
r69774 | cedric    |  (mer. 06 févr. 2013) | optimisation webperf du theme fancybox de la mediabox : utiliser des sprites pour limiter le nombre d'images chargees
r69827 | marcimat  |  (sam. 09 févr. 2013) | Report de r69826 : Déclarer le pipeline `medias_documents_visibles` pour éviter un log (g0oZ)
r69871 | cedric    |  (mer. 13 févr. 2013) | Les clauses DEFAULT sont trop souvent manquantes sur les champs extension, credits et statut de la base, car elles n'étaient pas initialement renseignées. On les remet d'applomb une bonne fois pour toute (http://forum.spip.net/fr_246338.html)
r69920 | cedric    |  (ven. 15 févr. 2013) | Report de r66133 et resynchronisation de la version base avec branche dev
r70000 | kent1     |  (mar. 19 févr. 2013) | fichier inutile
r70024 | cedric    |  (mer. 20 févr. 2013) | decodage des urls arbo : quand il y a plusieurs objets concurents pour la meme url et que le contexte ne fournit pas de parent, il faut prendre par ordre de id_parent croissant pour favoriser celui dont le parent est nul qui a plus de chance de matcher (url d'une rubrique secteur qui arrive en premier troncon). Cela arrive dans le cas de collisions entre rubrique racine et sous rubrique de meme nom, et on pouvait se retrouver a renvoyer la sous rubrique au lieu de la racine en decodant le premier troncon de l'URL
r70068 | marcimat  |  (jeu. 21 févr. 2013) | Message d'erreur correct lorsque c'est le XML qu'on arrive pas à télécharger, et non sa syntaxe qui est erronnée
r70070 | marcimat  |  (jeu. 21 févr. 2013) | oups
r70144 | b_b       |  (dim. 24 févr. 2013) | Pas besoin de marge sur ce bloc vu que l'icône "Modifier ce groupe de mots" est suivie d'un bloc nettoyeur. Du coup le fichier est vide => on le supprime.
r70151 | b_b       |  (dim. 24 févr. 2013) | revert de r70144 : peut mieux faire...
r70153 | b_b       |  (dim. 24 févr. 2013) | triple oups piqué (pfiou)
r70155 | gilles    |  (dim. 24 févr. 2013) | Report de r70140
r70244 | guytarr   |  (mer. 27 févr. 2013) | report de http://core.spip.org/projects/spip/repository/revisions/20200, .9 est un nombre, une cellule vide n'invalide pas la class numeric de la colonne
r70268 | cedric    |  (jeu. 28 févr. 2013) | Prise en charge des apple-touch-icon.png dans toutes leurs variantes, calculees a partir du logo du site.On n'utilise pas |spip_file_get_contents car cela fait stocker du binaire dans un cache SPIP est pete aleatoirement ici (un coup de chance que ça ait marché sur favicon.ico ?)Regle htacces a ajouter à la main, à moins qu'on ne la mette par défaut ?
r70269 | cedric    |  (jeu. 28 févr. 2013) | Rajouter un commentaire non teste au moment de commit... casse la featureOn deplace en commentaire PHP
r70279 | guytarr   |  (jeu. 28 févr. 2013) | report de [r70263] les tableaux lisent mieux les nombres, merci a denisb et esj
r70293 | denisb    |  (ven. 01 mars 2013) | forum : cliquer sur l'adresse mail dans l'en-tête d'un message de forum lance le courrielleur. résout http://core.spip.org/issues/2917 .
r70298 | cedric    |  (ven. 01 mars 2013) | L'information d'auteur d'un message de forum etait assez peu comprehensible faute de chaine de langue, et meme dans le cas article on n'utilisait plus la chaine de langue faite pour ça car il restait une mention id_article qui n'existe plus.
r70317 | marcimat  |  (ven. 01 mars 2013) | Report de r70316 : Fermer http://core.spip.org/issues/2941 : Prendre en compte les documents attachés qu'ils soient via enclosure, media:content ou les deux
r70329 | marcimat  |  (sam. 02 mars 2013) | Report de r70328 - Fermer #2926 : les groupes de mots n'ont pas à être tous affichés dans le formulaire pour associer des mots : c'est en fonction de leur configuration et du statut de l'auteur.
r70375 | rasta     |  (lun. 04 mars 2013) | warnings de clés de tableau qui n'existe pas forcément
r70413 | cedric    |  (mar. 05 mars 2013) | chaine de langue pour les messages prives qui ne proviennent d'aucune source (forum interne ou form des admins)
r70416 | pierre    |  (mar. 05 mars 2013) | Contrôle des forums privés : même type de cartouche pour les nouveaux objets éditoriaux que celui des objets historiques.Limite : il faut que l'OE ait un titre.
r70466 | pierre    |  (mer. 06 mars 2013) | LISTE à la place de ARRAY c'est plus élégant (merci b_b).
r70469 | pierre    |  (mer. 06 mars 2013) | Suite de http://zone.spip.org/trac/spip-zone/changeset/70416 : l'objet doit avoir un titre ou un nom
r70540 | b_b       |  (sam. 09 mars 2013) | r70144 en mieux, appliquer une marge à l'icône "Modifier ce groupe de mots" uniquement sur exec=mots
r70587 | cedric    |  (lun. 11 mars 2013) | espaces insécables
r70608 | cedric    |  (lun. 11 mars 2013) | Utiliser le modeles/mail_oubli pour composer l'email de rappel de mot de passe, plutot que le composer en dur dans le code PHP
r70632 | cedric    |  (mar. 12 mars 2013) | la class boxInline permet de demander l'option {inline:true} sans passer par le js
r70657 | cedric    |  (mer. 13 mars 2013) | increment version suite a r70632
r70666 | ben       |  (mer. 13 mars 2013) |  lang des plugins
r70853 | cedric    |  (dim. 17 mars 2013) | Corriger le test consecutivement a r66992 (le test était buggué comme la fonction)
r70865 | ben       |  (lun. 18 mars 2013) | Un ptit update de langue avant la sortie finale de la 3.0.6


SPIP-core spip-3.0.4 -> spip-3.0.5
--------------------------------- 

r19786 | cedric    | 2012-08-02 14:35:20 | Complement a r19775 : explications et optimisation (il faut en fait doubler la condition objet='xxx' pour être exact et optimisé)
r19794 | cedric    | 2012-08-05 00:02:49 | eviter une notice
r19795 | cedric    | 2012-08-05 00:07:21 | r19756 en mieux : on ne modifie defaut que si on compose une expression, sinon on le renvoie tel quelMais dans tous les cas #RANG ne fonctionnera pas comme attendu si une boucle DATA est dans la pile. A revoir sans doute.
r19796 | cedric    | 2012-08-05 11:25:51 | Les fonctions champ_sql et index_pile s'enrichissent d'un parametre supplementaire permettant de ne pas remonter dans la pile des boucles et de ne chercher que dans la premiere englobante. La valeur true par defaut ne change rien au comportement des fonctions.
r19797 | cedric    | 2012-08-05 11:28:15 | Quand on cherche le champ SQL rang avant de le composer, on ne veut regarder que dans la premiere boucle englobante. Si pas de champ, on compose alors la valeur calculee (repare le champ #RANG dans une boucle englobée par une boucle DATA).Au besoin, une reference explicite #_autreboucle:RANG permet de cibler le vrai champ SQL (ou calculé) d'une boucle englobante superieure
r19801 | kent1     | 2012-08-07 16:04:14 | correction du commentaire de code... le pipeline a changé de ajouter_boutons => ajouter_menus
r19809 | b_b       | 2012-08-11 13:56:29 | report de r19808 : appliquer direction_css aux css des boutons d'admin (George)
r19811 | b_b       | 2012-08-14 11:52:01 | report de r19810 ; ferme #2820 : fix pour les langues en RTL
r19816 | kent1     | 2012-08-16 14:29:18 | report de r19815 :Paginer les listes de rubriques par 500 dans le privé.Evite que la page plante dans les cas où l'on a beaucoup de sous-rubriques d'une même rubrique (testé avec plus de 70000)
r19818 | b_b       | 2012-08-16 19:09:38 | Report de r19817 : Réparer le message qui signale la dispo d'une nouvelle version de SPIP (tonton)
r19827 | cedric    | 2012-08-20 11:22:08 | Report de r19825 : class grostitre manquante (arno)
r19828 | cedric    | 2012-08-20 11:23:07 | Report de r19826 : Les submits en display:none sont ignorés par certains navigateurs (webkit) et non déclenchés par "Entrée" qui active alors le mauvais bouton (arno)
r19833 | kent1     | 2012-08-22 13:29:46 | #GET{rubriques_branche} n'est jamais utilisé... On vire cette boucle qui peut prendre des plombes si on a beaucoup de rubriques
r19848 | b_b       | 2012-08-26 12:27:37 | report de r19847 : orthographe (patv)
r19857 | b_b       | 2012-09-04 10:25:35 | éviter un débordement du bloc ajax qui liste les articles d'une rubrique quand on est connecté en tant que rédacteur (touti)
r19868 | cedric    | 2012-09-07 15:05:59 | Les bonnes URLS dans le RSS de l'espace privé (Ferme #2826)
r19869 | cedric    | 2012-09-07 16:16:41 | Ferme #2793 : ne pas echapper les single quotes dans les flux RSS, certains outils de syndications echouent a comprendre cela
r19870 | cedric    | 2012-09-07 16:58:16 | #2839 : la configuration Articles : Menu de langue [non] / Articles gérer les liens de traduction [oui] est licite et doit être possible
r19871 | cedric    | 2012-09-07 17:12:08 | Ferme #2839 : Quand on a pas activé le menu de langue sur un objet mais la possibilité de le traduire, afficher quand même le formulaire_traduire mais sans permettre de changer de langue. La creation d'un article hérite alors automatiquement de la langue de la rubrique dans cette configuration
r19872 | cedric    | 2012-09-07 17:21:39 | #2752 : Retablir le fonctionnement de #FORMULAIRE_INSCRIPTION
r19873 | cedric    | 2012-09-07 17:25:14 | Le second argument focus a été supprimé dans SPIP 3, et PHPDOCFerme #2752
r19878 | cedric    | 2012-09-07 17:39:30 | r18995 avait enlevé la suppression des articles à la poubelle, par erreur (b_b, MegaHell)
r19880 | cedric    | 2012-09-07 20:57:53 | Ferme #2839, vraiment : r19871 avait bien retabli le choix de la configuration qui fait que article_inserer pose la langue de la rubrique lorsqu'on crée une traduction. Mais le #FORMULAIRE_ARTICLE poste un changer_lang en cas de trad, qui était ignoré dans SPIP 2.x sur les articles, mais plus ici en vertu de sa prise en charge générique.On l'annule donc dans le traiter du formulaire, ce qui a le moins d'impact possible, car la feature sert sur les autres objets.
r19891 | marcimat  | 2012-09-10 21:27:52 | Report de r19890
r19893 | marcimat  | 2012-09-10 21:34:47 | Tss ! Un rien trop vite dans r19890 (suppression par inadvertance du formulaire)
r19894 | cedric    | 2012-09-11 09:43:31 | La fonction notifications_envoyer_mails est capable de prendre en charge un mail <html> dans $texte. Dans ce cas elle extrait le sujet (si besoin) de la balise <title>, et ajoute un headers Content-Type si besoin.+PHPDoc
r19897 | cedric    | 2012-09-11 12:56:18 | Dans une requete HEAD renvoyer le vrai en-tête. Pour cela on est bien obligé de calculer toute la page, mais on coupe la connexion après les entête http.On perd donc la rapidité de calcul des requetes HEAD au profit de leur exactitude.Dans la mesure ou HEAD représente en général moins de 1% des requetes (voire de l'ordre de 2/1000 sur un echantillon de sites en production) la perte en performance serveur est négligeable (d'autant plus qu'une réponse 200 a toute les chances de générer une requete complète à suivre).A contrario, en cas de soucis, ou pour analyser une page ou le comportement de SPIP, avoir une réponse pertinente sur HEAD est plus utile. Et la page est en cache pour l'éventuelle requete complète qui suit.
r19901 | marcimat  | 2012-09-12 11:15:21 | Report de r19900 : classes lat sur les colonnes des exec php

plugins-dist spip-3.0.4 -> spip-3.0.5 
--------------------------------- 

r64570 | yffic     | 2012-08-07 19:46:04 | Petite précision sur le message d'erreur en cas de répertoire lib inexistant
r64787 | kent1     | 2012-08-14 11:34:43 | un peu de documentation
r64791 | kent1     | 2012-08-14 11:49:07 | Report de r64790Un petit peu de doc
r64826 | kent1     | 2012-08-15 11:04:50 | Report de r64825 :Bonne déclaration des pipelines pour qu'ils n'affichent pas de message d'erreur dans les logsOn ajoute credits dans les champs versionnésSur la page d'édition d'un document, pouvoir délier/supprimer le document si on en a les droitsL'inclusion pour les listes des documents afin qu'ils apparaissent dans la recherche... c'est un peu chiant de rechercher un document avec la recherche standard du privé et de tomber sur une page videSi on a beaucoup de documents, pouvoir augmenter le nombre de documents visibles de la médiathèque par 10 | 50 | 100 | 500 en fonction du nombre de documents dans le siteNouvelle option de tri dans la médiathèque : filtrer les documents n'ayant pas de vignette personnalisée
r64923 | kent1     | 2012-08-17 15:47:39 | Report de r64922Une chaine de langue manquante lorsque l'on souhaite revenir à une révision
r65024 | cedric    | 2012-08-20 11:25:16 | Report de r65023 : Les submits en display:none sont ignorés par certains navigateurs (webkit) et non déclenchés par "Entrée" qui active alors le mauvais bouton (arno)
r65460 | cedric    | 2012-09-03 11:33:48 | L'element <description> du <channel> atom est obligatoire, gardons le même si il est vide (Olivier G.)
r65678 | cedric    | 2012-09-07 16:39:39 | Corrige http://core.spip.org/issues/2771 mais pas generique, a revoir
r65711 | rasta     | 2012-09-10 16:03:13 | Bug sur l'accès aux documents protégés : suppression du test qui visait à optimiser, car on tombait alors paradoxalement sur le "deny from all" dès qu'un document n'était pas restreint (quand tout le monde pouvait le voir).
r65718 | rasta     | 2012-09-10 16:58:38 | Il ne faut pas générer des entités dans l'URL, celle-ci n'étant pas forcément pour une utilisation dans du HTML
r65739 | marcimat  | 2012-09-11 10:41:50 | Suppression du porte plume avant recopie du trunk
r65740 | marcimat  | 2012-09-11 10:42:36 | Report du trunk de porte plume dans la branche
r65741 | marcimat  | 2012-09-11 10:44:05 | Version de spip max est la 3.0
r65742 | marcimat  | 2012-09-11 10:45:54 | Suppression de SVP avant recopie du trunk
r65743 | marcimat  | 2012-09-11 10:46:42 | Report du trunk de SVP dans la branche
r65786 | marcimat  | 2012-09-12 08:54:47 | Report de r65785 : Les très vieux appels à afficher_documents_colonne() n'affichaient plus la gestion des documents. On mappe la fonction sur l'inclusion du squelette qui va bien.
r65787 | marcimat  | 2012-09-12 09:37:44 | Suppression du plugin grenier avant de rapatrier le trunk actuel (vieilles listes de mots et scripts utf en plus)
r65788 | marcimat  | 2012-09-12 09:39:35 | Trunk de grenier dans la branche 3 : vieilles liste de mots et scripts utf8 en plus
r65789 | cedric    | 2012-09-12 09:42:46 | Mise a jour de la librairie Colorbox en 1.3.20.1 patchée d'après https://github.com/Cerdic/colorbox
r65793 | marcimat  | 2012-09-12 10:06:06 | Report de r65971 (correction de noms de variables).Commande utiliséesvn merge -r 65790:HEAD plugins/grenier branches/spip-3.0/plugins/grenierCette commande est à préférer plutot que de supprimer la branche et copier le trunk (cédric).

SPIP spip-3.0.3 -> spip-3.0.4
-----------------------------------------

r19683 | denisb    | 2012-07-05 10:35:17 | debusqueur : cosmétique css
r19684 | cedric    | 2012-07-05 16:35:17 | Ferme #2753
r19685 | denisb    | 2012-07-06 14:47:06 | debusqueur : cosmétique suite (spéciale b_b et marcimat)
r19686 | denisb    | 2012-07-07 19:12:18 | debusqueur : cosmétique suite (le retour)
r19687 | marcimat  | 2012-07-08 16:10:37 | Figurez-vous que SQLite ne râlait pas toujours en présence d'une erreur de requête SQL sur une boucle.Avec MySQL la même erreur était bien présente avec un appel à erreur_squelette. Il se trouve que le retour de la fonction spip_sqlite_select() du gestionnaire SQL doit retourner le texte de la requête en cas d'erreur afin que sql_select() puisse afficher l'erreur de squelette. Ce n'était pas fait avec SQLite.En plus de cela, on simplifie d'affichage des erreurs et numéros d'erreur SQLite : Le numéro d'erreur en SQLite 3 est «HY000 / 1» par exemple ; le texte d'erreur n'a plus que le message (sans numéros inutiles en plus).Enfin, on affine ou crée quelques PHPdoc et on évite une notice de plus.
r19688 | marcimat  | 2012-07-08 18:08:57 | 2 autres notices avec des plugin.xml sur les balises <chemin> et <install> + un peu de phpdoc.
r19689 | marcimat  | 2012-07-08 18:11:37 | Coquille (denisb)
r19690 | marcimat  | 2012-07-10 09:51:51 | 2 notices PHP en moins : - Sur les boucles récursives- Lors d'une erreur de vérification d'un formulaire d'objet+ PHP Doc
r19691 | marcimat  | 2012-07-10 10:18:37 | Notice PHP en moins lors de la modification d'un contenu par l'API de modification.
r19692 | marcimat  | 2012-07-10 17:52:40 | Notice sur les recherches sans résultat+ PHPDoc du critère branche
r19694 | marcimat  | 2012-07-11 14:53:06 | PHPDoc sur quelques fonctions.Suppression du 2e paramètre de load_charset() inutilisé depuis r2509Par ailleurs certaines fonctions sont spécifiques au vieux plugin Ortho, supprimé en r16015 (doit-on les garder ??)
r19695 | marcimat  | 2012-07-11 14:59:55 | Le type de retour est 'bool', pas false+ un autre phpdoc
r19696 | marcimat  | 2012-07-11 15:27:25 | C'est un \ pour les package ! + autres fonctions en phpdoc
r19697 | marcimat  | 2012-07-11 19:13:23 | Un autre petit phpdoc
r19698 | marcimat  | 2012-07-11 22:26:13 | Du PHPDoc
r19699 | marcimat  | 2012-07-11 23:01:29 | Correction / oubli de PhpDoc
r19700 | marcimat  | 2012-07-12 11:14:19 | Autre PHPDoc sur des fonctions d'installation+ préfixage des packages par SPIP\
r19701 | marcimat  | 2012-07-12 11:39:53 | PHPDoc de sql_showbase() et sql_alltable()
r19702 | marcimat  | 2012-07-12 17:18:51 | Du phpdoc encore.
r19703 | marcimat  | 2012-07-12 17:49:20 | Doc: suppression de phrase en doublon : déjà écrit au dessus, je n'avais pas bien lu.
r19704 | marcimat  | 2012-07-12 19:31:51 | PHPDoc sur quelques fonctions de inc/lang
r19705 | marcimat  | 2012-07-12 19:40:34 | On revient sur une partie de r19495 dans inc/lang car cela empêchait l'initialisation correcte de la globale spip_lang et créait des notices à d'autres endroits du coup.
r19706 | marcimat  | 2012-07-13 12:10:34 | D'autres phpdoc sur les charsets.+ on enlève un «à» en fin de ligne d'un phpdoc qui crée un bug dans phpdocumentor actuellement (sera corrigé plus tard), qui vient en fait d'un bug de PREG en PHP qui considère qu'une partie de «à» suivi d'un retour chariot fait partie de \h (tout caractère d'espacement), ce qui est sommes toutes assez embêtant.
r19708 | cedric    | 2012-07-13 12:48:47 | Report de r19707 : include manquant qui empeche l'autosave de fonctionner dans certains cas
r19709 | marcimat  | 2012-07-13 13:16:56 | Notice PHP + 1 phpdoc
r19710 | denisb    | 2012-07-13 14:14:37 | filtres_images_lib_mini.php : php-doc
r19711 | marcimat  | 2012-07-13 17:01:42 | D'autres PHPDoc+ suppression de code inutile (dans une fonction totalement inutilisée qui plus est) revision_objet() car identique au début de la fonction objet_modifier()
r19712 | marcimat  | 2012-07-13 17:05:27 | Pétouilles
r19713 | marcimat  | 2012-07-13 17:31:03 | Commentaire pour décrire un problème à résoudre concernant collecter_requests() et objet_instituer(), en attendant...
r19714 | marcimat  | 2012-07-13 18:23:51 | Aidons PHPDocumentor à trouver les marqueurs TODO :Il les cherche dans une ligne commençant par // TODO description ou// TODO: descriptionOn homogénéise donc. Et dans les docblock, on peut utiliser @todoOn ajoute un phpdoc sur inc/autoriser.
r19715 | marcimat  | 2012-07-13 18:27:29 | Aidons PHPDocumentor à trouver les marqueurs FIXME (comme r19714)
r19716 | marcimat  | 2012-07-14 22:12:25 | Quelques Php Doc
r19717 | marcimat  | 2012-07-14 22:22:28 | Retour sur r19716 qui avait ajouté une correction de notice PHP au passage : un squelette appelant un <INCLURE> cherchait la globale spip_lang qui n'était pas encore définie. On inclut donc inc/lang lors du premier passage sur evaluer_page lorsqu'il s'agit de traiter un code de squelette qui a du PHP.
r19718 | marcimat  | 2012-07-15 00:31:40 | Réorganisation et documentation du code du critère doublons pour mieux le comprendre (aucun changement fonctionnel dedans). Il reste une notice PHP dessus car $doublons[ x ] est demandé alors qu'il n'existe pas encore.
r19719 | marcimat  | 2012-07-15 12:11:56 | Évacuation d'une notice PHP sur le critère {doublons}.Pas si simple : on initialise le tableau $doublons dans l'en-tête de la boucle
r19720 | marcimat  | 2012-07-15 13:15:22 | D'autres PHP DocÀ noter que $p des balises n'est pas un array ! mais un objet Champ évidemment...
r19721 | marcimat  | 2012-07-15 14:10:29 | D'autres PHP Doc
r19722 | marcimat  | 2012-07-15 15:30:28 | PHP Doc- on met la classe Contexte en premier car elle devrait pouvoir servir de base pour Boucle, Champ et Idiome qui utilisent les mêmes propriétés.- on teste une documentation de quelques propriétés.
r19723 | marcimat  | 2012-07-16 10:31:17 | PHP Doc sur les paramètres des objets décrivant l'AST. Il reste Boucle qui n'est pas fini (mais c'est épuisant à faire !). + on passe les "var" en "public" au passage, qui explicite plus la visibilité de la variable.
r19724 | marcimat  | 2012-07-16 11:06:06 | Correction de notice PHP lors d'un critère {1/2}
r19725 | marcimat  | 2012-07-16 12:42:59 | PhpDoc sur la balise dynamique de formulaires
r19727 | rasta     | 2012-07-16 18:24:15 | Report de r19726À cet endroit du code, on *sait* quelle est le statut demandé, donc autant le passer à l'autorisation plutôt que "?", pour permettre plus de chose.
r19728 | marcimat  | 2012-07-16 19:37:52 | PhpDoc sur quelques autorisations, l'édition de liens
r19729 | marcimat  | 2012-07-16 23:03:46 | Notice PHP sur l'autorisation de modifier un auteur à la création d'un nouvel auteur.+ PhpDoc sur quelques autorisations de plus
r19730 | salvatore | 2012-07-17 03:37:25 | langues (spip)
r19731 | salvatore | 2012-07-17 03:37:54 | langues (ecrire)
r19732 | salvatore | 2012-07-17 03:37:55 | langues (public)
r19733 | marcimat  | 2012-07-17 10:53:13 | PhpDoc sur le reste des autorisations
r19734 | marcimat  | 2012-07-17 11:08:38 | PhpDoc sur les autorisations : - homogénéisation des noms de variables- paramètres sur la fonction autoriser()
r19736 | cedric    | 2012-07-17 14:02:41 | Report de r19735 : Ne pas cumuler les modifications de texte et sujet faites par le pipeline ! (davduf, denisb)
r19737 | marcimat  | 2012-07-17 19:03:15 | PhpDoc des fonctions f_jQuery et f_jQuery_prive
r19738 | marcimat  | 2012-07-17 21:00:18 | PhpDoc…
r19740 | cedric    | 2012-07-17 21:17:57 | Le trunk se met en 4, beta
r19752 | ben       | 2012-07-21 16:02:11 | demo.spip.org -> demo.spip.net
r19757 | marcimat  | 2012-07-23 17:26:30 | Report de r19756 : éviter une erreur sur #RANG dans une balise DATA.
r19760 | kent1     | 2012-07-25 12:22:52 | Sur le formulaire de traduction d'un article, on ne se retrouvait jamais avec la langue de la rubrique en herit car on passait id_parent=0, ce qui fait un unset de id_rubrique dans formulaires_editer_objet_charger().0n se retouvait avec $res['id_parent'] = 0 et pas de $res['id_rubrique'], et donc comme langue d'héritage la langue du site et non la langue de la rubrique ce qui peut amener à ne pas pouvoir modifier la langue d'un article car la fonction d'institution de traduction n'avait pas les mêmes strings à comparer (langue princpale du site pas forcément égal à la langue de la rubrique).J'espère que cela ne casse rien d'autre
r19762 | kent1     | 2012-07-25 13:53:52 | on revient sur r19760 pour éviter une notice php (marcimat)
r19768 | rasta     | 2012-07-27 21:19:35 | Mini amélioration du dateur : pouvoir passer un pas au timepicker car 30min par défaut ça ne convient pas à un paquet de sites à mon avis (tous ceux que je connais qui utilisent Agenda râlent de pas pouvoir caler l'heure d'un événement plus précisément).Tout est pareil par défaut, mais au moins ça se personnalise.
r19773 | denisb    | 2012-07-30 12:31:23 | req/pg.php : appeler la fonction adéquate. corrige http://forum.spip.net/fr_245088.html  (report de r19772)
r19775 | cedric    | 2012-08-01 00:29:34 | oups la clause "left join spip_xxx ON id_xxx=id_objet AND objet='xxx'" ne ramene pas toujours le résultat attendu. Résultat, la fonction d'optimisation pouvait supprimer des liens pour des objets existants (perte d'auteurs, de mots clés sur articles...)  (Merci à g0uz)
r19776 | cedric    | 2012-08-01 00:34:00 | La suppression d'un lien est une information importante a loger (g0uz)

Plugins-dist spip-3.0.3 -> spip-3.0.4
-----------------------------------------

r63245 | marcimat  | 2012-07-03 18:06:15 | Report de r63224 : Coquille dans r62928 (Yffic, qui aurait pu corriger !!)
r63268 | real3     | 2012-07-04 17:47:16 | Report de [63015] :les liens dans la previsualisation du porte plume ouvrent un nouvel onglet (pour eviter de perdre la page et donc le texte en cours d'ecriture)
r63296 | cedric    | 2012-07-05 17:43:51 | Permettre de specifier la longueur mini des messages de forum par un define('_FORUM_LONGUEUR_MINI',3); par exemple
r63297 | cedric    | 2012-07-05 17:47:55 | Format de code, sans modif
r63332 | denisb    | 2012-07-07 12:19:25 | dist/forum.html : coquille (seds)
r63334 | kent1     | 2012-07-07 12:50:21 | Report de r63333 :Permettre de surcharger 3 autorisations supplémentairesun document non publie peut etre modifie par tout le monde mais il faut quand même être logué et avoir un id_auteur quand même?
r63336 | kent1     | 2012-07-07 12:56:24 | Report de r63335indentation et phpdoc
r63429 | cedric    | 2012-07-13 12:43:45 | Detection des liens dans les messages de forum : il faut passer par les traitements des champs sinon on rate les liens en raccourci SPIP qui sont aussi parfois du SPAM
r63515 | cedric    | 2012-07-17 20:59:57 | 3 petits tours et puis s'en vont
r63516 | cedric    | 2012-07-17 21:05:11 | le trunk se mets en 4 pour SPIP
r63531 | marcimat  | 2012-07-18 09:45:35 | Reports de r63528 r63529 et r63530 : PHPDoc, code mort et surtout éviter un affichage de la liste des dernières révisions si aucun objet n'a de révisions activées
r64086 | cedric    | 2012-07-27 12:09:32 | Report de http://core.spip.org/projects/spip/repository/revisions/19761 : extension aif synonyme de aiff
r64089 | cedric    | 2012-07-27 12:19:22 | Report de http://core.spip.org/projects/spip/repository/revisions/19759 et http://core.spip.org/projects/spip/repository/revisions/19767
r64252 | marcimat  | 2012-07-31 14:00:13 | Report de r64251 : l'affichage des erreurs XML ne doit pas être fait par echo.



SPIP 3.0.2 -> SPIP 3.0.3 (03 juillet 2012)
---------------------------------------


r19590 | cedric    | 2012-06-13 18:15:42|le decodage des urls se fait toujours par rapport au site public (cas où l'on fournissait une url absolue qui était mal coupées si on essayait de la décoder depuis l'espace privé)
r19593 | kent1     | 2012-06-14 16:46:09|Un jquery-ui-1.8.custom pour éviter des intéractions malheureuse avec jQuery UI
r19595 | cedric    | 2012-06-17 18:50:27|definir _PLUGINS_HASH le plus tot possible (avant les inclusions d'options des plugins, donc, et non apres)
r19598 | cedric    | 2012-06-18 11:03:08|sutilisation erronée de sql_quote dans recuperer_infos_distantesun fichier nommé v0.6.3 est analysé comme ayant une extension '3'. Mais sql_quote appelé sans type croit alors qu'il ne faut pas echapper ce nombre, ce qui provoque la requete avec condition extenstion=3 qui ramène le type de document '3ga' alors qu'une condition extension='3' ne ramène rien, ce qui est correct.
r19602 | cedric    | 2012-06-19 11:29:19|gerer les multiples occurences et appel du dateur :- ne lancer qu'une seule fois le chargement ajax du js- initialiser startDate et endDate a partir des attributs data-startData et data-endDate portés par le input.date dans le html, et non passés en arguments du dateur- n'initialiser qu'une seule fois chaque input, même en cas de multiples appel de la fonction d'initialisation(xdjuj, marcimat)
r19604 | marcimat  | 2012-06-19 11:37:21|report de r19600 : Notice PHP fort justifiée, issue de r16981, qui pouvait tromper le message de log lorsque le connect.php n'est pas disponible.
r19620 | cedric    | 2012-06-21 00:00:54|encore un bug avec le ajax redirect sur une meme page, car on ne prenait pas l'url absolue de la redirection
r19621 | cedric    | 2012-06-21 09:45:00|Ferme #2316 : en cas d'auth PHP il ne faut pas changer l'alea a chaque hit car cela empeche la verification des actions securiseeOn ajoute un argument $phpauth aux fonctions d'auth, qui est a true quand la fonction est appelee depuis lire_php_authPas de rupture de compat car si la methode ignore cet argument c'est qu'elle n'en a pas besoin
r19622 | cedric    | 2012-06-21 09:47:00|cartouche a jour
r19625 | cedric    | 2012-06-21 10:07:55|Ferme #2637 : message plus explicite lors de la reinstallation
r19631 | cedric    | 2012-06-21 15:52:56|sReport de r19629 : HTTP_X_REQUESTED_WITH ne semble plus envoyé dans les requetes ajax de jQueryon complète la detection par la presence de var_ajax (form et inclure ajax de SPIP)
r19632 | cedric    | 2012-06-21 15:54:28|Report de r19630 : Lorsque la constante _SET_HTML_BASE n'est pas definie quand on arrive dans page_base_href, ne pas faire un define mais renseigner une static. Cela revient au même du point de vue de la fonction, mais permet à un plugin externe de savoir si cette constante est personalisée ou non
r19635 | cedric    | 2012-06-21 17:57:16|Report de r19633 : n'appeller spip_barre.js que dans les minipres d'admin, qui demandent la creation d'un repertoire FTP
r19636 | cedric    | 2012-06-21 17:57:46|Report de r19634 : La page minipres est capable de se jouer en un seul hit en embarquant les css inline. Pour cela on introduit un 4e argument $all_inline a false par defaut
r19638 | cedric    | 2012-06-21 18:15:58|Report de r19637 : debug minipres en mobile itruc : la meta viewport manquait, mais sinon toute la css est deja responsive grace a tetue. On supprime les hachures en version petit ecran aussi
r19644 | marcimat  | 2012-06-23 10:26:09|Report de r19643 : Lorsqu'on crée une table avec un outil externe à SPIP, les échappements des colonnes de tables ne sont pas forcément les même.
r19651 | marcimat  | 2012-06-25 19:25:04|Reports de r19649 et r19650Standards stricts avec PHP 5.4
r19658 | cedric    | 2012-06-28 16:56:06|Report de r19610 : ne pas raler fichier quand c'est pas grave
r19659 | cedric    | 2012-06-28 17:06:04|Report de r19605 r19607 et r19658 : ne pas compter systematiquement le total d'une boucle, et compter plus vite sous sqlite
r19660 | cedric    | 2012-06-29 16:42:04|inclusion manquante (Vince_)
r19666 | denisb    | 2012-07-02 23:40:23|compiler.php : on nettoie $connect qui peut arriver par url (arnault pachot) ; report de r19665
r19669 | cedric    | 2012-07-03 11:14:07|Ferme #2779 : la modification de l'email par un redacteur echouait car l'url de retour n'etait pas une url mais du javascript. On retablit l'url, et tant pis pour le retour tout ajax apres saisie
r19671 | denisb    | 2012-07-03 14:21:28|ecrire/req : dans la tentative de retrouver des KEY éventuelles dans la description des tables, le requéteur prenait en compte un 'nom de champ' contenant littéralement 'KEY' . (report de r19663 et r19664)
r19672 | denisb    | 2012-07-03 15:29:24|ecran_securite : éviter injection sur connect (Arnault Pachot)


PLUGINS-DIST SPIP 3.0.2 -> SPIP 3.0.3 (03 juillet 2012)
----------------------------------------------------
r62619 | eric      | 2012-06-17 16:37:01 |Une regexp plus précise pour éviter de traiter la balise <archives>
r62656 | cedric    | 2012-06-18 14:18:02 |on reinverse r59705 car cela semble contre-intuitif à l'usage :quand on veut activer un nouveau plugin, on cherche dans une liste dans laquelle sont mis en avant (blanc) les plugins déjà actif donc non selectionnable.Il est plus naturel que soient mis en avant tous les plugins activables. A confirmer à l'usage.
r62710 | cedric    | 2012-06-19 11:41:33 |Ferme http://core.spip.org/issues/2765 : Coquille qui generait des urls page à la place des urls simples (Yffic)
r62738 | cedric    | 2012-06-20 10:06:58 |l'action instituer_forum peut recevoir son $arg en argumentla fonction email_notification_forum accepte un contexte personalise en 3eme argument, qui sera passé au squelettes de calcul de l'email
r62777 | rasta     | 2012-06-20 17:17:45 |Bug : le plugin ne prenait pas en compte sa propre config. On a le droit de modifier la date que si c'est enregistré comme ça dans la meta.
r62866 | denisb    | 2012-06-22 20:26:18 |medias ajouter_documents : coquille malvenue résout http://core.spip.org/issues/2772
r62877 | kent1     | 2012-06-23 13:02:06 |Pouvoir rediriger le formulaire #FORMULAIRE_ADMIN_PLUGIN autre part que sur ecrire/?exec=admin_plugin
r62878 | kent1     | 2012-06-23 13:02:27 |Petit incrément
r62881 | kent1     | 2012-06-23 13:13:19 |Report pour le phpdoc à jour
r62929 | marcimat  | 2012-06-24 14:54:00 |Report de r62628 (sauf le numéro de version)
r63008 | kent1     | 2012-06-26 11:06:54 |une class editer manquante et on utilise |oui |non
r63013 | kent1     | 2012-06-26 14:18:03 |Des éléments non internationnalisés...Des restes de code de BoOz ça encore
r63035 | cedric    | 2012-06-27 12:16:01 |Report de r63034
r63055 | cedric    | 2012-06-28 11:55:54 |Upgrade de CSSTidy en v1.4 qui corrige divers bugs (format() sur @font-face, url sur @import...)
r63058 | kent1     | 2012-06-28 12:36:28 |indentation
r63078 | kent1     | 2012-06-28 23:06:58 |Deux nouveaux types de documents -* Lyx issus de http://www.lyx.org/-* y4m cf http://wiki.multimedia.cx/index.php?title=YUV4MPEG2Un peu d'indentation sur 2 fichiersOn incrémente le numéro de version à 2.7.29 et le schema de base à 1.2.1
r63221 | kent1     | 2012-07-03 14:14:19 | Ajout de l'array champs_editables pour la description de l'objet document (du coup peut être complété par des plugins) et utilisation dans action/editer_documentOn utilise objet_info dans inc/renseigner_document pour récupérer ses metadatas lors de l'insertion en base de documentUn peu d'indentationPassage en version 2.7.30




SPIP 3.0.0 -> SPIP 3.0.2 (12 juin 2012)
---------------------------------------
r19429 | cedric    | (sam. 19 mai 2012) | Eviter une réentrance infinie lors de l'upgrade depuis une SPIP 2.x qui n'a pas de table spip_jobs
r19430 | cedric    | (dim. 20 mai 2012) | on complète r19429 en évitant de lancer les crons qui sont tous insérés d'un coup sur le premier hit lors de l'upgrade
r19431 | cedric    | (dim. 20 mai 2012) | Ferme #2716 : ne pas appeller mysql_free sur un booleen lorsque la requete precedente a échoué
r19436 | cedric    | (dim. 20 mai 2012) | Version 3.0.1
r19438 | cedric    | (dim. 20 mai 2012) | masquer les erreurs sql sur la page des mises a jour, car proviennent justement de la base pas a jour !
r19439 | cedric    | (dim. 20 mai 2012) | error_get_last n'est disponible qu'a partir de PHP 5.2.0 et on veut assurer le support de PHP 5.1.0
r19440 | cedric    | (dim. 20 mai 2012) | error_get_last n'est disponible qu'a partir de PHP 5.2.0 et on veut assurer le support de PHP 5.1.0
r19442 | cedric    | (dim. 20 mai 2012) | Eviter un warning lors de la connexion sur un serveur externe qui n'a pas de table spip_meta (dump sqlite par exemple) (cyaltern)
r19443 | gilles    | (dim. 20 mai 2012) | Si PHP n'est pas dans la bonne version, est est inutile de tenter une installation de SPIP 3.0
r19444 | gilles    | (dim. 20 mai 2012) | report de r19443 dans la branche de dev - et formatage
r19456 | gilles    | (mar. 22 mai 2012) | Notice: Use of undefined constant intval - assumed 'intval' (PatV)
r19457 | gilles    | (mar. 22 mai 2012) | Use of undefined constant _VAR_MODE - assumed '_VAR_MODE' (PatV)
r19462 | cedric    | (jeu. 24 mai 2012) | Report de r19461 : gestion des erreurs de recuperation lors de copie_locale pour eviter le stockage de fichiers corrompus et inutilisables"
r19464 | denisb    | (jeu. 24 mai 2012) | inc/chercher_rubrique.php : résout #2731 ; suppression de la ligne blanche qui affectait d'office la sous-rubrique à la racine
r19465 | denisb    | (jeu. 24 mai 2012) | inc/rechercher.php : résout #2730 ; bug démonté par marcimat et corrigé par _fil_
r19468 | cedric    | (jeu. 24 mai 2012) | Report de r19467 : appliquer texte_script sur le nom du site avant de l'injecter dans du JS...
r19470 | marcimat  | (ven. 25 mai 2012) | Report de r19469#2705 : Purger les vieilles sessions en cron. Tous les 7 jours, ce devrait être largement suffisant.
r19478 | denisb    | (lun. 28 mai 2012) | exceptions.css.html : affichage en rtl ; report de r19477
r19485 | cedric    | (mar. 29 mai 2012) | Report de r19483 : css manquante sur <input type='reset' /> (Eric)
r19486 | cedric    | (mar. 29 mai 2012) | Report de r19484 :Extraire la fonction cvtconf_formulaires_configurer_enregistre() du pipeline cvtconf_formulaire_traiter()La fonction cvtconf_formulaires_configurer_enregistre() peut etre appelée depuis la fonction traiter() d'un formulaire de configuration dont on veut personaliser le traitement sans reecrire le stockage
r19488 | b_b       | (mer. 30 mai 2012) | report de r19487 : r19411 utilise autoriser voir auteur mais celle-ci était mal définie (il faut peut être créer une fonction spécifique pour ça ?)
r19490 | denisb    | (jeu. 31 mai 2012) | ecrire_fr.php : "c'est toi le déchet !" report de r19489
r19491 | cedric    | (ven. 01 juin 2012)| eviter une boucle infinie quand _DIR_SESSIONS n'existe pas encore (il semble qu'on ne récupère pas un false sur le readdir quand on l'appelle avec un false venant d'un opendir echoue)
r19494 | denisb    | (ven. 01 juin 2012)| faire disparaître quelques warnings PHP ; report de r19493
r19496 | denisb    | (ven. 01 juin 2012)| évacuation de quelques encombrants notice PHP ; report de r19495
r19498 | cedric    | (ven. 01 juin 2012)| Report de r19497 :Reparer les criteres age, age_relatif, et (jour|mois|annee)_relatif qui se comparent tous a un entier et non une date (bug visible sous sqlite uniquement, mysql etant laxiste), suite a r19343Reparer le critere heure qui était cassé partout par la faute d'un echappement manquant
r19501 | cedric    | (sam. 02 juin 2012)| Dans certains cas forcer_lang provoquait une redirection en GET sur un POST de formulaire : il ne faut pas, cela fait perdre la saisie !
r19502 | cedric    | (sam. 02 juin 2012)| forcer le reload si redirection demandee par form ajax : si url differente c'est ignoré, mais si seul l'ancre change, ça force la mise a jour de la page
r19505 | marcimat  | (lun. 04 juin 2012)| Report de r19504 : Erreurs de compilation possible avec le critère {si}
r19507 | marcimat  | (lun. 04 juin 2012)| Reports de r19504 et r19506 : Corrections de quelques notices PHP
r19524 | marcimat  | (mar. 05 juin 2012)| Report de r19253 : Ne pas se planter dans les parenthèses, ça évite d'avoir des boutons désordonnés !
r19525 | cedric    | (mar. 05 juin 2012)| Ne forcer un reload que si c'est un changement d'ancre simple (sinon le reload se declenche parfois plus vite que le redirect et ça provoque un comportement indesirable)
r19534 | cedric    | (mar. 05 juin 2012)| Report de r19527 + r19528 : l'usage d'un in minuscule dans {id_rubrique in 1,23} passe en mySQL mais pas en SQLite pour une sombre histoire de quote. Corrigeons
r19535 | cedric    | (mar. 05 juin 2012)| Report de r19531: rotéger var_ajax_ancre à la reinjection dans le HTML (Boris - Avatam Studio)
r19538 | cedric    | (mar. 05 juin 2012)| Report de tous les commits de spip/ecrire/lang de r19370 a r19533
r19547 | cedric    | (jeu. 07 juin 2012)| Report de r19546 : pas de required sur input password : cela bloque la soumission dans certains navigateurs
r19552 | cedric    | (ven. 08 juin 2012)| devrait résoudre #2732 : ne pas dupliquer le character set ou le collate quand on créé un champ qui en possède déjà un
r19560 | denisb    | (ven. 08 juin 2012)| ne pas réinjecter dans le html de variable client non nettoyée (AS ASafety)
r19564 | rasta     | (lun. 11 juin 2012)| Utiliser la pagination habituelle du privé.
r19569 | denisb    | (lun. 11 juin 2012)| écran de sécu : filtrages modifiés et ajout de var_ajax_ancre (report de http://zone.spip.org/trac/spip-zone/changeset/62391)
r19571 | marcimat  | (lun. 11 juin 2012)| Report de r19567 (Test de compatibilité des plugins en erreur dans le calcul de l'ordre des plugins)
r19572 | cedric    | (mar. 12 juin 2012)| Report oublie de r15047 (Pascale LC)
r19575 | cedric    | (mar. 12 juin 2012)| Report de r19574 : La globale ldap_attributes peut être personalisée dans mes_options.php : ne pas l'écraser dans ce cas
r19576 | kent1     | (mar. 12 juin 2012)| Le navigateur de rubriques est issu de zone.spip.org/trac/spip-zone/browser/_plugins_/spip-bonux-2/formulaires/selecteur/navigateur.html mais avait perdu la fonctionnalité de {limite_branche}... N'étant plus dans spip-bonux_3, on réintroduite ce possible critère ici


PLUGINS-DIST SPIP 3.0.0 -> SPIP 3.0.2 (12 juin 2012)
----------------------------------------------------
r61477 | marcimat  |  (lun. 21 mai 2012) | Report de r61476 : Les styles SPIP, ce n'est pas la même chose que la base CSS. On les déplace dans le point 2 (Tetue)
r61600 | b_b       |  (mer. 23 mai 2012) | report de r61599 : évitons de perdre les visiteurs en classant les rubriques des menus de navigation par date
r61643 | marcimat  |  (jeu. 24 mai 2012) | Report de r 61642 via la commande :svn merge -c 61642  svn://zone.spip.org/spip-zone/_core_/plugins/compresseurhttp://core.spip.org/issues/2733(Fermer #2733 en évitant que le compresseur HTML touche aux commentaires <!--extra--> que l'on sème à divers endroits.)
r61682 | marcimat  |  (ven. 25 mai 2012) | Report de r61362 (redirection infinie en url arbo et article-page)
r61687 | cedric    |  (ven. 25 mai 2012) | Correction et doc sur r59769 (fil)
r61767 | denisb    |  (lun. 28 mai 2012) | style_prive_plugin_svp.html : affichage rtl ; report de http://zone.spip.org/trac/spip-zone/changeset/61766/
r61784 | denisb    |  (mar. 29 mai 2012) | revisions - liste/versions.html : un rédacteur ne peut lire les révisions d'articles en cours de rédaction s'il n'en est pas auteur. inutile de les lui proposer dans la liste. report de r61783
r61797 | denisb    |  (mar. 29 mai 2012) | revisions - liste/versions.html : manquer de crochet nuit gravement à la santé (tofulm)
r61809 | rasta     |  (mar. 29 mai 2012) | Ça ne sert à rien d'encapsuler une unique fonction du core dans une fonction propre à ce plugin, si ce n'est pas possible de surcharger son résultat.On permet donc avec un pipeline de modifier les statuts qui ont le droit de recevoir des messages.
r62008 | eric      |  (sam. 02 juin 2012)| Correction d'une erreur dans la regexp de détection d'une abréviation.
r62013 | cedric    |  (sam. 02 juin 2012)| esReport de r62011 :Resout http://core.spip.org/issues/2740 en complement de http://zone.spip.org/trac/spip-zone/changeset/62009 :- accepter que les crochets contenus dans un lien contienent n'importe quoi sauf -> (raccourci abbr par exemple)- ne pas confondre un |{} d'un raccourci dans le lien, en acceptant uniquement des paires de crochet [] dans le libelle du lien :// accepte un niveau de paire de crochets dans le texte :// [texte[]|title{lang}->...]// mais refuse// [texte[|title{lang}->...]// pour ne pas confondre avec un autre raccourci
r62025 | eric      |  (sam. 02 juin 2012)| Petite erreur inclusion du head (seds)
r62032 | cedric    |  (sam. 02 juin 2012)| Notifier forumprive quand on insere un forum prive, et non forumposte
r62092 | marcimat  |  (lun. 04 juin 2012)| Report de r62090 : Corrections de notices PHP
r62094 | marcimat  |  (lun. 04 juin 2012)| Report de r62093 : Corrections de notices PHP
r62159 | marcimat  |  (mar. 05 juin 2012)| Report de r62157 et r62158 : sinon() n'est pas toujours present (Oil) et évitons de charger inc/filtres pour si peu
r62168 | cedric    |  (mar. 05 juin 2012)| Report de r61806 : Ne pas generer de balise script ou link vide si pas de js ou css a compacter
r62169 | cedric    |  (mar. 05 juin 2012)| Report de r62154 : homogeneiser avec la moderation des forums : border 1px sur tout le bloc et 8px sur le haut
r62173 | cedric    |  (mar. 05 juin 2012)| Reports des commits de salvatore compris entre r61274 et r62170
r62221 | b_b       |  (jeu. 07 juin 2012)| report de r62220 : passer l'id_rubrique des breves et sites à la nav pour exposer la rubrique en cours (bug repéré par seds)
r62241 | marcimat  |  (jeu. 07 juin 2012)| Report de r62240 : La coloration des week end tombait au milieu de la semaine ! (cerdic)
r62243 | marcimat  |  (jeu. 07 juin 2012)| Report de r62242 : Le lien des réferers aujourd'hui doivent partir sur le jour d'aujourd'hui !
r62245 | marcimat  |  (jeu. 07 juin 2012)| Report de r62244 : Coloration du début du mois au début du mois et non sur la veille (cerdic)
r62247 | marcimat  |  (jeu. 07 juin 2012)| Report de r62246 : Version ++ suite au débug de coloriage
r62322 | kent1     |  (ven. 08 juin 2012)| Report de http://zone.spip.org/trac/spip-zone/changeset/62321On ajoute une screenshot aussi pour le coup : http://photospip3.arscenic.org/sites/photospip3.arscenic.org/IMG/png/capture_doc2img_-_medias.png
